/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2024-08-22 11:14:54Z
 *****************************************************************************/

#include "rsmxo.h"
#include "rsmxo_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsmxo_RsCoreRepCapTableCount = 28;

RsCoreRepCap rsmxo_RsCoreRepCapTable[28] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Channel",
      "CH1,CH2,CH3,CH4,CH5,CH6,CH7,CH8",
      "1,2,3,4,5,6,7,8"
    }, {
      "Math",
      "M1,M2,M3,M4,M5,M6,M7,M8",
      "1,2,3,4,5,6,7,8"
    }, {
      "TriggerEvent",
      "TrigA,TrigB,TrigR",
      "1,2,3"
    }, {
      "Cursor",
      "Cursor1,Cursor2",
      "1,2"
    }, {
      "Generator",
      "Gen1,Gen2",
      "1,2"
    }, {
      "SerialBus",
      "SB1,SB2,SB3,SB4",
      "1,2,3,4"
    }, {
      "DigitalChannel",
      "D0,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10,D11,D12,D13,D14,D15",
      "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15"
    }, {
      "HardcopyOutput",
      "HardcopyOutput1,HardcopyOutput2",
      "1,2"
    }, {
      "Zoom",
      "Zoom1,Zoom2,Zoom3,Zoom4,Zoom5,Zoom6,Zoom7,Zoom8",
      "1,2,3,4,5,6,7,8"
    }, {
      "LayoutSet",
      "Layout1,Layout2,Layout3,Layout4,Layout5,Layout6,Layout7,Layout8",
      "1,2,3,4,5,6,7,8"
    }, {
      "Logic",
      "Logic1,Logic2,Logic3,Logic4",
      "1,2,3,4"
    }, {
      "ChannelGroup",
      "ChannelGroup1,ChannelGroup2,ChannelGroup3,ChannelGroup4",
      "1,2,3,4"
    }, {
      "BusWordBit",
      "BusWordBit0,BusWordBit1,BusWordBit2,BusWordBit3,BusWordBit4,BusWordBit5,BusWordBit6,BusWordBit7,BusWordBit8,BusWordBit9,BusWordBit10,BusWordBit11,BusWordBit12,BusWordBit13,BusWordBit14,BusWordBit15",
      "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15"
    }, {
      "ClockedLogic",
      "ClockedLogic1,ClockedLogic2",
      "1,2"
    }, {
      "ReferenceLevel",
      "ReferenceLevel1,ReferenceLevel2",
      "1,2"
    }, {
      "ReferenceWaveform",
      "ReferenceWaveform1,ReferenceWaveform2,ReferenceWaveform3,ReferenceWaveform4,ReferenceWaveform5,ReferenceWaveform6,ReferenceWaveform7,ReferenceWaveform8",
      "1,2,3,4,5,6,7,8"
    }, {
      "Measurement",
      "Measurement1,Measurement2,Measurement3,Measurement4,Measurement5,Measurement6,Measurement7,Measurement8,Measurement9,Measurement10,Measurement11,Measurement12,Measurement13,Measurement14,Measurement15,Measurement16,Measurement17,Measurement18,"
      "Measurement19,Measurement20,Measurement21,Measurement22,Measurement23,Measurement24",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,"
      "19,20,21,22,23,24"
    }, {
      "DelayRC",
      "Delay1,Delay2",
      "1,2"
    }, {
      "SmartgridChild",
      "SmartgridChild1,SmartgridChild2",
      "1,2"
    }, {
      "FRAMarker",
      "FRAMarker1,FRAMarker2",
      "1,2"
    }, {
      "GateRC",
      "Gate1,Gate2,Gate3,Gate4,Gate5,Gate6,Gate7,Gate8",
      "1,2,3,4,5,6,7,8"
    }, {
      "DiagramRC",
      "Diagram1,Diagram2,Diagram3,Diagram4,Diagram5,Diagram6,Diagram7,Diagram8",
      "1,2,3,4,5,6,7,8"
    }, {
      "PowerAnalysis",
      "PowAn1,PowAn2,PowAn3,PowAn4,PowAn5,PowAn6",
      "1,2,3,4,5,6"
    }, {
      "PowerHarmonics",
      "PowHarm1,PowHarm2,PowHarm3,PowHarm4,PowHarm5,PowHarm6,PowHarm7,PowHarm8,PowHarm9,PowHarm10,PowHarm11,PowHarm12,PowHarm13,PowHarm14,PowHarm15,PowHarm16,PowHarm17,PowHarm18,PowHarm19,PowHarm20,PowHarm21,PowHarm22,PowHarm23,PowHarm24,PowHarm25,"
      "PowHarm26,PowHarm27,PowHarm28,PowHarm29,PowHarm30,PowHarm31,PowHarm32,PowHarm33,PowHarm34,PowHarm35,PowHarm36,PowHarm37,PowHarm38,PowHarm39,PowHarm40,PowHarm41,PowHarm42,PowHarm43,PowHarm44,PowHarm45,PowHarm46,PowHarm47,PowHarm48,PowHarm49,"
      "PowHarm50,PowHarm51,PowHarm52,PowHarm53,PowHarm54,PowHarm55,PowHarm56,PowHarm57,PowHarm58,PowHarm59,PowHarm60,PowHarm61,PowHarm62,PowHarm63,PowHarm64,PowHarm65,PowHarm66,PowHarm67,PowHarm68,PowHarm69,PowHarm70,PowHarm71,PowHarm72,PowHarm73,"
      "PowHarm74,PowHarm75,PowHarm76,PowHarm77,PowHarm78,PowHarm79,PowHarm80,PowHarm81,PowHarm82,PowHarm83,PowHarm84,PowHarm85,PowHarm86,PowHarm87,PowHarm88,PowHarm89,PowHarm90,PowHarm91,PowHarm92,PowHarm93,PowHarm94,PowHarm95,PowHarm96,PowHarm97,"
      "PowHarm98,PowHarm99,PowHarm100",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,"
      "26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,"
      "50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,"
      "74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,"
      "98,99,100"
    }, {
      "PowerReference",
      "PowRef1,PowRef2,PowRef3,PowRef4",
      "1,2,3,4"
    }, {
      "VoltmeterChannel",
      "VCH1,VCH2,VCH3,VCH4",
      "1,2,3,4"
    }, {
      "CursorLine",
      "CS1,CS2",
      "1,2"
    }, {
      "Spectrum",
      "Spectrum0,Spectrum1,Spectrum2,Spectrum3,Spectrum4",
      ",1,2,3,4"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry RsMxo_rngAcquisitionInterpolationEntries[3] =
  {
    { RSMXO_VAL_ACQUISITION_INTERPOLATION_LINEAR, "LIN" },
    { RSMXO_VAL_ACQUISITION_INTERPOLATION_SINX, "SINX" },
    { RSMXO_VAL_ACQUISITION_INTERPOLATION_SMHD, "SMHD" }
  };
RsCoreRangeTableDiscrete RsMxo_rngAcquisitionInterpolation = { 3, RsMxo_rngAcquisitionInterpolationEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngAcquisitionRecordLengthModeEntries[2] =
  {
    { RSMXO_VAL_ACQUISITION_RECORD_LENGTH_MODE_AUTO, "AUTO" },
    { RSMXO_VAL_ACQUISITION_RECORD_LENGTH_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngAcquisitionRecordLengthMode = { 2, RsMxo_rngAcquisitionRecordLengthModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngAcquisitionSampleRateModeEntries[2] =
  {
    { RSMXO_VAL_ACQUISITION_SAMPLE_RATE_MODE_AUTO, "AUTO" },
    { RSMXO_VAL_ACQUISITION_SAMPLE_RATE_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngAcquisitionSampleRateMode = { 2, RsMxo_rngAcquisitionSampleRateModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngAcquisitionModeEntries[4] =
  {
    { RSMXO_VAL_ACQUISITION_MODE_SAMPLE, "SAMP" },
    { RSMXO_VAL_ACQUISITION_MODE_PEAK_DETECT, "PDET" },
    { RSMXO_VAL_ACQUISITION_MODE_ENVELOPE, "ENV" },
    { RSMXO_VAL_ACQUISITION_MODE_AVERAGE, "AVER" }
  };
RsCoreRangeTableDiscrete RsMxo_rngAcquisitionMode = { 4, RsMxo_rngAcquisitionModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSpectrumWindowTypeEntries[7] =
  {
    { RSMXO_VAL_SPECTRUM_WINDOW_TYPE_RECTANGULAR, "RECT" },
    { RSMXO_VAL_SPECTRUM_WINDOW_TYPE_HAMMING, "HAMM" },
    { RSMXO_VAL_SPECTRUM_WINDOW_TYPE_HANN, "HANN" },
    { RSMXO_VAL_SPECTRUM_WINDOW_TYPE_BLACKHARRIS, "BLAC" },
    { RSMXO_VAL_SPECTRUM_WINDOW_TYPE_GAUSSIAN, "GAUS" },
    { RSMXO_VAL_SPECTRUM_WINDOW_TYPE_FLATTOP2, "FLATTOP2" },
    { RSMXO_VAL_SPECTRUM_WINDOW_TYPE_KAISERBESSEL, "KAIS" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSpectrumWindowType = { 7, RsMxo_rngSpectrumWindowTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSpectrumScaleUnitEntries[7] =
  {
    { RSMXO_VAL_SPECTRUM_SCALE_UNIT_LINEAR, "LIN" },
    { RSMXO_VAL_SPECTRUM_SCALE_UNIT_DBM, "DBM" },
    { RSMXO_VAL_SPECTRUM_SCALE_UNIT_DBV, "DBV" },
    { RSMXO_VAL_SPECTRUM_SCALE_UNIT_DBUV, "DBUV" },
    { RSMXO_VAL_SPECTRUM_SCALE_UNIT_DB, "DB" },
    { RSMXO_VAL_SPECTRUM_SCALE_UNIT_DBS, "DBS" },
    { RSMXO_VAL_SPECTRUM_SCALE_UNIT_DBHZ, "DBHZ" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSpectrumScaleUnit = { 7, RsMxo_rngSpectrumScaleUnitEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPeaklistFrameTypeEntries[2] =
  {
    { RSMXO_VAL_PEAKLIST_FRAME_TYPE_NOBORDER, "NOB" },
    { RSMXO_VAL_PEAKLIST_FRAME_TYPE_FULL, "FULL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPeaklistFrameType = { 2, RsMxo_rngPeaklistFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSpectrumPeakListResultModeEntries[2] =
  {
    { RSMXO_VAL_SPECTRUM_PEAK_LIST_RESULT_MODE_ABS, "ABS" },
    { RSMXO_VAL_SPECTRUM_PEAK_LIST_RESULT_MODE_REL, "REL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSpectrumPeakListResultMode = { 2, RsMxo_rngSpectrumPeakListResultModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCalibrationResultEntries[3] =
  {
    { RSMXO_VAL_CALIBRATION_RESULT_PASSED, "PASS" },
    { RSMXO_VAL_CALIBRATION_RESULT_FAILED, "FAIL" },
    { RSMXO_VAL_CALIBRATION_RESULT_NOALIGNDATA, "NOAL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCalibrationResult = { 3, RsMxo_rngCalibrationResultEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngVerticalBandwidthEntries[11] =
  {
    { RSMXO_VAL_VERTICAL_BANDWIDTH_FULL, "FULL" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B1G5, "B1G5" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B1G, "B1G" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B700, "B700" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B500, "B500" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B350, "B350" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B200, "B200" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B100, "B100" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B50, "B50" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B20, "B20" },
    { RSMXO_VAL_VERTICAL_BANDWIDTH_B2G, "B2G" }
  };
RsCoreRangeTableDiscrete RsMxo_rngVerticalBandwidth = { 11, RsMxo_rngVerticalBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngVerticalCouplingEntries[3] =
  {
    { RSMXO_VAL_VERTICAL_COUPLING_DC, "DC" },
    { RSMXO_VAL_VERTICAL_COUPLING_DCLIMIT, "DCL" },
    { RSMXO_VAL_VERTICAL_COUPLING_AC, "AC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngVerticalCoupling = { 3, RsMxo_rngVerticalCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngVerticalExternalAttenuationScaleEntries[2] =
  {
    { RSMXO_VAL_VERTICAL_EXTERNAL_ATTENUATION_SCALE_LIN, "LIN" },
    { RSMXO_VAL_VERTICAL_EXTERNAL_ATTENUATION_SCALE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngVerticalExternalAttenuationScale = { 2, RsMxo_rngVerticalExternalAttenuationScaleEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCursorTypeEntries[3] =
  {
    { RSMXO_VAL_CURSOR_TYPE_VERTICAL, "VERT" },
    { RSMXO_VAL_CURSOR_TYPE_HORIZONTAL, "HOR" },
    { RSMXO_VAL_CURSOR_TYPE_PAIRED, "PAIR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCursorType = { 3, RsMxo_rngCursorTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSourceEntries[65] =
  {
    { RSMXO_VAL_SOURCE_NONE, "NONE" },
    { RSMXO_VAL_SOURCE_C1, "C1" },
    { RSMXO_VAL_SOURCE_C2, "C2" },
    { RSMXO_VAL_SOURCE_C3, "C3" },
    { RSMXO_VAL_SOURCE_C4, "C4" },
    { RSMXO_VAL_SOURCE_C5, "C5" },
    { RSMXO_VAL_SOURCE_C6, "C6" },
    { RSMXO_VAL_SOURCE_C7, "C7" },
    { RSMXO_VAL_SOURCE_C8, "C8" },
    { RSMXO_VAL_SOURCE_SBUS1, "SBUS1" },
    { RSMXO_VAL_SOURCE_SBUS2, "SBUS2" },
    { RSMXO_VAL_SOURCE_SBUS3, "SBUS3" },
    { RSMXO_VAL_SOURCE_SBUS4, "SBUS4" },
    { RSMXO_VAL_SOURCE_D0, "D0" },
    { RSMXO_VAL_SOURCE_D1, "D1" },
    { RSMXO_VAL_SOURCE_D2, "D2" },
    { RSMXO_VAL_SOURCE_D3, "D3" },
    { RSMXO_VAL_SOURCE_D4, "D4" },
    { RSMXO_VAL_SOURCE_D5, "D5" },
    { RSMXO_VAL_SOURCE_D6, "D6" },
    { RSMXO_VAL_SOURCE_D7, "D7" },
    { RSMXO_VAL_SOURCE_D8, "D8" },
    { RSMXO_VAL_SOURCE_D9, "D9" },
    { RSMXO_VAL_SOURCE_D10, "D10" },
    { RSMXO_VAL_SOURCE_D11, "D11" },
    { RSMXO_VAL_SOURCE_D12, "D12" },
    { RSMXO_VAL_SOURCE_D13, "D13" },
    { RSMXO_VAL_SOURCE_D14, "D14" },
    { RSMXO_VAL_SOURCE_D15, "D15" },
    { RSMXO_VAL_SOURCE_M1, "M1" },
    { RSMXO_VAL_SOURCE_M2, "M2" },
    { RSMXO_VAL_SOURCE_M3, "M3" },
    { RSMXO_VAL_SOURCE_M4, "M4" },
    { RSMXO_VAL_SOURCE_M5, "M5" },
    { RSMXO_VAL_SOURCE_R1, "R1" },
    { RSMXO_VAL_SOURCE_R2, "R2" },
    { RSMXO_VAL_SOURCE_R3, "R3" },
    { RSMXO_VAL_SOURCE_R4, "R4" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM1, "SPECNORM1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD1, "SPECMINH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD1, "SPECMAXH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE1, "SPECAVER1" },
    { RSMXO_VAL_SOURCE_MATH6, "M6" },
    { RSMXO_VAL_SOURCE_MATH7, "M7" },
    { RSMXO_VAL_SOURCE_MATH8, "M8" },
    { RSMXO_VAL_SOURCE_REF5, "R5" },
    { RSMXO_VAL_SOURCE_REF6, "R6" },
    { RSMXO_VAL_SOURCE_REF7, "R7" },
    { RSMXO_VAL_SOURCE_REF8, "R8" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM0, "SPECNORM0" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD0, "SPECMINH0" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD0, "SPECMAXH0" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE0, "SPECAVER0" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM2, "SPECNORM2" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD2, "SPECMINH2" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD2, "SPECMAXH2" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE2, "SPECAVER2" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM3, "SPECNORM3" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD3, "SPECMINH3" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD3, "SPECMAXH3" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE3, "SPECAVER3" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM4, "SPECNORM4" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD4, "SPECMINH4" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD4, "SPECMAXH4" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE4, "SPECAVER4" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSource = { 65, RsMxo_rngSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCursorStyleEntries[4] =
  {
    { RSMXO_VAL_CURSOR_STYLE_LINES, "LIN" },
    { RSMXO_VAL_CURSOR_STYLE_LRHOMBUS, "LRH" },
    { RSMXO_VAL_CURSOR_STYLE_VLRHOMBUS, "VLRH" },
    { RSMXO_VAL_CURSOR_STYLE_RHOMBUS, "RHOM" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCursorStyle = { 4, RsMxo_rngCursorStyleEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngDisplaySignalStyleEntries[2] =
  {
    { RSMXO_VAL_DISPLAY_SIGNAL_STYLE_VECTORS, "VECT" },
    { RSMXO_VAL_DISPLAY_SIGNAL_STYLE_DOTS, "DOTS" }
  };
RsCoreRangeTableDiscrete RsMxo_rngDisplaySignalStyle = { 2, RsMxo_rngDisplaySignalStyleEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCSVDelimiterEntries[5] =
  {
    { RSMXO_VAL_CSV_DELIMITER_SEMICOLON, "SEMICOLON" },
    { RSMXO_VAL_CSV_DELIMITER_COMMA, "COMMA" },
    { RSMXO_VAL_CSV_DELIMITER_SPACE, "SPACE" },
    { RSMXO_VAL_CSV_DELIMITER_TAB, "TAB" },
    { RSMXO_VAL_CSV_DELIMITER_COLON, "COLON" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCSVDelimiter = { 5, RsMxo_rngCSVDelimiterEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngGeneratorSynchronisationEntries[2] =
  {
    { RSMXO_VAL_GENERATOR_SYNCHRONISATION_NONE, "NONE" },
    { RSMXO_VAL_GENERATOR_SYNCHRONISATION_GEN12, "GEN12" }
  };
RsCoreRangeTableDiscrete RsMxo_rngGeneratorSynchronisation = { 2, RsMxo_rngGeneratorSynchronisationEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngScreenshotFileFormatEntries[2] =
  {
    { RSMXO_VAL_SCREENSHOT_FILE_FORMAT_PNG, "PNG" },
    { RSMXO_VAL_SCREENSHOT_FILE_FORMAT_JPG, "JPG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngScreenshotFileFormat = { 2, RsMxo_rngScreenshotFileFormatEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSmartGridNodeTypeEntries[4] =
  {
    { RSMXO_VAL_SMART_GRID_NODE_TYPE_NONE, "NONE" },
    { RSMXO_VAL_SMART_GRID_NODE_TYPE_DIAGRAM, "DIAG" },
    { RSMXO_VAL_SMART_GRID_NODE_TYPE_RESULT, "RES" },
    { RSMXO_VAL_SMART_GRID_NODE_TYPE_NODE, "NODE" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSmartGridNodeType = { 4, RsMxo_rngSmartGridNodeTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSmartGridNodeSplitTypeEntries[6] =
  {
    { RSMXO_VAL_SMART_GRID_NODE_SPLIT_TYPE_NONE, "NONE" },
    { RSMXO_VAL_SMART_GRID_NODE_SPLIT_TYPE_HORIZONTAL, "HOR" },
    { RSMXO_VAL_SMART_GRID_NODE_SPLIT_TYPE_VERTICAL, "VERT" },
    { RSMXO_VAL_SMART_GRID_NODE_SPLIT_TYPE_ZOOM, "ZOOM" },
    { RSMXO_VAL_SMART_GRID_NODE_SPLIT_TYPE_SPECTRUM, "SPEC" },
    { RSMXO_VAL_SMART_GRID_NODE_SPLIT_TYPE_BODE, "BODE" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSmartGridNodeSplitType = { 6, RsMxo_rngSmartGridNodeSplitTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngAbsoluteRelativeEntries[2] =
  {
    { RSMXO_VAL_ABSOLUTE, "ABS" },
    { RSMXO_VAL_RELATIVE, "REL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngAbsoluteRelative = { 2, RsMxo_rngAbsoluteRelativeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMeasurementDirectionEntries[2] =
  {
    { RSMXO_VAL_MEASUREMENT_DIRECTION_FROM_FIRST, "FRFI" },
    { RSMXO_VAL_MEASUREMENT_DIRECTION_FROM_LAST, "FRLA" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMeasurementDirection = { 2, RsMxo_rngMeasurementDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMeasurementTypeEntries[40] =
  {
    { RSMXO_VAL_MEASUREMENT_TYPE_HIGH, "HIGH" },
    { RSMXO_VAL_MEASUREMENT_TYPE_LOW, "LOW" },
    { RSMXO_VAL_MEASUREMENT_TYPE_AMPLITUDE, "AMPL" },
    { RSMXO_VAL_MEASUREMENT_TYPE_MAXIMUM, "MAX" },
    { RSMXO_VAL_MEASUREMENT_TYPE_MINIMUM, "MIN" },
    { RSMXO_VAL_MEASUREMENT_TYPE_PEAK_DELTA, "PDEL" },
    { RSMXO_VAL_MEASUREMENT_TYPE_MEAN, "MEAN" },
    { RSMXO_VAL_MEASUREMENT_TYPE_RMS, "RMS" },
    { RSMXO_VAL_MEASUREMENT_TYPE_STDDEV, "STDD" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CREST, "CRES" },
    { RSMXO_VAL_MEASUREMENT_TYPE_POS_OVERSHOOT, "POV" },
    { RSMXO_VAL_MEASUREMENT_TYPE_NEG_OVERSHOOT, "NOV" },
    { RSMXO_VAL_MEASUREMENT_TYPE_AREA, "AREA" },
    { RSMXO_VAL_MEASUREMENT_TYPE_RISE_TIME, "RTIM" },
    { RSMXO_VAL_MEASUREMENT_TYPE_FALL_TIME, "FTIM" },
    { RSMXO_VAL_MEASUREMENT_TYPE_POSITIVE_PULSE, "PPUL" },
    { RSMXO_VAL_MEASUREMENT_TYPE_NEGATIVE_PULSE, "NPUL" },
    { RSMXO_VAL_MEASUREMENT_TYPE_PERIOD, "PER" },
    { RSMXO_VAL_MEASUREMENT_TYPE_FREQUENCY, "FREQ" },
    { RSMXO_VAL_MEASUREMENT_TYPE_POS_DUTY_CYCLE, "PDCY" },
    { RSMXO_VAL_MEASUREMENT_TYPE_NEG_DUTY_CYCLE, "NDCY" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CYCLE_AREA, "CYC" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CYCLE_MEAN, "CYCM" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CYCLE_RMS, "CYCR" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CYCLE_STDDEV, "CYCS" },
    { RSMXO_VAL_MEASUREMENT_TYPE_PULSE_COUNT, "PULC" },
    { RSMXO_VAL_MEASUREMENT_TYPE_DELAY, "DEL" },
    { RSMXO_VAL_MEASUREMENT_TYPE_PHASE, "PHAS" },
    { RSMXO_VAL_MEASUREMENT_TYPE_BURST_WIDTH, "BWID" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CYCLE_MAX, "CMAX" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CYCLE_MIN, "CMIN" },
    { RSMXO_VAL_MEASUREMENT_TYPE_CYCLE_PEAK_DELTA, "CPD" },
    { RSMXO_VAL_MEASUREMENT_TYPE_EDGE_COUNT, "EDG" },
    { RSMXO_VAL_MEASUREMENT_TYPE_SETUP, "SET" },
    { RSMXO_VAL_MEASUREMENT_TYPE_HOLD, "HOLD" },
    { RSMXO_VAL_MEASUREMENT_TYPE_SETUP_HOLD_TIME, "SHT" },
    { RSMXO_VAL_MEASUREMENT_TYPE_SETUP_HOLD_RATIO, "SHR" },
    { RSMXO_VAL_MEASUREMENT_TYPE_DELAY_TO_TRIGGER, "DTOT" },
    { RSMXO_VAL_MEASUREMENT_TYPE_SLEW_RISING, "SLER" },
    { RSMXO_VAL_MEASUREMENT_TYPE_SLEW_FALLING, "SLEF" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMeasurementType = { 40, RsMxo_rngMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngResultsLabelLayoutEntries[3] =
  {
    { RSMXO_VAL_RESULTS_LABEL_LAYOUT_NOBORDER, "NOB" },
    { RSMXO_VAL_RESULTS_LABEL_LAYOUT_FULL, "FULL" },
    { RSMXO_VAL_RESULTS_LABEL_LAYOUT_UNDERLINE, "UNDERLINE" }
  };
RsCoreRangeTableDiscrete RsMxo_rngResultsLabelLayout = { 3, RsMxo_rngResultsLabelLayoutEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngDigitalChannelEntries[16] =
  {
    { RSMXO_VAL_DIGITAL_CHANNEL_D0, "D0" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D1, "D1" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D2, "D2" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D3, "D3" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D4, "D4" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D5, "D5" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D6, "D6" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D7, "D7" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D8, "D8" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D9, "D9" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D10, "D10" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D11, "D11" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D12, "D12" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D13, "D13" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D14, "D14" },
    { RSMXO_VAL_DIGITAL_CHANNEL_D15, "D15" }
  };
RsCoreRangeTableDiscrete RsMxo_rngDigitalChannel = { 16, RsMxo_rngDigitalChannelEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngLogicClockedSlopeEntries[3] =
  {
    { RSMXO_VAL_LOGIC_CLOCKED_SLOPE_POSITIVE, "POS" },
    { RSMXO_VAL_LOGIC_CLOCKED_SLOPE_NEGATIVE, "NEG" },
    { RSMXO_VAL_LOGIC_CLOCKED_SLOPE_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngLogicClockedSlope = { 3, RsMxo_rngLogicClockedSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngDataFormatEntries[8] =
  {
    { RSMXO_VAL_DATA_FORMAT_HEX, "HEX" },
    { RSMXO_VAL_DATA_FORMAT_OCT, "OCT" },
    { RSMXO_VAL_DATA_FORMAT_BIN, "BIN" },
    { RSMXO_VAL_DATA_FORMAT_ASCII, "ASCII" },
    { RSMXO_VAL_DATA_FORMAT_SIGN, "SIGN" },
    { RSMXO_VAL_DATA_FORMAT_USIG, "USIG" },
    { RSMXO_VAL_DATA_FORMAT_DEC, "DEC" },
    { RSMXO_VAL_DATA_FORMAT_STRG, "STRG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngDataFormat = { 8, RsMxo_rngDataFormatEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngLogicHysteresisEntries[3] =
  {
    { RSMXO_VAL_LOGIC_HYSTERESIS_MAXIMUM, "MAX" },
    { RSMXO_VAL_LOGIC_HYSTERESIS_ROBUST, "ROB" },
    { RSMXO_VAL_LOGIC_HYSTERESIS_NORMAL, "NORM" }
  };
RsCoreRangeTableDiscrete RsMxo_rngLogicHysteresis = { 3, RsMxo_rngLogicHysteresisEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngLogicTechnologyEntries[10] =
  {
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V15, "V15" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V25, "V25" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V165, "V165" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V125, "V125" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V09, "V09" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_VM13, "VM13" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V38, "V38" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V20, "V20" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_V0, "V0" },
    { RSMXO_VAL_LOGIC_TECHNOLOGY_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngLogicTechnology = { 10, RsMxo_rngLogicTechnologyEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProbeVerticalUnitEntries[3] =
  {
    { RSMXO_VAL_PROBE_VERTICAL_UNIT_V, "V" },
    { RSMXO_VAL_PROBE_VERTICAL_UNIT_A, "A" },
    { RSMXO_VAL_PROBE_VERTICAL_UNIT_W, "W" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProbeVerticalUnit = { 3, RsMxo_rngProbeVerticalUnitEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngVerticalProbeMicroButtonEntries[9] =
  {
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_CONTINUOUS, "RCON" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_SINGLE, "RSIN" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_AUTOSET, "AUT" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_AZERO, "AZER" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_OFFSET_TO_MEAN, "OTM" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_SAVE_IMAGE, "SITF" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_NO_ACTION, "NOAC" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_TRIGGER_LEVEL, "FTR" },
    { RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_PROBE_SETUP, "PRS" }
  };
RsCoreRangeTableDiscrete RsMxo_rngVerticalProbeMicroButton = { 9, RsMxo_rngVerticalProbeMicroButtonEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngVerticalProbeStateEntries[2] =
  {
    { RSMXO_VAL_VERTICAL_PROBE_STATE_DETECTED, "DET" },
    { RSMXO_VAL_VERTICAL_PROBE_STATE_NOT_DETECTED, "NDET" }
  };
RsCoreRangeTableDiscrete RsMxo_rngVerticalProbeState = { 2, RsMxo_rngVerticalProbeStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngRescaleHorizonalModeEntries[2] =
  {
    { RSMXO_VAL_RESCALE_HORIZONAL_MODE_ORIGINAL, "ORIG" },
    { RSMXO_VAL_RESCALE_HORIZONAL_MODE_COUPLED, "COUP" }
  };
RsCoreRangeTableDiscrete RsMxo_rngRescaleHorizonalMode = { 2, RsMxo_rngRescaleHorizonalModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngRescaleVerticalModeEntries[2] =
  {
    { RSMXO_VAL_RESCALE_VERTICAL_MODE_COUPLED, "COUP" },
    { RSMXO_VAL_RESCALE_VERTICAL_MODE_INDEPENDENT, "IND" }
  };
RsCoreRangeTableDiscrete RsMxo_rngRescaleVerticalMode = { 2, RsMxo_rngRescaleVerticalModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngReferenceLevelRelativeModeEntries[4] =
  {
    { RSMXO_VAL_REFERENCE_LEVEL_RELATIVE_MODE_FIVE, "FIVE" },
    { RSMXO_VAL_REFERENCE_LEVEL_RELATIVE_MODE_TEN, "TEN" },
    { RSMXO_VAL_REFERENCE_LEVEL_RELATIVE_MODE_TWENTY, "TWEN" },
    { RSMXO_VAL_REFERENCE_LEVEL_RELATIVE_MODE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsMxo_rngReferenceLevelRelativeMode = { 4, RsMxo_rngReferenceLevelRelativeModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolFilterBitEntries[3] =
  {
    { RSMXO_VAL_PROTOCOL_FILTER_BIT_ONE, "ONE" },
    { RSMXO_VAL_PROTOCOL_FILTER_BIT_ZERO, "ZERO" },
    { RSMXO_VAL_PROTOCOL_FILTER_BIT_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolFilterBit = { 3, RsMxo_rngProtocolFilterBitEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProcotolFilterDataOperatorEntries[8] =
  {
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_EQUAL, "EQU" },
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_NOT_EQUAL, "NEQ" },
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_LESS_THAN, "LTH" },
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_LESS_EQUAL, "LETH" },
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_GREATER_THAN, "GTH" },
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_GREATER_EQUAL, "GETH" },
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_IN_RANGE, "INR" },
    { RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_OUT_OF_RANGE, "OOR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProcotolFilterDataOperator = { 8, RsMxo_rngProcotolFilterDataOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolFilterIndexOperatorEntries[3] =
  {
    { RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_EQUAL, "EQU" },
    { RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_INRANGE, "INR" },
    { RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_RANG, "RANG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolFilterIndexOperator = { 3, RsMxo_rngProtocolFilterIndexOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngReadWriteAccessEntries[4] =
  {
    { RSMXO_VAL_READ_WRITE_ACCESS_UNDEFINED, "UND" },
    { RSMXO_VAL_READ_WRITE_ACCESS_READ, "READ" },
    { RSMXO_VAL_READ_WRITE_ACCESS_WRITE, "WRIT" },
    { RSMXO_VAL_READ_WRITE_ACCESS_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngReadWriteAccess = { 4, RsMxo_rngReadWriteAccessEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolResultsAddressTypeEntries[6] =
  {
    { RSMXO_VAL_PROTOCOL_RESULTS_ADDRESS_TYPE_BIT7, "BIT7" },
    { RSMXO_VAL_PROTOCOL_RESULTS_ADDRESS_TYPE_BIT7RW, "BIT7RW" },
    { RSMXO_VAL_PROTOCOL_RESULTS_ADDRESS_TYPE_BIT7_RW, "BIT7_RW" },
    { RSMXO_VAL_PROTOCOL_RESULTS_ADDRESS_TYPE_BIT10, "BIT10" },
    { RSMXO_VAL_PROTOCOL_RESULTS_ADDRESS_TYPE_AUTO, "AUTO" },
    { RSMXO_VAL_PROTOCOL_RESULTS_ADDRESS_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolResultsAddressType = { 6, RsMxo_rngProtocolResultsAddressTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolI2CResultsStateEntries[7] =
  {
    { RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_NOSTOPBIT, "NOST" },
    { RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_INCOMPLETE, "INC" },
    { RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_ADDIFFERENT, "ADD" },
    { RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_UNKNOWN, "UNKN" },
    { RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_UNEX, "UNEX" },
    { RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_INS, "INS" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolI2CResultsState = { 7, RsMxo_rngProtocolI2CResultsStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSPIBitOrderEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_SPI_BIT_ORDER_LSBF, "LSBF" },
    { RSMXO_VAL_PROTOCOL_SPI_BIT_ORDER_MSBF, "MSBF" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSPIBitOrder = { 2, RsMxo_rngProtocolSPIBitOrderEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSPIResultsStateEntries[4] =
  {
    { RSMXO_VAL_PROTOCOL_SPI_RESULTS_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_SPI_RESULTS_STATE_VOID, "VOID" },
    { RSMXO_VAL_PROTOCOL_SPI_RESULTS_STATE_INC, "INC" },
    { RSMXO_VAL_PROTOCOL_SPI_RESULTS_STATE_LENGTH, "LENG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSPIResultsState = { 4, RsMxo_rngProtocolSPIResultsStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSPIFrameConditionEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_SPI_FRAME_CONDITION_CS, "CS" },
    { RSMXO_VAL_PROTOCOL_SPI_FRAME_CONDITION_CLK_TIMEOUT, "CLKT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSPIFrameCondition = { 2, RsMxo_rngProtocolSPIFrameConditionEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSPILinePolarityEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_SPI_LINE_POLARITY_ACTIVE_LOW, "ACTL" },
    { RSMXO_VAL_PROTOCOL_SPI_LINE_POLARITY_ACTIVE_HIGH, "ACTH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSPILinePolarity = { 2, RsMxo_rngProtocolSPILinePolarityEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolFilterConditionEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ONE, "ONE" },
    { RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ZERO, "ZERO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolFilterCondition = { 2, RsMxo_rngProtocolFilterConditionEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolUARTPacketEntries[3] =
  {
    { RSMXO_VAL_PROTOCOL_UART_PACKET_NONE, "NONE" },
    { RSMXO_VAL_PROTOCOL_UART_PACKET_END_WORD, "EWOR" },
    { RSMXO_VAL_PROTOCOL_UART_PACKET_TIMEOUT, "TOUT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTPacket = { 3, RsMxo_rngProtocolUARTPacketEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolUARTParityEntries[6] =
  {
    { RSMXO_VAL_PROTOCOL_UART_PARITY_NONE, "NONE" },
    { RSMXO_VAL_PROTOCOL_UART_PARITY_ODD, "ODD" },
    { RSMXO_VAL_PROTOCOL_UART_PARITY_EVEN, "EVEN" },
    { RSMXO_VAL_PROTOCOL_UART_PARITY_MARK, "MARK" },
    { RSMXO_VAL_PROTOCOL_UART_PARITY_SPACE, "SPC" },
    { RSMXO_VAL_PROTOCOL_UART_PARITY_DONT_CARE, "DC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTParity = { 6, RsMxo_rngProtocolUARTParityEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolUARTPolarityEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_UART_POLARITY_IDLE_LOW, "IDLL" },
    { RSMXO_VAL_PROTOCOL_UART_POLARITY_IDLE_HIGH, "IDLH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTPolarity = { 2, RsMxo_rngProtocolUARTPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolUARTStopBitsEntries[3] =
  {
    { RSMXO_VAL_PROTOCOL_UART_STOP_BITS_B1, "B1" },
    { RSMXO_VAL_PROTOCOL_UART_STOP_BITS_B15, "B15" },
    { RSMXO_VAL_PROTOCOL_UART_STOP_BITS_B2, "B2" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTStopBits = { 3, RsMxo_rngProtocolUARTStopBitsEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolUARTWordStateEntries[9] =
  {
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_FRSTART, "FRST" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_FREND, "FREN" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_FRME, "FRME" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_BREAK, "BRE" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_START_ERROR, "STER" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_STOP_ERROR, "SPER" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_PARITY_ERROR, "PRER" },
    { RSMXO_VAL_PROTOCOL_UART_WORD_STATE_INCOMPLETE, "INC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTWordState = { 9, RsMxo_rngProtocolUARTWordStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngInternalExternalEntries[2] =
  {
    { RSMXO_VAL_INTERNAL_EXTERNAL_INTERNAL, "INT" },
    { RSMXO_VAL_INTERNAL_EXTERNAL_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngInternalExternal = { 2, RsMxo_rngInternalExternalEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerActionPolarityEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_ACTION_POLARITY_POSITIVE, "POS" },
    { RSMXO_VAL_TRIGGER_ACTION_POLARITY_NEGATIVE, "NEG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerActionPolarity = { 2, RsMxo_rngTriggerActionPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerEdgeCouplingEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_EDGE_COUPLING_DC, "DC" },
    { RSMXO_VAL_TRIGGER_EDGE_COUPLING_DCLIMIT, "DCL" },
    { RSMXO_VAL_TRIGGER_EDGE_COUPLING_AC, "AC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeCoupling = { 3, RsMxo_rngTriggerEdgeCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerEdgeHighPassEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_EDGE_HIGH_PASS_KHZ5, "KHZ5" },
    { RSMXO_VAL_TRIGGER_EDGE_HIGH_PASS_KHZ50, "KHZ50" },
    { RSMXO_VAL_TRIGGER_EDGE_HIGH_PASS_MHZ50, "MHZ50" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeHighPass = { 3, RsMxo_rngTriggerEdgeHighPassEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerEdgeLowPassEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_EDGE_LOW_PASS_KHZ5, "KHZ5" },
    { RSMXO_VAL_TRIGGER_EDGE_LOW_PASS_KHZ50, "KHZ50" },
    { RSMXO_VAL_TRIGGER_EDGE_LOW_PASS_MHZ50, "MHZ50" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeLowPass = { 3, RsMxo_rngTriggerEdgeLowPassEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerEdgeFilterEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_EDGE_FILTER_OFF, "OFF" },
    { RSMXO_VAL_TRIGGER_EDGE_FILTER_LFREJECT, "LFR" },
    { RSMXO_VAL_TRIGGER_EDGE_FILTER_RFREJECT, "RFR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeFilter = { 3, RsMxo_rngTriggerEdgeFilterEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSlopeEntries[3] =
  {
    { RSMXO_VAL_SLOPE_POSITIVE, "POS" },
    { RSMXO_VAL_SLOPE_NEGATIVE, "NEG" },
    { RSMXO_VAL_SLOPE_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSlope = { 3, RsMxo_rngSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerGlitchRangeEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_GLITCH_RANGE_SHORTER, "SHOR" },
    { RSMXO_VAL_TRIGGER_GLITCH_RANGE_LONGER, "LONG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerGlitchRange = { 2, RsMxo_rngTriggerGlitchRangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerIntervalRangeEntries[4] =
  {
    { RSMXO_VAL_TRIGGER_INTERVAL_RANGE_WITHIN, "WITH" },
    { RSMXO_VAL_TRIGGER_INTERVAL_RANGE_OUTSIDE, "OUTS" },
    { RSMXO_VAL_TRIGGER_INTERVAL_RANGE_SHORTER, "SHOR" },
    { RSMXO_VAL_TRIGGER_INTERVAL_RANGE_LONGER, "LONG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerIntervalRange = { 4, RsMxo_rngTriggerIntervalRangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerRuntRangeEntries[5] =
  {
    { RSMXO_VAL_TRIGGER_RUNT_RANGE_ANY, "ANY" },
    { RSMXO_VAL_TRIGGER_RUNT_RANGE_LONGER, "LONG" },
    { RSMXO_VAL_TRIGGER_RUNT_RANGE_SHORTER, "SHOR" },
    { RSMXO_VAL_TRIGGER_RUNT_RANGE_WITHIN, "WITH" },
    { RSMXO_VAL_TRIGGER_RUNT_RANGE_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerRuntRange = { 5, RsMxo_rngTriggerRuntRangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerEdgeEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_EDGE_POSITIVE, "POS" },
    { RSMXO_VAL_TRIGGER_EDGE_NEGATIVE, "NEG" },
    { RSMXO_VAL_TRIGGER_EDGE_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerEdge = { 3, RsMxo_rngTriggerEdgeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerSlewRateRangeEntries[4] =
  {
    { RSMXO_VAL_TRIGGER_SLEW_RATE_RANGE_INRANGE, "INSR" },
    { RSMXO_VAL_TRIGGER_SLEW_RATE_RANGE_OUTRANGE, "OUTR" },
    { RSMXO_VAL_TRIGGER_SLEW_RATE_RANGE_LTHAN, "LTH" },
    { RSMXO_VAL_TRIGGER_SLEW_RATE_RANGE_GTHAN, "GTH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerSlewRateRange = { 4, RsMxo_rngTriggerSlewRateRangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerTimeoutRangeEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_TIMEOUT_RANGE_HIGH, "HIGH" },
    { RSMXO_VAL_TRIGGER_TIMEOUT_RANGE_LOW, "LOW" },
    { RSMXO_VAL_TRIGGER_TIMEOUT_RANGE_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerTimeoutRange = { 3, RsMxo_rngTriggerTimeoutRangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerTypeEntries[12] =
  {
    { RSMXO_VAL_TRIGGER_TYPE_EDGE, "EDGE" },
    { RSMXO_VAL_TRIGGER_TYPE_GLITCH, "GLIT" },
    { RSMXO_VAL_TRIGGER_TYPE_WIDTH, "WIDT" },
    { RSMXO_VAL_TRIGGER_TYPE_RUNT, "RUNT" },
    { RSMXO_VAL_TRIGGER_TYPE_WINDOW, "WIND" },
    { RSMXO_VAL_TRIGGER_TYPE_TIMEOUT, "TIM" },
    { RSMXO_VAL_TRIGGER_TYPE_INTERVAL, "INT" },
    { RSMXO_VAL_TRIGGER_TYPE_SLEWRATE, "SLEW" },
    { RSMXO_VAL_TRIGGER_TYPE_SETHOLD, "SETH" },
    { RSMXO_VAL_TRIGGER_TYPE_STATE, "STAT" },
    { RSMXO_VAL_TRIGGER_TYPE_PATTERN, "PATT" },
    { RSMXO_VAL_TRIGGER_TYPE_ANEDGE, "ANED" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerType = { 12, RsMxo_rngTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerWidthRangeEntries[4] =
  {
    { RSMXO_VAL_TRIGGER_WIDTH_RANGE_WITHIN, "WITH" },
    { RSMXO_VAL_TRIGGER_WIDTH_RANGE_OUTSIDE, "OUTS" },
    { RSMXO_VAL_TRIGGER_WIDTH_RANGE_SHORTER, "SHOR" },
    { RSMXO_VAL_TRIGGER_WIDTH_RANGE_LONGER, "LONG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerWidthRange = { 4, RsMxo_rngTriggerWidthRangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerVerticalConditionEntries[4] =
  {
    { RSMXO_VAL_TRIGGER_VERTICAL_CONDITION_ENTER, "ENT" },
    { RSMXO_VAL_TRIGGER_VERTICAL_CONDITION_EXIT, "EXIT" },
    { RSMXO_VAL_TRIGGER_VERTICAL_CONDITION_WITHIN, "WITH" },
    { RSMXO_VAL_TRIGGER_VERTICAL_CONDITION_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerVerticalCondition = { 4, RsMxo_rngTriggerVerticalConditionEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerTimeConditionEntries[4] =
  {
    { RSMXO_VAL_TRIGGER_TIME_CONDITION_WITHIN, "WITH" },
    { RSMXO_VAL_TRIGGER_TIME_CONDITION_OUTSIDE, "OUTS" },
    { RSMXO_VAL_TRIGGER_TIME_CONDITION_SHORTER, "SHOR" },
    { RSMXO_VAL_TRIGGER_TIME_CONDITION_LONGER, "LONG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerTimeCondition = { 4, RsMxo_rngTriggerTimeConditionEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerFilterModeEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_FILTER_MODE_OFF, "OFF" },
    { RSMXO_VAL_TRIGGER_FILTER_MODE_LFREJECT, "LFR" },
    { RSMXO_VAL_TRIGGER_FILTER_MODE_RFREJECT, "RFR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerFilterMode = { 3, RsMxo_rngTriggerFilterModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerHoldoffModeEntries[5] =
  {
    { RSMXO_VAL_TRIGGER_HOLDOFF_MODE_OFF, "OFF" },
    { RSMXO_VAL_TRIGGER_HOLDOFF_MODE_TIME, "TIME" },
    { RSMXO_VAL_TRIGGER_HOLDOFF_MODE_EVENTS, "EVEN" },
    { RSMXO_VAL_TRIGGER_HOLDOFF_MODE_RANDOM, "RAND" },
    { RSMXO_VAL_TRIGGER_HOLDOFF_MODE_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerHoldoffMode = { 5, RsMxo_rngTriggerHoldoffModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerOnEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_ON_SINGLE, "SING" },
    { RSMXO_VAL_TRIGGER_ON_SEQUENCE, "SEQ" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerOn = { 2, RsMxo_rngTriggerOnEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerModeEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_MODE_AUTO, "AUTO" },
    { RSMXO_VAL_TRIGGER_MODE_NORMAL, "NORM" },
    { RSMXO_VAL_TRIGGER_MODE_FREERUN, "FRE" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerMode = { 3, RsMxo_rngTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerReadWriteAccessEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_READ_WRITE_ACCESS_READ, "READ" },
    { RSMXO_VAL_TRIGGER_READ_WRITE_ACCESS_WRITE, "WRIT" },
    { RSMXO_VAL_TRIGGER_READ_WRITE_ACCESS_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerReadWriteAccess = { 3, RsMxo_rngTriggerReadWriteAccessEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngConditionOperatorEntries[8] =
  {
    { RSMXO_VAL_CONDITION_OPERATOR_EQUAL, "EQU" },
    { RSMXO_VAL_CONDITION_OPERATOR_NOT_EQUAL, "NEQ" },
    { RSMXO_VAL_CONDITION_OPERATOR_LESS_THAN, "LTH" },
    { RSMXO_VAL_CONDITION_OPERATOR_LESS_EQUAL, "LETH" },
    { RSMXO_VAL_CONDITION_OPERATOR_GREATER_THAN, "GTH" },
    { RSMXO_VAL_CONDITION_OPERATOR_GREATER_EQUAL, "GETH" },
    { RSMXO_VAL_CONDITION_OPERATOR_IN_RANGE, "INR" },
    { RSMXO_VAL_CONDITION_OPERATOR_OF_RANGE, "OOR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngConditionOperator = { 8, RsMxo_rngConditionOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolTriggerAddressTypeEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_TRIGGER_ADDRESS_TYPE_BIT7, "BIT7" },
    { RSMXO_VAL_PROTOCOL_TRIGGER_ADDRESS_TYPE_BIT10, "BIT10" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolTriggerAddressType = { 2, RsMxo_rngProtocolTriggerAddressTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolI2CTriggerTypeEntries[7] =
  {
    { RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_START, "STAR" },
    { RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_REPSTART, "REPS" },
    { RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_STOP, "STOP" },
    { RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_NACK, "NACK" },
    { RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_ADDRESS, "ADDR" },
    { RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_DATA, "DATA" },
    { RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_ADAT, "ADAT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolI2CTriggerType = { 7, RsMxo_rngProtocolI2CTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerSizeModeEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_SIZE_MODE_ABS, "ABS" },
    { RSMXO_VAL_TRIGGER_SIZE_MODE_REL, "REL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerSizeMode = { 2, RsMxo_rngTriggerSizeModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerHysteresisModeEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_HYSTERESIS_MODE_AUTO, "AUTO" },
    { RSMXO_VAL_TRIGGER_HYSTERESIS_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerHysteresisMode = { 2, RsMxo_rngTriggerHysteresisModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerSPISearchModeEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_SPI_SEARCH_MODE_WORD, "WORD" },
    { RSMXO_VAL_TRIGGER_SPI_SEARCH_MODE_BIT, "BIT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerSPISearchMode = { 2, RsMxo_rngTriggerSPISearchModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSPITriggerTypeEntries[4] =
  {
    { RSMXO_VAL_PROTOCOL_SPI_TRIGGER_TYPE_FRAME_START, "FRST" },
    { RSMXO_VAL_PROTOCOL_SPI_TRIGGER_TYPE_FRAME_END, "FREN" },
    { RSMXO_VAL_PROTOCOL_SPI_TRIGGER_TYPE_MOSI, "MOSI" },
    { RSMXO_VAL_PROTOCOL_SPI_TRIGGER_TYPE_MISO, "MISO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSPITriggerType = { 4, RsMxo_rngProtocolSPITriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngUARTSourceEntries[2] =
  {
    { RSMXO_VAL_UART_SOURCE_TX, "TX" },
    { RSMXO_VAL_UART_SOURCE_RX, "RX" }
  };
RsCoreRangeTableDiscrete RsMxo_rngUARTSource = { 2, RsMxo_rngUARTSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngUARTTriggerTypeEntries[6] =
  {
    { RSMXO_VAL_UART_TRIGGER_TYPE_START_BIT, "STBT" },
    { RSMXO_VAL_UART_TRIGGER_TYPE_PACKET_START, "PCKS" },
    { RSMXO_VAL_UART_TRIGGER_TYPE_DATA, "DATA" },
    { RSMXO_VAL_UART_TRIGGER_TYPE_PARITY_ERROR, "PRER" },
    { RSMXO_VAL_UART_TRIGGER_TYPE_BREAK_CONDITION, "BRKC" },
    { RSMXO_VAL_UART_TRIGGER_TYPE_STOP_ERROR, "STP" }
  };
RsCoreRangeTableDiscrete RsMxo_rngUARTTriggerType = { 6, RsMxo_rngUARTTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngGeneratorArbitraryRunModeEntries[2] =
  {
    { RSMXO_VAL_GENERATOR_ARBITRARY_RUN_MODE_SINGLE, "SING" },
    { RSMXO_VAL_GENERATOR_ARBITRARY_RUN_MODE_REPETITIVE, "REP" }
  };
RsCoreRangeTableDiscrete RsMxo_rngGeneratorArbitraryRunMode = { 2, RsMxo_rngGeneratorArbitraryRunModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngArbitrarySignalSourceEntries[16] =
  {
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C1W1, "C1W1" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C1W2, "C1W2" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C1W3, "C1W3" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C2W1, "C2W1" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C2W2, "C2W2" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C2W3, "C2W3" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C3W1, "C3W1" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C3W2, "C3W2" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C3W3, "C3W3" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C4W1, "C4W1" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C4W2, "C4W2" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C4W3, "C4W3" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_R1, "R1" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_R2, "R2" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_R3, "R3" },
    { RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_R4, "R4" }
  };
RsCoreRangeTableDiscrete RsMxo_rngArbitrarySignalSource = { 16, RsMxo_rngArbitrarySignalSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngArbitrarySourceEntries[2] =
  {
    { RSMXO_VAL_ARBITRARY_SOURCE_ARBITRARY, "ARB" },
    { RSMXO_VAL_ARBITRARY_SOURCE_SCOPE, "SCOP" }
  };
RsCoreRangeTableDiscrete RsMxo_rngArbitrarySource = { 2, RsMxo_rngArbitrarySourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngGeneratorFunctionTypeEntries[12] =
  {
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_SINUSOID, "SIN" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_SQUARE, "SQU" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_RAMP, "RAMP" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_DC, "DC" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_PULSE, "PULS" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_SINC, "SINC" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_CARDIAC, "CARD" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_GAUSS, "GAUS" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_LORNTZ, "LORN" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_EXPRISE, "EXPR" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_EXPFALL, "EXPF" },
    { RSMXO_VAL_GENERATOR_FUNCTION_TYPE_ARBITRARY, "ARB" }
  };
RsCoreRangeTableDiscrete RsMxo_rngGeneratorFunctionType = { 12, RsMxo_rngGeneratorFunctionTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngModulationSignalTypeEntries[3] =
  {
    { RSMXO_VAL_MODULATION_SIGNAL_TYPE_SINUSOID, "SIN" },
    { RSMXO_VAL_MODULATION_SIGNAL_TYPE_SQUARE, "SQU" },
    { RSMXO_VAL_MODULATION_SIGNAL_TYPE_RAMP, "RAMP" }
  };
RsCoreRangeTableDiscrete RsMxo_rngModulationSignalType = { 3, RsMxo_rngModulationSignalTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngModulationTypeEntries[6] =
  {
    { RSMXO_VAL_MODULATION_TYPE_NONE, "NONE" },
    { RSMXO_VAL_MODULATION_TYPE_AM, "AM" },
    { RSMXO_VAL_MODULATION_TYPE_FM, "FM" },
    { RSMXO_VAL_MODULATION_TYPE_PWM, "PWM" },
    { RSMXO_VAL_MODULATION_TYPE_ASK, "ASK" },
    { RSMXO_VAL_MODULATION_TYPE_FSK, "FSK" }
  };
RsCoreRangeTableDiscrete RsMxo_rngModulationType = { 6, RsMxo_rngModulationTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngGeneratorUserLoadEntries[2] =
  {
    { RSMXO_VAL_GENERATOR_USER_LOAD_FIFTY, "FIFT" },
    { RSMXO_VAL_GENERATOR_USER_LOAD_HIZ, "HIZ" }
  };
RsCoreRangeTableDiscrete RsMxo_rngGeneratorUserLoad = { 2, RsMxo_rngGeneratorUserLoadEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngGeneratorSweepTypeEntries[2] =
  {
    { RSMXO_VAL_GENERATOR_SWEEP_TYPE_LIN, "LIN" },
    { RSMXO_VAL_GENERATOR_SWEEP_TYPE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngGeneratorSweepType = { 2, RsMxo_rngGeneratorSweepTypeEntries };

RsCoreRangeTableRanged RsMxo_rngAcquisitionRecordLength = { 1000, 2147483647.0, "pts" };

RsCoreRangeTableRanged RsMxo_rngAcquisitionResolution = { 1E-15, RS_VAL_MAX_REAL64, "s" };

RsCoreRangeTableRanged RsMxo_rngAcquisitionRecordLengthLimit = { 1000, 800000000, "pts" };

RsCoreRangeTableRanged RsMxo_rngAcquisitionHistoryIndex = { -2147483648.0, 0, "" };

RsCoreRangeTableRanged RsMxo_rngTriggerSlewRateTime = { 1E-10, 10000, "s" };

RsCoreRangeTableRanged RsMxo_rngTriggerTimeoutTime = { 1E-10, 10000, "s" };

RsCoreRangeTableRanged RsMxo_rngSpectrumPeakListMaxResults = { 1, 1000, "" };

RsCoreRangeTableRanged RsMxo_rngSpectrumPeakListPeakExcursion = { 0, 100, "dB" };

RsCoreRangeTableRanged RsMxo_rngSpectrumTracesAverageCount = { 2, 65534, "" };

RsCoreRangeTableRanged RsMxo_rngPercentage = { 0, 100, "%" };

RsCoreRangeTableRanged RsMxo_rngSetupAndHoldClockLevel = { -10, 10, "V" };

RsCoreRangeTableRanged RsMxo_rngTriggerHoldoffAutoTimeScaling = { 0.001, 1000, "" };

RsCoreRangeTableRanged RsMxo_rngGeneratorModulationDutyCycle = { 10, 90, "%" };

RsCoreRangeTableRanged RsMxo_rngGeneratorDutyCycle = { 0.01, 99.99, "%" };

RsCoreRangeTableRanged RsMxo_rngGeneratorFrequency = { 0.001, RS_VAL_MAX_REAL64, "Hz" };

RsCoreRangeTableRanged RsMxo_rngArbitraryNumberOfSamples = { 0, 128000000, "Sa" };

RsCoreRangeTableRanged RsMxo_rngPhaseShift = { -180, 180, "deg" };

RsCoreRangeTableRanged RsMxo_rngProtocolSPIWordLength = { 4, 32, "" };

RsCoreRangeTableRanged RsMxo_rngProtocolUARTBitRate = { 300, 20000000, "bps" };

RsCoreRangeTableRanged RsMxo_rngProtocolUARTDataBits = { 5, 9, "" };

RsCoreRangeTableRanged RsMxo_rngProtocolFilterIndex = { 1, 65535, "" };

RsCoreRangeTableRanged RsMxo_rngZoomRelativeSpan = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngColorTableEntries[7] =
  {
    { RSMXO_VAL_COLOR_TABLE_FALSE_COLORS, "FalseColors" },
    { RSMXO_VAL_COLOR_TABLE_M_HOT, "M-Hot" },
    { RSMXO_VAL_COLOR_TABLE_HSV, "M-Hsv" },
    { RSMXO_VAL_COLOR_TABLE_M_JET, "M-Jet" },
    { RSMXO_VAL_COLOR_TABLE_SPECTRUM, "Spectrum" },
    { RSMXO_VAL_COLOR_TABLE_SINGLE_EVENT, "SingleEvent" },
    { RSMXO_VAL_COLOR_TABLE_TEMPERATURE, "Temperature" }
  };
RsCoreRangeTableDiscrete RsMxo_rngColorTable = { 7, RsMxo_rngColorTableEntries };

RsCoreRangeTableRanged RsMxo_rngReferenceLevelHysteresisAbsolute = { -1E+26, 1E+26, "V" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolTypeEntries[8] =
  {
    { RSMXO_VAL_PROTOCOL_TYPE_I2C, "I2C" },
    { RSMXO_VAL_PROTOCOL_TYPE_SPI, "SPI" },
    { RSMXO_VAL_PROTOCOL_TYPE_UART, "UART" },
    { RSMXO_VAL_PROTOCOL_TYPE_CAN, "CAN" },
    { RSMXO_VAL_PROTOCOL_TYPE_LIN, "LIN" },
    { RSMXO_VAL_PROTOCOL_TYPE_SPMI, "SPMI" },
    { RSMXO_VAL_PROTOCOL_TYPE_TNOS, "TNOS" },
    { RSMXO_VAL_PROTOCOL_TYPE_HBTO, "HBTO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolType = { 8, RsMxo_rngProtocolTypeEntries };

RsCoreRangeTableRanged RsMxo_rngProtocolAddress = { 0, 2047, "" };

RsCoreRangeTableRanged RsMxo_rngSmartGridSplitRatio = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTransferDataFormatEntries[5] =
  {
    { RSMXO_VAL_TRANSFER_DATA_FORMAT_ASCII, "ASC" },
    { RSMXO_VAL_TRANSFER_DATA_FORMAT_REAL32, "REAL,32" },
    { RSMXO_VAL_TRANSFER_DATA_FORMAT_INT8, "INT,8" },
    { RSMXO_VAL_TRANSFER_DATA_FORMAT_INT16, "INT,16" },
    { RSMXO_VAL_TRANSFER_DATA_FORMAT_INT32, "INT,32" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTransferDataFormat = { 5, RsMxo_rngTransferDataFormatEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolI2CResultsAddressAckEntries[4] =
  {
    { RSMXO_VAL_PROTOCOL_I2_C_RESULTS_ADDRESS_ACK_INCOMPLETE, "INC" },
    { RSMXO_VAL_PROTOCOL_I2_C_RESULTS_ADDRESS_ACK_ACK, "ACK" },
    { RSMXO_VAL_PROTOCOL_I2_C_RESULTS_ADDRESS_ACK_NACK, "NACK" },
    { RSMXO_VAL_PROTOCOL_I2_C_RESULTS_ADDRESS_ACK_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolI2CResultsAddressAck = { 4, RsMxo_rngProtocolI2CResultsAddressAckEntries };

RsCoreRangeTableRanged RsMxo_rngZoomDiagram = { 1, 2147483647.0, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngWaveformExportModeEntries[5] =
  {
    { RSMXO_VAL_WAVEFORM_EXPORT_MODE_DISPLAY, "DISP" },
    { RSMXO_VAL_WAVEFORM_EXPORT_MODE_ALL, "ALL" },
    { RSMXO_VAL_WAVEFORM_EXPORT_MODE_CURSOR, "CURS" },
    { RSMXO_VAL_WAVEFORM_EXPORT_MODE_GATE, "GATE" },
    { RSMXO_VAL_WAVEFORM_EXPORT_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngWaveformExportMode = { 5, RsMxo_rngWaveformExportModeEntries };

RsCoreRangeTableRanged RsMxo_rngWaveformGate = { 1, 2, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCursorSetEntries[4] =
  {
    { RSMXO_VAL_CURSOR_SET_1, "CURSor1" },
    { RSMXO_VAL_CURSOR_SET_2, "CURSor2" },
    { RSMXO_VAL_CURSOR_SET_3, "CURSor3" },
    { RSMXO_VAL_CURSOR_SET_4, "CURSor4" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCursorSet = { 4, RsMxo_rngCursorSetEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSpectrumTraceTypeEntries[4] =
  {
    { RSMXO_VAL_SPECTRUM_TRACE_TYPE_NORMAL, "NORMAL" },
    { RSMXO_VAL_SPECTRUM_TRACE_TYPE_MINIMUM, "MINIMUM" },
    { RSMXO_VAL_SPECTRUM_TRACE_TYPE_MAXIMUM, "MAXIMUM" },
    { RSMXO_VAL_SPECTRUM_TRACE_TYPE_AVERAGE, "AVERAGE" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSpectrumTraceType = { 4, RsMxo_rngSpectrumTraceTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPeakListSourceEntries[4] =
  {
    { RSMXO_VAL_PEAK_LIST_SOURCE_SPECTRUM_NORM1, "SPECNORM1" },
    { RSMXO_VAL_PEAK_LIST_SOURCE_SPECTRUM_MIN_HOLD1, "SPECMINH1" },
    { RSMXO_VAL_PEAK_LIST_SOURCE_SPECTRUM_MAX_HOLD1, "SPECMAXH1" },
    { RSMXO_VAL_PEAK_LIST_SOURCE_SPECTRUM_AVERAGE1, "SPECAVER1" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPeakListSource = { 4, RsMxo_rngPeakListSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMeasurementStatisticsEntries[8] =
  {
    { RSMXO_VAL_MEASUREMENT_STATISTICS_CURRENT, "ACT" },
    { RSMXO_VAL_MEASUREMENT_STATISTICS_MAX, "PPE" },
    { RSMXO_VAL_MEASUREMENT_STATISTICS_MIN, "NPE" },
    { RSMXO_VAL_MEASUREMENT_STATISTICS_MEAN, "AVG" },
    { RSMXO_VAL_MEASUREMENT_STATISTICS_RMS, "RMS" },
    { RSMXO_VAL_MEASUREMENT_STATISTICS_STANDARD_DEVIATION, "STDD" },
    { RSMXO_VAL_MEASUREMENT_STATISTICS_EVENT_COUNT, "EVTC" },
    { RSMXO_VAL_MEASUREMENT_STATISTICS_WAVE_COUNT, "WFMC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMeasurementStatistics = { 8, RsMxo_rngMeasurementStatisticsEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerSourceEntries[30] =
  {
    { RSMXO_VAL_TRIGGER_SOURCE_C1, "C1" },
    { RSMXO_VAL_TRIGGER_SOURCE_C2, "C2" },
    { RSMXO_VAL_TRIGGER_SOURCE_C3, "C3" },
    { RSMXO_VAL_TRIGGER_SOURCE_C4, "C4" },
    { RSMXO_VAL_TRIGGER_SOURCE_SBUS1, "SBUS1" },
    { RSMXO_VAL_TRIGGER_SOURCE_SBUS2, "SBUS2" },
    { RSMXO_VAL_TRIGGER_SOURCE_SBUS3, "SBUS3" },
    { RSMXO_VAL_TRIGGER_SOURCE_SBUS4, "SBUS4" },
    { RSMXO_VAL_TRIGGER_SOURCE_D0, "D0" },
    { RSMXO_VAL_TRIGGER_SOURCE_D1, "D1" },
    { RSMXO_VAL_TRIGGER_SOURCE_D2, "D2" },
    { RSMXO_VAL_TRIGGER_SOURCE_D3, "D3" },
    { RSMXO_VAL_TRIGGER_SOURCE_D4, "D4" },
    { RSMXO_VAL_TRIGGER_SOURCE_D5, "D5" },
    { RSMXO_VAL_TRIGGER_SOURCE_D6, "D6" },
    { RSMXO_VAL_TRIGGER_SOURCE_D7, "D7" },
    { RSMXO_VAL_TRIGGER_SOURCE_D8, "D8" },
    { RSMXO_VAL_TRIGGER_SOURCE_D9, "D9" },
    { RSMXO_VAL_TRIGGER_SOURCE_D10, "D10" },
    { RSMXO_VAL_TRIGGER_SOURCE_D11, "D11" },
    { RSMXO_VAL_TRIGGER_SOURCE_D12, "D12" },
    { RSMXO_VAL_TRIGGER_SOURCE_D13, "D13" },
    { RSMXO_VAL_TRIGGER_SOURCE_D14, "D14" },
    { RSMXO_VAL_TRIGGER_SOURCE_D15, "D15" },
    { RSMXO_VAL_TRIGGER_SOURCE_EXTERNAL, "EXT" },
    { RSMXO_VAL_TRIGGER_SOURCE_LINE, "LINE" },
    { RSMXO_VAL_TRIGGER_SOURCE_C5, "C5" },
    { RSMXO_VAL_TRIGGER_SOURCE_C6, "C6" },
    { RSMXO_VAL_TRIGGER_SOURCE_C7, "C7" },
    { RSMXO_VAL_TRIGGER_SOURCE_C8, "C8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerSource = { 30, RsMxo_rngTriggerSourceEntries };

RsCoreRangeTableRanged RsMxo_rngMeasurementAmplitudeTimePulseCount = { 1, 2147483647, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMathOperatorEntries[15] =
  {
    { RSMXO_VAL_MATH_OPERATOR_ADDITION, "+" },
    { RSMXO_VAL_MATH_OPERATOR_SUBTRACTION, "-" },
    { RSMXO_VAL_MATH_OPERATOR_MULTIPLICATION, "*" },
    { RSMXO_VAL_MATH_OPERATOR_DIVISION, "/" },
    { RSMXO_VAL_MATH_OPERATOR_ABSOLUTE_VALUE, "Abs" },
    { RSMXO_VAL_MATH_OPERATOR_DIFFERENTIAL, "Derivation" },
    { RSMXO_VAL_MATH_OPERATOR_INTEGRAL, "Integral" },
    { RSMXO_VAL_MATH_OPERATOR_LOG10, "Log" },
    { RSMXO_VAL_MATH_OPERATOR_LOG_NATURAL, "Ln" },
    { RSMXO_VAL_MATH_OPERATOR_BINARY_LOG, "Ld" },
    { RSMXO_VAL_MATH_OPERATOR_SQUARE, "Pow" },
    { RSMXO_VAL_MATH_OPERATOR_ROOT, "Sqrt" },
    { RSMXO_VAL_MATH_OPERATOR_RESCALE, "Rescale" },
    { RSMXO_VAL_MATH_OPERATOR_NEGATE, "-x" },
    { RSMXO_VAL_MATH_OPERATOR_INVERSE, "1/x" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMathOperator = { 15, RsMxo_rngMathOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMathSourceEntries[18] =
  {
    { RSMXO_VAL_MATH_SOURCE_NONE, "NONE" },
    { RSMXO_VAL_MATH_SOURCE_C1, "C1" },
    { RSMXO_VAL_MATH_SOURCE_C2, "C2" },
    { RSMXO_VAL_MATH_SOURCE_C3, "C3" },
    { RSMXO_VAL_MATH_SOURCE_C4, "C4" },
    { RSMXO_VAL_MATH_SOURCE_C5, "C5" },
    { RSMXO_VAL_MATH_SOURCE_C6, "C6" },
    { RSMXO_VAL_MATH_SOURCE_C7, "C7" },
    { RSMXO_VAL_MATH_SOURCE_C8, "C8" },
    { RSMXO_VAL_MATH_SOURCE_M1, "M1" },
    { RSMXO_VAL_MATH_SOURCE_M2, "M2" },
    { RSMXO_VAL_MATH_SOURCE_M3, "M3" },
    { RSMXO_VAL_MATH_SOURCE_M4, "M4" },
    { RSMXO_VAL_MATH_SOURCE_M5, "M5" },
    { RSMXO_VAL_MATH_SOURCE_R1, "R1" },
    { RSMXO_VAL_MATH_SOURCE_R2, "R2" },
    { RSMXO_VAL_MATH_SOURCE_R3, "R3" },
    { RSMXO_VAL_MATH_SOURCE_R4, "R4" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMathSource = { 18, RsMxo_rngMathSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMathSignalTypeEntries[5] =
  {
    { RSMXO_VAL_MATH_SIGNAL_TYPE_NONE, "NONE" },
    { RSMXO_VAL_MATH_SIGNAL_TYPE_SOURCE, "SOUR" },
    { RSMXO_VAL_MATH_SIGNAL_TYPE_CORRELATION, "CORR" },
    { RSMXO_VAL_MATH_SIGNAL_TYPE_MEASUREMENT, "MEAS" },
    { RSMXO_VAL_MATH_SIGNAL_TYPE_MATH, "MATH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMathSignalType = { 5, RsMxo_rngMathSignalTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMathEnvelopeWaveformSelectionEntries[3] =
  {
    { RSMXO_VAL_MATH_ENVELOPE_WAVEFORM_SELECTION_MIN, "MIN" },
    { RSMXO_VAL_MATH_ENVELOPE_WAVEFORM_SELECTION_MAX, "MAX" },
    { RSMXO_VAL_MATH_ENVELOPE_WAVEFORM_SELECTION_BOTH, "BOTH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMathEnvelopeWaveformSelection = { 3, RsMxo_rngMathEnvelopeWaveformSelectionEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMathVerticalScaleModeEntries[2] =
  {
    { RSMXO_VAL_MATH_VERTICAL_SCALE_MODE_MANUAL, "MAN" },
    { RSMXO_VAL_MATH_VERTICAL_SCALE_MODE_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMathVerticalScaleMode = { 2, RsMxo_rngMathVerticalScaleModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCursorEnvelopeEntries[2] =
  {
    { RSMXO_VAL_CURSOR_ENVELOPE_MIN, "MIN" },
    { RSMXO_VAL_CURSOR_ENVELOPE_MAX, "MAX" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCursorEnvelope = { 2, RsMxo_rngCursorEnvelopeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisAmplitudeModeEntries[2] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_MODE_CONSTANT, "CONS" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_MODE_PROFILE, "PROF" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisAmplitudeMode = { 2, RsMxo_rngFrequencyResponseAnalysisAmplitudeModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisAmplitudeProfileVoltageChangeEntries[2] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_VOLTAGE_CHANGE_SINGLE, "SING" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_VOLTAGE_CHANGE_RAMP, "RAMP" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisAmplitudeProfileVoltageChange = { 2, RsMxo_rngFrequencyResponseAnalysisAmplitudeProfileVoltageChangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisUserGeneratorLoadEntries[2] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_USER_GENERATOR_LOAD_FIFTY, "FIFT" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_USER_GENERATOR_LOAD_HIZ, "HIZ" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisUserGeneratorLoad = { 2, RsMxo_rngFrequencyResponseAnalysisUserGeneratorLoadEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisInputOutputEntries[8] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C1, "C1" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C2, "C2" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C3, "C3" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C4, "C4" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C5, "C5" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C6, "C6" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C7, "C7" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C8, "C8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisInputOutput = { 8, RsMxo_rngFrequencyResponseAnalysisInputOutputEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisRBWEntries[3] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_RBW_HIGH, "HIGH" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_RBW_MEDIUM, "MID" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_RBW_LOW, "LOW" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisRBW = { 3, RsMxo_rngFrequencyResponseAnalysisRBWEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisPointsModeEntries[2] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_POINTS_MODE_TOTAL, "TOT" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_POINTS_MODE_DECADE, "DEC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisPointsMode = { 2, RsMxo_rngFrequencyResponseAnalysisPointsModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisMeasurementEntries[2] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_MEASUREMENT_STOP, "STOP" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_MEASUREMENT_RUN, "RUN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisMeasurement = { 2, RsMxo_rngFrequencyResponseAnalysisMeasurementEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngGateCouplingModeEntries[4] =
  {
    { RSMXO_VAL_GATE_COUPLING_MODE_MANUAL, "MAN" },
    { RSMXO_VAL_GATE_COUPLING_MODE_CURSOR, "CURS" },
    { RSMXO_VAL_GATE_COUPLING_MODE_ZOOM, "ZOOM" },
    { RSMXO_VAL_GATE_COUPLING_MODE_SPECTRUM, "SPEC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngGateCouplingMode = { 4, RsMxo_rngGateCouplingModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMeasurementEnvelopeEntries[3] =
  {
    { RSMXO_VAL_MEASUREMENT_ENVELOPE_MIN, "MIN" },
    { RSMXO_VAL_MEASUREMENT_ENVELOPE_MAX, "MAX" },
    { RSMXO_VAL_MEASUREMENT_ENVELOPE_BOTH, "BOTH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMeasurementEnvelope = { 3, RsMxo_rngMeasurementEnvelopeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProbeVoltageRangeEntries[3] =
  {
    { RSMXO_VAL_PROBE_VOLTAGE_RANGE_AUTO, "AUTO" },
    { RSMXO_VAL_PROBE_VOLTAGE_RANGE_HIGH, "MHIG" },
    { RSMXO_VAL_PROBE_VOLTAGE_RANGE_LOW, "MLOW" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProbeVoltageRange = { 3, RsMxo_rngProbeVoltageRangeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProbePredefinedTypeEntries[11] =
  {
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_NONE, "NONE" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_USER, "USER" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZC10, "ZC10" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZC20, "ZC20" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZC30, "ZC30" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZD01A100, "ZD01A100" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZD01A1000, "ZD01A1000" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZS10L, "ZS10L" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZC02100, "ZC02100" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZC021000, "ZC021000" },
    { RSMXO_VAL_PROBE_PREDEFINED_TYPE_ZC03, "ZC03" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProbePredefinedType = { 11, RsMxo_rngProbePredefinedTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProbeDisplayEntries[2] =
  {
    { RSMXO_VAL_PROBE_DISPLAY_DIFFERENTIAL, "DIFF" },
    { RSMXO_VAL_PROBE_DISPLAY_SINGLE_ENDED, "SING" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProbeDisplay = { 2, RsMxo_rngProbeDisplayEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolCANFormErrorEntries[5] =
  {
    { RSMXO_VAL_PROTOCOL_CAN_FORM_ERROR_NONE, "NONE" },
    { RSMXO_VAL_PROTOCOL_CAN_FORM_ERROR_CRC_DELIMITER, "CRCD" },
    { RSMXO_VAL_PROTOCOL_CAN_FORM_ERROR_ACK_DELIMITER, "ACKD" },
    { RSMXO_VAL_PROTOCOL_CAN_FORM_ERROR_FIXED_STUFF_BIT, "FSBE" },
    { RSMXO_VAL_PROTOCOL_CAN_FORM_ERROR_RESERVED_BIT, "RES" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolCANFormError = { 5, RsMxo_rngProtocolCANFormErrorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolCANResultStateEntries[12] =
  {
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_ERROR, "ERR" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_UNDEFINED, "UNDF" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_BTST, "BTST" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_EOFD, "EOFD" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_ACKD, "ACKD" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_NOACK, "NOACK" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_CRCD, "CRCD" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_CRC, "CRC" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_SERR, "SERR" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_FORM, "FORM" },
    { RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_INC, "INC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolCANResultState = { 12, RsMxo_rngProtocolCANResultStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolCANFrameTypeEntries[10] =
  {
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_CBFF, "CBFF" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_CBFR, "CBFR" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_CEFF, "CEFF" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_CEFR, "CEFR" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_FBFF, "FBFF" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_FEFF, "FEFF" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_XLFF, "XLFF" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_ERR, "ERR" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_OVLD, "OVLD" },
    { RSMXO_VAL_PROTOCOL_CAN_FRAME_TYPE_UND, "UND" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolCANFrameType = { 10, RsMxo_rngProtocolCANFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolCANTypeEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_CAN_TYPE_HIGH, "CANH" },
    { RSMXO_VAL_PROTOCOL_CAN_TYPE_LOW, "CANL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolCANType = { 2, RsMxo_rngProtocolCANTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolTriggerDLCOperatorEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_TRIGGER_DLC_OPERATOR_EQUAL, "EQU" },
    { RSMXO_VAL_PROTOCOL_TRIGGER_DLC_OPERATOR_GETHAN, "GETH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolTriggerDLCOperator = { 2, RsMxo_rngProtocolTriggerDLCOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCANTriggerFrameTypeEntries[9] =
  {
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_CBFF, "CBFF" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_CBFR, "CBFR" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_CEFF, "CEFF" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_ERROR, "ERR" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_OVERLOAD, "OVER" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_CEFR, "CEFR" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_FBFF, "FBFF" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_FEFF, "FEFF" },
    { RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_XLFF, "XLFF" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCANTriggerFrameType = { 9, RsMxo_rngCANTriggerFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCANTriggerIdentifierTypeEntries[3] =
  {
    { RSMXO_VAL_CAN_TRIGGER_IDENTIFIER_TYPE_ANY, "ANY" },
    { RSMXO_VAL_CAN_TRIGGER_IDENTIFIER_TYPE_B11, "B11" },
    { RSMXO_VAL_CAN_TRIGGER_IDENTIFIER_TYPE_B29, "B29" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCANTriggerIdentifierType = { 3, RsMxo_rngCANTriggerIdentifierTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCANTriggerTypeEntries[6] =
  {
    { RSMXO_VAL_CAN_TRIGGER_TYPE_START, "STOF" },
    { RSMXO_VAL_CAN_TRIGGER_TYPE_END, "EDOF" },
    { RSMXO_VAL_CAN_TRIGGER_TYPE_FRAME_TYPE, "FTYP" },
    { RSMXO_VAL_CAN_TRIGGER_TYPE_IDENTIFIER, "ID" },
    { RSMXO_VAL_CAN_TRIGGER_TYPE_IDENTIFIER_DATA, "IDDT" },
    { RSMXO_VAL_CAN_TRIGGER_TYPE_ERROR_CONDITION, "ERRC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCANTriggerType = { 6, RsMxo_rngCANTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerChannelEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_CHANNEL_HIGH, "HIGH" },
    { RSMXO_VAL_TRIGGER_CHANNEL_LOW, "LOW" },
    { RSMXO_VAL_TRIGGER_CHANNEL_DONTCARE, "DONT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerChannel = { 3, RsMxo_rngTriggerChannelEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerStateOperatorEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_STATE_OPERATOR_AND, "AND" },
    { RSMXO_VAL_TRIGGER_STATE_OPERATOR_OR, "OR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerStateOperator = { 2, RsMxo_rngTriggerStateOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerSequenceTypeEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_SEQUENCE_TYPE_A_ONLY, "AONL" },
    { RSMXO_VAL_TRIGGER_SEQUENCE_TYPE_ABR, "ABR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerSequenceType = { 2, RsMxo_rngTriggerSequenceTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngReferenceWaveformSourceEntries[28] =
  {
    { RSMXO_VAL_SOURCE_C1, "C1" },
    { RSMXO_VAL_SOURCE_C2, "C2" },
    { RSMXO_VAL_SOURCE_C3, "C3" },
    { RSMXO_VAL_SOURCE_C4, "C4" },
    { RSMXO_VAL_SOURCE_C5, "C5" },
    { RSMXO_VAL_SOURCE_C6, "C6" },
    { RSMXO_VAL_SOURCE_C7, "C7" },
    { RSMXO_VAL_SOURCE_C8, "C8" },
    { RSMXO_VAL_SOURCE_M1, "M1" },
    { RSMXO_VAL_SOURCE_M2, "M2" },
    { RSMXO_VAL_SOURCE_M3, "M3" },
    { RSMXO_VAL_SOURCE_M4, "M4" },
    { RSMXO_VAL_SOURCE_M5, "M5" },
    { RSMXO_VAL_SOURCE_R1, "R1" },
    { RSMXO_VAL_SOURCE_R2, "R2" },
    { RSMXO_VAL_SOURCE_R3, "R3" },
    { RSMXO_VAL_SOURCE_R4, "R4" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM1, "SPECNORM1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD1, "SPECMINH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD1, "SPECMAXH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE1, "SPECAVER1" },
    { RSMXO_VAL_SOURCE_M6, "M6" },
    { RSMXO_VAL_SOURCE_M7, "M7" },
    { RSMXO_VAL_SOURCE_M8, "M8" },
    { RSMXO_VAL_SOURCE_R5, "R5" },
    { RSMXO_VAL_SOURCE_R6, "R6" },
    { RSMXO_VAL_SOURCE_R7, "R7" },
    { RSMXO_VAL_SOURCE_R8, "R8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngReferenceWaveformSource = { 28, RsMxo_rngReferenceWaveformSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngCursorSourceEntries[40] =
  {
    { RSMXO_VAL_SOURCE_C1, "C1" },
    { RSMXO_VAL_SOURCE_C2, "C2" },
    { RSMXO_VAL_SOURCE_C3, "C3" },
    { RSMXO_VAL_SOURCE_C4, "C4" },
    { RSMXO_VAL_SOURCE_C5, "C5" },
    { RSMXO_VAL_SOURCE_C6, "C6" },
    { RSMXO_VAL_SOURCE_C7, "C7" },
    { RSMXO_VAL_SOURCE_C8, "C8" },
    { RSMXO_VAL_SOURCE_SBUS1, "SBUS1" },
    { RSMXO_VAL_SOURCE_SBUS2, "SBUS2" },
    { RSMXO_VAL_SOURCE_SBUS3, "SBUS3" },
    { RSMXO_VAL_SOURCE_SBUS4, "SBUS4" },
    { RSMXO_VAL_SOURCE_D0, "D0" },
    { RSMXO_VAL_SOURCE_D1, "D1" },
    { RSMXO_VAL_SOURCE_D2, "D2" },
    { RSMXO_VAL_SOURCE_D3, "D3" },
    { RSMXO_VAL_SOURCE_D4, "D4" },
    { RSMXO_VAL_SOURCE_D5, "D5" },
    { RSMXO_VAL_SOURCE_D6, "D6" },
    { RSMXO_VAL_SOURCE_D7, "D7" },
    { RSMXO_VAL_SOURCE_D8, "D8" },
    { RSMXO_VAL_SOURCE_D9, "D9" },
    { RSMXO_VAL_SOURCE_D10, "D10" },
    { RSMXO_VAL_SOURCE_D11, "D11" },
    { RSMXO_VAL_SOURCE_D12, "D12" },
    { RSMXO_VAL_SOURCE_D13, "D13" },
    { RSMXO_VAL_SOURCE_D14, "D14" },
    { RSMXO_VAL_SOURCE_D15, "D15" },
    { RSMXO_VAL_SOURCE_M1, "M1" },
    { RSMXO_VAL_SOURCE_M2, "M2" },
    { RSMXO_VAL_SOURCE_M3, "M3" },
    { RSMXO_VAL_SOURCE_M4, "M4" },
    { RSMXO_VAL_SOURCE_M5, "M5" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM1, "SPECNORM1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD1, "SPECMINH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD1, "SPECMAXH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE1, "SPECAVER1" },
    { RSMXO_VAL_SOURCE_M6, "M6" },
    { RSMXO_VAL_SOURCE_M7, "M7" },
    { RSMXO_VAL_SOURCE_M8, "M8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngCursorSource = { 40, RsMxo_rngCursorSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSpectrumSourceEntries[24] =
  {
    { RSMXO_VAL_SOURCE_C1, "C1" },
    { RSMXO_VAL_SOURCE_C2, "C2" },
    { RSMXO_VAL_SOURCE_C3, "C3" },
    { RSMXO_VAL_SOURCE_C4, "C4" },
    { RSMXO_VAL_SOURCE_C5, "C5" },
    { RSMXO_VAL_SOURCE_C6, "C6" },
    { RSMXO_VAL_SOURCE_C7, "C7" },
    { RSMXO_VAL_SOURCE_C8, "C8" },
    { RSMXO_VAL_SOURCE_M1, "M1" },
    { RSMXO_VAL_SOURCE_M2, "M2" },
    { RSMXO_VAL_SOURCE_M3, "M3" },
    { RSMXO_VAL_SOURCE_M4, "M4" },
    { RSMXO_VAL_SOURCE_M5, "M5" },
    { RSMXO_VAL_SOURCE_R1, "R1" },
    { RSMXO_VAL_SOURCE_R2, "R2" },
    { RSMXO_VAL_SOURCE_R3, "R3" },
    { RSMXO_VAL_SOURCE_R4, "R4" },
    { RSMXO_VAL_SOURCE_R5, "R5" },
    { RSMXO_VAL_SOURCE_R6, "R6" },
    { RSMXO_VAL_SOURCE_R7, "R7" },
    { RSMXO_VAL_SOURCE_R8, "R8" },
    { RSMXO_VAL_SOURCE_M6, "M6" },
    { RSMXO_VAL_SOURCE_M7, "M7" },
    { RSMXO_VAL_SOURCE_M8, "M8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSpectrumSource = { 24, RsMxo_rngSpectrumSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSourceEntries[40] =
  {
    { RSMXO_VAL_SOURCE_C1, "C1" },
    { RSMXO_VAL_SOURCE_C2, "C2" },
    { RSMXO_VAL_SOURCE_C3, "C3" },
    { RSMXO_VAL_SOURCE_C4, "C4" },
    { RSMXO_VAL_SOURCE_C5, "C5" },
    { RSMXO_VAL_SOURCE_C6, "C6" },
    { RSMXO_VAL_SOURCE_C7, "C7" },
    { RSMXO_VAL_SOURCE_C8, "C8" },
    { RSMXO_VAL_SOURCE_D0, "D0" },
    { RSMXO_VAL_SOURCE_D1, "D1" },
    { RSMXO_VAL_SOURCE_D2, "D2" },
    { RSMXO_VAL_SOURCE_D3, "D3" },
    { RSMXO_VAL_SOURCE_D4, "D4" },
    { RSMXO_VAL_SOURCE_D5, "D5" },
    { RSMXO_VAL_SOURCE_D6, "D6" },
    { RSMXO_VAL_SOURCE_D7, "D7" },
    { RSMXO_VAL_SOURCE_D8, "D8" },
    { RSMXO_VAL_SOURCE_D9, "D9" },
    { RSMXO_VAL_SOURCE_D10, "D10" },
    { RSMXO_VAL_SOURCE_D11, "D11" },
    { RSMXO_VAL_SOURCE_D12, "D12" },
    { RSMXO_VAL_SOURCE_D13, "D13" },
    { RSMXO_VAL_SOURCE_D14, "D14" },
    { RSMXO_VAL_SOURCE_D15, "D15" },
    { RSMXO_VAL_SOURCE_M1, "M1" },
    { RSMXO_VAL_SOURCE_M2, "M2" },
    { RSMXO_VAL_SOURCE_M3, "M3" },
    { RSMXO_VAL_SOURCE_M4, "M4" },
    { RSMXO_VAL_SOURCE_M5, "M5" },
    { RSMXO_VAL_SOURCE_R1, "R1" },
    { RSMXO_VAL_SOURCE_R2, "R2" },
    { RSMXO_VAL_SOURCE_R3, "R3" },
    { RSMXO_VAL_SOURCE_R4, "R4" },
    { RSMXO_VAL_SOURCE_M6, "M6" },
    { RSMXO_VAL_SOURCE_M7, "M7" },
    { RSMXO_VAL_SOURCE_M8, "M8" },
    { RSMXO_VAL_SOURCE_R5, "R5" },
    { RSMXO_VAL_SOURCE_R6, "R6" },
    { RSMXO_VAL_SOURCE_R7, "R7" },
    { RSMXO_VAL_SOURCE_R8, "R8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSource = { 40, RsMxo_rngProtocolSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMeasurementSourceEntries[33] =
  {
    { RSMXO_VAL_SOURCE_NONE, "NONE" },
    { RSMXO_VAL_SOURCE_C1, "C1" },
    { RSMXO_VAL_SOURCE_C2, "C2" },
    { RSMXO_VAL_SOURCE_C3, "C3" },
    { RSMXO_VAL_SOURCE_C4, "C4" },
    { RSMXO_VAL_SOURCE_C5, "C5" },
    { RSMXO_VAL_SOURCE_C6, "C6" },
    { RSMXO_VAL_SOURCE_C7, "C7" },
    { RSMXO_VAL_SOURCE_C8, "C8" },
    { RSMXO_VAL_SOURCE_D0, "D0" },
    { RSMXO_VAL_SOURCE_D1, "D1" },
    { RSMXO_VAL_SOURCE_D2, "D2" },
    { RSMXO_VAL_SOURCE_D3, "D3" },
    { RSMXO_VAL_SOURCE_D4, "D4" },
    { RSMXO_VAL_SOURCE_D5, "D5" },
    { RSMXO_VAL_SOURCE_D6, "D6" },
    { RSMXO_VAL_SOURCE_D7, "D7" },
    { RSMXO_VAL_SOURCE_D8, "D8" },
    { RSMXO_VAL_SOURCE_D9, "D9" },
    { RSMXO_VAL_SOURCE_D10, "D10" },
    { RSMXO_VAL_SOURCE_D11, "D11" },
    { RSMXO_VAL_SOURCE_D12, "D12" },
    { RSMXO_VAL_SOURCE_D13, "D13" },
    { RSMXO_VAL_SOURCE_D14, "D14" },
    { RSMXO_VAL_SOURCE_D15, "D15" },
    { RSMXO_VAL_SOURCE_M1, "M1" },
    { RSMXO_VAL_SOURCE_M2, "M2" },
    { RSMXO_VAL_SOURCE_M3, "M3" },
    { RSMXO_VAL_SOURCE_M4, "M4" },
    { RSMXO_VAL_SOURCE_M5, "M5" },
    { RSMXO_VAL_SOURCE_M6, "M6" },
    { RSMXO_VAL_SOURCE_M7, "M7" },
    { RSMXO_VAL_SOURCE_M8, "M8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMeasurementSource = { 33, RsMxo_rngMeasurementSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngWaveformSourceEntries[47] =
  {
    { RSMXO_VAL_SOURCE_C1, "C1" },
    { RSMXO_VAL_SOURCE_C2, "C2" },
    { RSMXO_VAL_SOURCE_C3, "C3" },
    { RSMXO_VAL_SOURCE_C4, "C4" },
    { RSMXO_VAL_SOURCE_C5, "C5" },
    { RSMXO_VAL_SOURCE_C6, "C6" },
    { RSMXO_VAL_SOURCE_C7, "C7" },
    { RSMXO_VAL_SOURCE_C8, "C8" },
    { RSMXO_VAL_SOURCE_D0, "D0" },
    { RSMXO_VAL_SOURCE_D1, "D1" },
    { RSMXO_VAL_SOURCE_D2, "D2" },
    { RSMXO_VAL_SOURCE_D3, "D3" },
    { RSMXO_VAL_SOURCE_D4, "D4" },
    { RSMXO_VAL_SOURCE_D5, "D5" },
    { RSMXO_VAL_SOURCE_D6, "D6" },
    { RSMXO_VAL_SOURCE_D7, "D7" },
    { RSMXO_VAL_SOURCE_D8, "D8" },
    { RSMXO_VAL_SOURCE_D9, "D9" },
    { RSMXO_VAL_SOURCE_D10, "D10" },
    { RSMXO_VAL_SOURCE_D11, "D11" },
    { RSMXO_VAL_SOURCE_D12, "D12" },
    { RSMXO_VAL_SOURCE_D13, "D13" },
    { RSMXO_VAL_SOURCE_D14, "D14" },
    { RSMXO_VAL_SOURCE_D15, "D15" },
    { RSMXO_VAL_SOURCE_M1, "M1" },
    { RSMXO_VAL_SOURCE_M2, "M2" },
    { RSMXO_VAL_SOURCE_M3, "M3" },
    { RSMXO_VAL_SOURCE_M4, "M4" },
    { RSMXO_VAL_SOURCE_M5, "M5" },
    { RSMXO_VAL_SOURCE_R1, "R1" },
    { RSMXO_VAL_SOURCE_R2, "R2" },
    { RSMXO_VAL_SOURCE_R3, "R3" },
    { RSMXO_VAL_SOURCE_R4, "R4" },
    { RSMXO_VAL_SOURCE_SPECTRUM_NORM1, "SPECNORM1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MIN_HOLD1, "SPECMINH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_MAX_HOLD1, "SPECMAXH1" },
    { RSMXO_VAL_SOURCE_SPECTRUM_AVERAGE1, "SPECAVER1" },
    { RSMXO_VAL_SOURCE_HARMONICS1, "HARM1" },
    { RSMXO_VAL_SOURCE_HARMONICS2, "HARM2" },
    { RSMXO_VAL_SOURCE_HARMONICS3, "HARM3" },
    { RSMXO_VAL_SOURCE_M6, "M6" },
    { RSMXO_VAL_SOURCE_M7, "M7" },
    { RSMXO_VAL_SOURCE_M8, "M8" },
    { RSMXO_VAL_SOURCE_R5, "R5" },
    { RSMXO_VAL_SOURCE_R6, "R6" },
    { RSMXO_VAL_SOURCE_R7, "R7" },
    { RSMXO_VAL_SOURCE_R8, "R8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngWaveformSource = { 47, RsMxo_rngWaveformSourceEntries };

RsCoreRangeTableRanged RsMxo_rngProtocolCANFDBitRate = { 100, 15000000, "bps" };

RsCoreRangeTableRanged RsMxo_rngProtocolCANFDSamplePoint = { 12, 96, "%" };

RsCoreRangeTableRanged RsMxo_rngProtocolCANNominalBitRate = { 100, 5000000, "bps" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngGeneratorEntries[2] =
  {
    { RSMXO_VAL_GENERATOR1, "GEN1" },
    { RSMXO_VAL_GENERATOR2, "GEN2" }
  };
RsCoreRangeTableDiscrete RsMxo_rngGenerator = { 2, RsMxo_rngGeneratorEntries };

RsCoreRangeTableRanged RsMxo_rngDegrees = { 0, 360, "" };

RsCoreRangeTableRanged RsMxo_rngTriggerSequenceDelay = { 0, 50, "s" };

RsCoreRangeTableRanged RsMxo_rngTriggerSequenceResetTimeout = { 0, 50, "s" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngDataConditionOperatorEntries[8] =
  {
    { RSMXO_VAL_CONDITION_OPERATOR_EQUAL, "EQU" },
    { RSMXO_VAL_CONDITION_OPERATOR_NOT_EQUAL, "NEQ" },
    { RSMXO_VAL_CONDITION_OPERATOR_LESS_THAN, "LTH" },
    { RSMXO_VAL_CONDITION_OPERATOR_LESS_EQUAL, "LETH" },
    { RSMXO_VAL_CONDITION_OPERATOR_GREATER_THAN, "GTH" },
    { RSMXO_VAL_CONDITION_OPERATOR_GREATER_EQUAL, "GETH" },
    { RSMXO_VAL_CONDITION_OPERATOR_OFF, "OFF" },
    { RSMXO_VAL_CONDITION_OPERATOR_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsMxo_rngDataConditionOperator = { 8, RsMxo_rngDataConditionOperatorEntries };

RsCoreRangeTableRanged RsMxo_rngProtocolCANTriggerDLC = { 1, 15, "" };

RsCoreRangeTableRanged RsMxo_rngFrequencyResponseAnalysisPhaseVerticalScale = { 1, 180, "deg/div" };

RsCoreRangeTableRanged RsMxo_rngProbeManualGain = { 0.0001, 10000, "V/V" };

RsCoreRangeTableRanged RsMxo_rngProbeZeroAdjust = { -100, 100, "%" };

RsCoreRangeTableRanged RsMxo_rngAutonamingAutosaveInterval = { 1, 360000, "s" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngMemoryCatalogFormatEntries[2] =
  {
    { RSMXO_VAL_MEMORY_CATALOG_FORMAT_ALL, "ALL" },
    { RSMXO_VAL_MEMORY_CATALOG_FORMAT_WITH_TIME, "WTIM" }
  };
RsCoreRangeTableDiscrete RsMxo_rngMemoryCatalogFormat = { 2, RsMxo_rngMemoryCatalogFormatEntries };

RsCoreRangeTableRanged RsMxo_rngMeasurementStatisticsMaximumEvents = { 2, 1000000, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSpectrumPeakListSortEntries[2] =
  {
    { RSMXO_VAL_SPECTRUM_PEAK_LIST_SORT_FREQ, "FREQ" },
    { RSMXO_VAL_SPECTRUM_PEAK_LIST_SORT_VAL, "VAL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSpectrumPeakListSort = { 2, RsMxo_rngSpectrumPeakListSortEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngSpectrumPeakListSortOrderEntries[2] =
  {
    { RSMXO_VAL_SPECTRUM_PEAK_LIST_SORT_ORDER_ASC, "ASC" },
    { RSMXO_VAL_SPECTRUM_PEAK_LIST_SORT_ORDER_DESC, "DESC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngSpectrumPeakListSortOrder = { 2, RsMxo_rngSpectrumPeakListSortOrderEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngXDataConditionOperatorEntries[8] =
  {
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_EQUAL, "EQU" },
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_NOT_EQUAL, "NEQ" },
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_LESS_THAN, "LTH" },
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_LESS_EQUAL, "LETH" },
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_GREATER_THAN, "GTH" },
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_GREATER_EQUAL, "GETH" },
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_INR, "INR" },
    { RSMXO_VAL_XDATA_CONDITION_OPERATOR_OOR, "OOR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngXDataConditionOperator = { 8, RsMxo_rngXDataConditionOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolCANXDataTriggerSECEntries[3] =
  {
    { RSMXO_VAL_PROTOCOL_CANX_DATA_TRIGGER_SEC_ONE, "ONE" },
    { RSMXO_VAL_PROTOCOL_CANX_DATA_TRIGGER_SEC_ZERO, "ZERO" },
    { RSMXO_VAL_PROTOCOL_CANX_DATA_TRIGGER_SEC_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolCANXDataTriggerSEC = { 3, RsMxo_rngProtocolCANXDataTriggerSECEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngFrequencyResponseAnalysisCalibrationResultEntries[4] =
  {
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT_PASS, "PASS" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT_FAIL, "FAIL" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT_RUN, "RUN" },
    { RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT_NOAL, "NOAL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisCalibrationResult = { 4, RsMxo_rngFrequencyResponseAnalysisCalibrationResultEntries };

RsCoreRangeTableRanged RsMxo_rngProtocolCANXLBitrate = { 10000, 15000000, "" };

RsCoreRangeTableRanged RsMxo_rngProtocolCANXLSamplePoint = { 12, 96, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngHorizontalRollEnabledEntries[2] =
  {
    { RSMXO_VAL_HORIZONTAL_ROLL_ENABLED_AUTO, "AUTO" },
    { RSMXO_VAL_HORIZONTAL_ROLL_ENABLED_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete RsMxo_rngHorizontalRollEnabled = { 2, RsMxo_rngHorizontalRollEnabledEntries };

RsCoreRangeTableRanged RsMxo_rngLogicDigitalChannelSizeOfTheDisplay = { 2, 100, "" };

RsCoreRangeTableRanged RsMxo_rngLogicPosition = { 0, 100, "%" };

RsCoreRangeTableRanged RsMxo_rngLogicSizeOfTheDisplay = { 3, 100, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngDisplayBacklightUserInactivityEntries[15] =
  {
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_OFF, "OFF" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_1MINUTE, "T1M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_2MINUTES, "T2M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_3MINUTES, "T3M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_5MINUTES, "T5M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_10MINUTES, "T10M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_15MINUTES, "T15M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_20MINUTES, "T20M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_25MINUTES, "T25M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_30MINUTES, "T30M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_45MINUTES, "T45M" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_1HOUR, "T1H" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_2HOURS, "T2H" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_3HOURS, "T3H" },
    { RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_4HOURS, "T4H" }
  };
RsCoreRangeTableDiscrete RsMxo_rngDisplayBacklightUserInactivity = { 15, RsMxo_rngDisplayBacklightUserInactivityEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolTransceiverModeEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_TRANSCEIVER_MODE_SIC, "SIC" },
    { RSMXO_VAL_PROTOCOL_TRANSCEIVER_MODE_FAST, "FAST" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolTransceiverMode = { 2, RsMxo_rngProtocolTransceiverModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolFieldOperatorEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_FIELD_OPERATOR_ONE, "ONE" },
    { RSMXO_VAL_PROTOCOL_FIELD_OPERATOR_ZERO, "ZERO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolFieldOperator = { 2, RsMxo_rngProtocolFieldOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINByteStateEntries[9] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_WAKEUP, "WAK" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_CHCEKSUM, "CHCK" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_PARITY_RERROR, "PRER" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_STOP_ERROR, "STER" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_SYNC_ERROR, "SYER" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_LENGTH_ERROR, "LNER" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_UNKOWN, "UNK" },
    { RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_TRUNCATED, "TRUN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINByteState = { 9, RsMxo_rngProtocolLINByteStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINFrameIDStateEntries[12] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_WAKEUP, "WAK" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_CHCEKSUM, "CHCK" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_PARITY_RERROR, "PRER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_UART, "UART" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_VERS, "VERS" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_SPERROR, "SPER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_SYNC_ERROR, "SYER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_LENER, "LEN" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_CPERROR, "CPER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_INCOMPLETE, "INC" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_ID_STATE_INER, "INER" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINFrameIDState = { 12, RsMxo_rngProtocolLINFrameIDStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINFrameStateEntries[9] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_WAKEUP, "WAK" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_CHECKSUM, "CHCK" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_PARITY_RERROR, "PRER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_STOP_ERROR, "STER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_SYNCHRONIZATION_ERROR, "SYER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_LENGTH_ERROR, "LNER" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_UNKNOWN, "UNK" },
    { RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_INCOPMLETE, "INC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINFrameState = { 9, RsMxo_rngProtocolLINFrameStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINPolarityEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_POLARITY_IDLE_LOW, "IDLL" },
    { RSMXO_VAL_PROTOCOL_LIN_POLARITY_IDLE_HIGH, "IDLH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINPolarity = { 2, RsMxo_rngProtocolLINPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINStandardEntries[4] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_STANDARD_AUTO, "AUTO" },
    { RSMXO_VAL_PROTOCOL_LIN_STANDARD_V1X, "V1X" },
    { RSMXO_VAL_PROTOCOL_LIN_STANDARD_V2X, "V2X" },
    { RSMXO_VAL_PROTOCOL_LIN_STANDARD_J2602, "J2602" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINStandard = { 4, RsMxo_rngProtocolLINStandardEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolUARTBitOrderEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_UART_BIT_ORDER_LSBF, "LSBF" },
    { RSMXO_VAL_PROTOCOL_UART_BIT_ORDER_MSBF, "MSBF" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTBitOrder = { 2, RsMxo_rngProtocolUARTBitOrderEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerDigitalChannelStateEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_DIGITAL_CHANNEL_STATE_HIGH, "HIGH" },
    { RSMXO_VAL_TRIGGER_DIGITAL_CHANNEL_STATE_LOW, "LOW" },
    { RSMXO_VAL_TRIGGER_DIGITAL_CHANNEL_STATE_DONT_CARE, "DONT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerDigitalChannelState = { 3, RsMxo_rngTriggerDigitalChannelStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerDigitalStateOperatorEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_DIGITAL_STATE_OPERATOR_AND, "AND" },
    { RSMXO_VAL_TRIGGER_DIGITAL_STATE_OPERATOR_OR, "OR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerDigitalStateOperator = { 2, RsMxo_rngTriggerDigitalStateOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerPatternStateSourcesEntries[2] =
  {
    { RSMXO_VAL_TRIGGER_PATTERN_STATE_SOURCES_ANALOG, "ANAL" },
    { RSMXO_VAL_TRIGGER_PATTERN_STATE_SOURCES_DIGITAL, "DIG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerPatternStateSources = { 2, RsMxo_rngTriggerPatternStateSourcesEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINTriggerIdentifierEntries[8] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_EQUAL, "EQU" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_NOT_EQUAL, "NEQ" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_LESS_THAN, "LTH" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_LESS_OR_EQUAL, "LETH" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_GREATER_THAN, "GTH" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_GREATER_OR_EQUAL, "GETH" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_IN_RANGE, "INR" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_OUT_OF_RANGE, "OOR" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINTriggerIdentifier = { 8, RsMxo_rngProtocolLINTriggerIdentifierEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINTriggerTypeEntries[5] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_TYPE_SYNC, "STAR" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_TYPE_ID, "ID" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_TYPE_ID_DATA, "IDDT" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_TYPE_WAKEUP_FRAME, "WKFR" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_TYPE_ERROR_CONDITION, "ERRC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINTriggerType = { 5, RsMxo_rngProtocolLINTriggerTypeEntries };

RsCoreRangeTableRanged RsMxo_rngDisplayBacklightBrightness = { 5, 100, "%" };

RsCoreRangeTableRanged RsMxo_rngProtocolLINBitRate = { 1000, 20000000, "bit/s" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolLINTriggerDataOperatorEntries[6] =
  {
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR_EQUAL, "EQU" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR_NOT_EQUAL, "NEQ" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR_LESS_THAN, "LTH" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR_LESS_OR_EQUAL, "LETH" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR_GREATER_THAN, "GTH" },
    { RSMXO_VAL_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR_GREATER_OR_EQUAL, "GETH" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolLINTriggerDataOperator = { 6, RsMxo_rngProtocolLINTriggerDataOperatorEntries };

RsCoreRangeTableRanged RsMxo_rngProtocolLINDataPosition = { 1, 4096, "" };

RsCoreRangeTableRanged RsMxo_rngDialogFontSize = { 12, 30, "" };

RsCoreRangeTableRanged RsMxo_rngDialogTransparency = { 0, 70, "" };

RsCoreRangeTableRanged RsMxo_rngDialogResultFontSize = { 8, 30, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisTypeEntries[2] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_TYPE_QUALITY, "QUAL" },
    { RSMXO_VAL_POWER_ANALYSIS_TYPE_HARMONICS, "HARM" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisType = { 2, RsMxo_rngPowerAnalysisTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisSourceEntries[8] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C1, "C1" },
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C2, "C2" },
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C3, "C3" },
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C4, "C4" },
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C5, "C5" },
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C6, "C6" },
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C7, "C7" },
    { RSMXO_VAL_POWER_ANALYSIS_SOURCE_C8, "C8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisSource = { 8, RsMxo_rngPowerAnalysisSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisQualityFrequencyEntries[5] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_QUALITY_FREQUENCY_F50, "F50" },
    { RSMXO_VAL_POWER_ANALYSIS_QUALITY_FREQUENCY_F60, "F60" },
    { RSMXO_VAL_POWER_ANALYSIS_QUALITY_FREQUENCY_F400, "F400" },
    { RSMXO_VAL_POWER_ANALYSIS_QUALITY_FREQUENCY_USER, "USER" },
    { RSMXO_VAL_POWER_ANALYSIS_QUALITY_FREQUENCY_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisQualityFrequency = { 5, RsMxo_rngPowerAnalysisQualityFrequencyEntries };

RsCoreRangeTableRanged RsMxo_rngPowerAnalysisQualityFundamentalFrequencyUser = { 10, 100000, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisHarmonicsStandardEntries[6] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_STANDARD_ENA, "ENA" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_STANDARD_ENB, "ENB" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_STANDARD_ENC, "ENC" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_STANDARD_END, "END" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_STANDARD_MIL, "MIL" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_STANDARD_RTCA, "RTCA" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsStandard = { 6, RsMxo_rngPowerAnalysisHarmonicsStandardEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyENEntries[3] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN_F50, "F50" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN_F60, "F60" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyEN = { 3, RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyENEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyMILEntries[2] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_MIL_F60, "F60" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_MIL_F400, "F400" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyMIL = { 2, RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyMILEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyRTCAEntries[3] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA_F400, "F400" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA_NVF, "NVF" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA_WVF, "WVF" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyRTCA = { 3, RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyRTCAEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisHarmonicsDisplayEntries[4] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_DISPLAY_ALL, "ALL" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_DISPLAY_EVEN, "EVEN" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_DISPLAY_ODD, "ODD" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_DISPLAY_STANDARD, "STAN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsDisplay = { 4, RsMxo_rngPowerAnalysisHarmonicsDisplayEntries };

RsCoreRangeTableRanged RsMxo_rngPowerAnalysisHarmonicsDisplayFrequency = { 0, 100000000, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisHarmonicsScalingEntries[2] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_SCALING_LIN, "LIN" },
    { RSMXO_VAL_POWER_ANALYSIS_HARMONICS_SCALING_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsScaling = { 2, RsMxo_rngPowerAnalysisHarmonicsScalingEntries };

RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelHysteresisAbsolute = { 0, 1e26, "" };

RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel = { -1e26, 1e26, "" };

RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelHarmonicsHysteresisRelative = { 0, 50, "" };

RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelRelativeLevel = { -100, 200, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngPowerAnalysisRefLevelRelativeLevelsEntries[4] =
  {
    { RSMXO_VAL_POWER_ANALYSIS_REF_LEVEL_RELATIVE_LEVELS_FIVE, "FIVE" },
    { RSMXO_VAL_POWER_ANALYSIS_REF_LEVEL_RELATIVE_LEVELS_TEN, "TEN" },
    { RSMXO_VAL_POWER_ANALYSIS_REF_LEVEL_RELATIVE_LEVELS_TWENTY, "TWEN" },
    { RSMXO_VAL_POWER_ANALYSIS_REF_LEVEL_RELATIVE_LEVELS_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisRefLevelRelativeLevels = { 4, RsMxo_rngPowerAnalysisRefLevelRelativeLevelsEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngDigitalVoltmeterBWEntries[7] =
  {
    { RSMXO_VAL_DIGITAL_VOLTMETER_BW_B20M, "B20M" },
    { RSMXO_VAL_DIGITAL_VOLTMETER_BW_B10M, "B10M" },
    { RSMXO_VAL_DIGITAL_VOLTMETER_BW_B5M, "B5M" },
    { RSMXO_VAL_DIGITAL_VOLTMETER_BW_B2M, "B2M" },
    { RSMXO_VAL_DIGITAL_VOLTMETER_BW_B1M, "B1M" },
    { RSMXO_VAL_DIGITAL_VOLTMETER_BW_B500, "B500" },
    { RSMXO_VAL_DIGITAL_VOLTMETER_BW_B200, "B200" }
  };
RsCoreRangeTableDiscrete RsMxo_rngDigitalVoltmeterBW = { 7, RsMxo_rngDigitalVoltmeterBWEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngReferenceWaveformXAxisModeEntries[2] =
  {
    { RSMXO_VAL_REFERENCE_WAVEFORM_X_AXIS_MODE_LIN, "LIN" },
    { RSMXO_VAL_REFERENCE_WAVEFORM_X_AXIS_MODE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsMxo_rngReferenceWaveformXAxisMode = { 2, RsMxo_rngReferenceWaveformXAxisModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngTriggerActionSignalSourceEntries[3] =
  {
    { RSMXO_VAL_TRIGGER_ACTION_SIGNAL_SOURCE_TRIG, "TRIG" },
    { RSMXO_VAL_TRIGGER_ACTION_SIGNAL_SOURCE_POST, "POST" },
    { RSMXO_VAL_TRIGGER_ACTION_SIGNAL_SOURCE_WAIT, "WAIT" }
  };
RsCoreRangeTableDiscrete RsMxo_rngTriggerActionSignalSource = { 3, RsMxo_rngTriggerActionSignalSourceEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolExportExtensionEntries[4] =
  {
    { RSMXO_VAL_PROTOCOL_EXPORT_EXTENSION_HTML, "HTML" },
    { RSMXO_VAL_PROTOCOL_EXPORT_EXTENSION_CSV, "CSV" },
    { RSMXO_VAL_PROTOCOL_EXPORT_EXTENSION_XML, "XML" },
    { RSMXO_VAL_PROTOCOL_EXPORT_EXTENSION_PY, "PY" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolExportExtension = { 4, RsMxo_rngProtocolExportExtensionEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngVerticalLabelSignalEntries[8] =
  {
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C1, "C1" },
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C2, "C2" },
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C3, "C3" },
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C4, "C4" },
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C5, "C5" },
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C6, "C6" },
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C7, "C7" },
    { RSMXO_VAL_VERTICAL_LABEL_SIGNAL_C8, "C8" }
  };
RsCoreRangeTableDiscrete RsMxo_rngVerticalLabelSignal = { 8, RsMxo_rngVerticalLabelSignalEntries };

RsCoreRangeTableRanged RsMxo_rngProbeDifferentialOffset = { -1e26, 1e26, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProbeModularMeasurementModeEntries[4] =
  {
    { RSMXO_VAL_PROBE_MODULAR_MEASUREMENT_MODE_DMOD, "DMOD" },
    { RSMXO_VAL_PROBE_MODULAR_MEASUREMENT_MODE_CMOD, "CMOD" },
    { RSMXO_VAL_PROBE_MODULAR_MEASUREMENT_MODE_PMOD, "PMOD" },
    { RSMXO_VAL_PROBE_MODULAR_MEASUREMENT_MODE_NMOD, "NMOD" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProbeModularMeasurementMode = { 4, RsMxo_rngProbeModularMeasurementModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProbeTerminationModeEntries[2] =
  {
    { RSMXO_VAL_PROBE_TERMINATION_MODE_AUTO, "AUTO" },
    { RSMXO_VAL_PROBE_TERMINATION_MODE_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProbeTerminationMode = { 2, RsMxo_rngProbeTerminationModeEntries };

RsCoreRangeTableRanged RsMxo_rngProtocolSPMIGSID = { 0, 15, "" };

RsCoreRangeTableRanged RsMxo_rngProtocolSPMIGlitchFilterWidth = { 1e-15, 1e9, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSPMIResultsStateEntries[11] =
  {
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_NOR, "NOR" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_ACK, "ACK" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_BPER, "BPER" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_PAR, "PAR" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_LEN, "LEN" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_ARB, "ARB" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_SSC, "SSC" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_CMD, "CMD" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_COD, "COD" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_STATE_INC, "INC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSPMIResultsState = { 11, RsMxo_rngProtocolSPMIResultsStateEntries };

RsCoreRangeTableRanged RsMxo_rngProtocolBC = { 0, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolSPMIResultsFrameTypeEntries[20] =
  {
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_RZWR, "RZWR" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_RWR, "RWR" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_RRD, "RRD" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_ERWR, "ERWR" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_ERRD, "ERRD" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_ERWL, "ERWL" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_ERRL, "ERRL" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_MAWR, "MAWR" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_MARD, "MARD" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_BMRD, "BMRD" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_BSRD, "BSRD" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_TBOW, "TBOW" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_REST, "REST" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_SLEP, "SLEP" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_SHUT, "SHUT" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_WAK, "WAK" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_AUTH, "AUTH" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_INV, "INV" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_UNKN, "UNKN" },
    { RSMXO_VAL_PROTOCOL_SPMI_RESULTS_FRAME_TYPE_ARB, "ARB" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolSPMIResultsFrameType = { 20, RsMxo_rngProtocolSPMIResultsFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolTNOSByteStateEntries[6] =
  {
    { RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_EPRM, "EPRM" },
    { RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_ESFD, "ESFD" },
    { RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_EESD, "EESD" },
    { RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_ECRC, "ECRC" },
    { RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_INC, "INC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolTNOSByteState = { 6, RsMxo_rngProtocolTNOSByteStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolHBTOResultsStateEntries[7] =
  {
    { RSMXO_VAL_PROTOCOL_HBTO_RESULTS_STATE_OK, "OK" },
    { RSMXO_VAL_PROTOCOL_HBTO_RESULTS_STATE_EPRM, "EPRM" },
    { RSMXO_VAL_PROTOCOL_HBTO_RESULTS_STATE_ESFD, "ESFD" },
    { RSMXO_VAL_PROTOCOL_HBTO_RESULTS_STATE_ELEN, "ELEN" },
    { RSMXO_VAL_PROTOCOL_HBTO_RESULTS_STATE_ECRC, "ECRC" },
    { RSMXO_VAL_PROTOCOL_HBTO_RESULTS_STATE_UNC, "UNC" },
    { RSMXO_VAL_PROTOCOL_HBTO_RESULTS_STATE_INC, "INC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOResultsState = { 7, RsMxo_rngProtocolHBTOResultsStateEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolHBTOFrameTypeEntries[4] =
  {
    { RSMXO_VAL_PROTOCOL_HBTO_FRAME_TYPE_IDLE, "IDLE" },
    { RSMXO_VAL_PROTOCOL_HBTO_FRAME_TYPE_MAC, "MAC" },
    { RSMXO_VAL_PROTOCOL_HBTO_FRAME_TYPE_FILTER, "FILL" },
    { RSMXO_VAL_PROTOCOL_HBTO_FRAME_TYPE_UNKN, "UNKN" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOFrameType = { 4, RsMxo_rngProtocolHBTOFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolHBTOModeEntries[3] =
  {
    { RSMXO_VAL_PROTOCOL_HBTO_MODE_MAIN, "MAIN" },
    { RSMXO_VAL_PROTOCOL_HBTO_MODE_SUB, "SUB" },
    { RSMXO_VAL_PROTOCOL_HBTO_MODE_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOMode = { 3, RsMxo_rngProtocolHBTOModeEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolHBTOPolarityEntries[2] =
  {
    { RSMXO_VAL_PROTOCOL_HBTO_POLARITY_NORM, "NORM" },
    { RSMXO_VAL_PROTOCOL_HBTO_POLARITY_INV, "INV" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOPolarity = { 2, RsMxo_rngProtocolHBTOPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngHarmQualEntries[2] =
  {
    { RSMXO_VAL_HARM_QUAL_HARM, "HARM" },
    { RSMXO_VAL_HARM_QUAL_QUAL, "QUAL" }
  };
RsCoreRangeTableDiscrete RsMxo_rngHarmQual = { 2, RsMxo_rngHarmQualEntries };

static RsCoreRangeTableDiscreteEntry RsMxo_rngProtocolTNOSResultsFrameTypeEntries[3] =
  {
    { RSMXO_VAL_PROTOCOL_TNOS_RESULTS_FRAME_TYPE_UNKNOWN, "UNKN" },
    { RSMXO_VAL_PROTOCOL_TNOS_RESULTS_FRAME_TYPE_MAC, "MAC" },
    { RSMXO_VAL_PROTOCOL_TNOS_RESULTS_FRAME_TYPE_BEACON, "BEAC" }
  };
RsCoreRangeTableDiscrete RsMxo_rngProtocolTNOSResultsFrameType = { 3, RsMxo_rngProtocolTNOSResultsFrameTypeEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_SHOW_CHANNEL =
  {
    RSMXO_ATTR_VERTICAL_SHOW_CHANNEL,
    "Vertical Show Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_SCALE =
  {
    RSMXO_ATTR_VERTICAL_SCALE,
    "Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_RANGE =
  {
    RSMXO_ATTR_VERTICAL_RANGE,
    "Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_OFFSET =
  {
    RSMXO_ATTR_VERTICAL_OFFSET,
    "Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_SKEW =
  {
    RSMXO_ATTR_VERTICAL_SKEW,
    "Vertical Skew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:SKEW:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_POSITION =
  {
    RSMXO_ATTR_VERTICAL_POSITION,
    "Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_COUPLING =
  {
    RSMXO_ATTR_VERTICAL_COUPLING,
    "Vertical Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngVerticalCoupling, NULL, NULL,
    "CHAN{Channel}:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_VERTICAL_COUPLING_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_INVERT_CHANNEL =
  {
    RSMXO_ATTR_VERTICAL_INVERT_CHANNEL,
    "Vertical Invert Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_BANDWIDTH =
  {
    RSMXO_ATTR_VERTICAL_BANDWIDTH,
    "Vertical Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngVerticalBandwidth, NULL, NULL,
    "CHAN{Channel}:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_VERTICAL_BANDWIDTH_FULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION_SCALE =
  {
    RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION_SCALE,
    "Vertical External Attenuation Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngVerticalExternalAttenuationScale, NULL, NULL,
    "CHAN{Channel}:EATS",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_VERTICAL_EXTERNAL_ATTENUATION_SCALE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION =
  {
    RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION,
    "Vertical External Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:EATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_VERTICAL_POWER_CALCULATION_IMPEDANCE =
  {
    RSMXO_ATTR_VERTICAL_POWER_CALCULATION_IMPEDANCE,
    "Vertical Power Calculation Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:IMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_VERTICAL_LABEL =
  {
    RSMXO_ATTR_HIDDEN_VERTICAL_LABEL,
    "Hidden Vertical Label",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SIGN:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Signal>,<Label>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_STATE =
  {
    RSMXO_ATTR_PROBE_STATE,
    "Probe State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngVerticalProbeState, NULL, NULL,
    "PROB{Channel}:SET:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_NAME =
  {
    RSMXO_ATTR_PROBE_NAME,
    "Probe Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:NAME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Probe",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_TYPE =
  {
    RSMXO_ATTR_PROBE_TYPE,
    "Probe Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "None",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_PREDEFINED_TYPE =
  {
    RSMXO_ATTR_PROBE_PREDEFINED_TYPE,
    "Probe Predefined Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProbePredefinedType, NULL, NULL,
    "PROB{Channel}:SET:ATT:DEFP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROBE_PREDEFINED_TYPE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_BANDWIDTH =
  {
    RSMXO_ATTR_PROBE_BANDWIDTH,
    "Probe Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:BAND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_VERTICAL_UNIT =
  {
    RSMXO_ATTR_PROBE_VERTICAL_UNIT,
    "Probe Vertical Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProbeVerticalUnit, NULL, NULL,
    "PROB{Channel}:SET:ATT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROBE_VERTICAL_UNIT_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_AUTO_ATTENUATION =
  {
    RSMXO_ATTR_PROBE_AUTO_ATTENUATION,
    "Probe Auto Attenuation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_MANUAL_ATTENUATION =
  {
    RSMXO_ATTR_PROBE_MANUAL_ATTENUATION,
    "Probe Manual Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ATT:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_SET_OFFSET_TO_MEAN =
  {
    RSMXO_ATTR_PROBE_SET_OFFSET_TO_MEAN,
    "Probe Set Offset To Mean",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:TOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_AUTO_ZERO =
  {
    RSMXO_ATTR_PROBE_AUTO_ZERO,
    "Probe Auto Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:AZER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_USE_AUTO_ZERO =
  {
    RSMXO_ATTR_PROBE_USE_AUTO_ZERO,
    "Probe Use Auto Zero",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:USE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_MICRO_BUTTON =
  {
    RSMXO_ATTR_PROBE_MICRO_BUTTON,
    "Probe Micro Button",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngVerticalProbeMicroButton, NULL, NULL,
    "PROB{Channel}:SET:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_VERTICAL_PROBE_MICRO_BUTTON_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_IMPEDANCE =
  {
    RSMXO_ATTR_PROBE_IMPEDANCE,
    "Probe Impedance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:IMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_CAPACITANCE =
  {
    RSMXO_ATTR_PROBE_CAPACITANCE,
    "Probe Capacitance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:CAP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_PART_NUMBER =
  {
    RSMXO_ATTR_PROBE_PART_NUMBER,
    "Probe Part Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:PART?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_PRODUCTION_DATE =
  {
    RSMXO_ATTR_PROBE_PRODUCTION_DATE,
    "Probe Production Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:PRD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "01.01.2012",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_SERIAL_NUMBER =
  {
    RSMXO_ATTR_PROBE_SERIAL_NUMBER,
    "Probe Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:SRN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "123456",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_SOFTWARE_VERSION =
  {
    RSMXO_ATTR_PROBE_SOFTWARE_VERSION,
    "Probe Software Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:SWV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_CM_OFFSET =
  {
    RSMXO_ATTR_PROBE_CM_OFFSET,
    "Probe CM Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:CMOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_RTZA15_ATTENUATOR_ENABLED =
  {
    RSMXO_ATTR_PROBE_RTZA15_ATTENUATOR_ENABLED,
    "Probe RTZA15 Attenuator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ZAXV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_DISPLAY =
  {
    RSMXO_ATTR_PROBE_DISPLAY,
    "Probe Display",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProbeDisplay, NULL, NULL,
    "PROB{Channel}:SET:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROBE_DISPLAY_DIFFERENTIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_SOUND_ENABLED =
  {
    RSMXO_ATTR_PROBE_SOUND_ENABLED,
    "Probe Sound Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:AUD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_BANDWIDTH_LIMIT_ENABLED =
  {
    RSMXO_ATTR_PROBE_BANDWIDTH_LIMIT_ENABLED,
    "Probe Bandwidth Limit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_VOLTAGE_RANGE =
  {
    RSMXO_ATTR_PROBE_VOLTAGE_RANGE,
    "Probe Voltage Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProbeVoltageRange, NULL, NULL,
    "PROB{Channel}:SET:ADV:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROBE_VOLTAGE_RANGE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_METER_ENABLED =
  {
    RSMXO_ATTR_PROBE_METER_ENABLED,
    "Probe Meter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_METER_SET_TO_OFFSET =
  {
    RSMXO_ATTR_PROBE_METER_SET_TO_OFFSET,
    "Probe Meter Set To Offset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:PMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_AC_COUPLING_ENABLED =
  {
    RSMXO_ATTR_PROBE_AC_COUPLING_ENABLED,
    "Probe AC Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ACC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_MANUAL_GAIN =
  {
    RSMXO_ATTR_PROBE_MANUAL_GAIN,
    "Probe Manual Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProbeManualGain, NULL,
    "PROB{Channel}:SET:GAIN:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_PREDEFINED_GAIN =
  {
    RSMXO_ATTR_PROBE_PREDEFINED_GAIN,
    "Probe Predefined Gain",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:GAIN:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_ZERO_ADJUST =
  {
    RSMXO_ATTR_PROBE_ZERO_ADJUST,
    "Probe Zero Adjust",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProbeZeroAdjust, NULL,
    "PROB{Channel}:SET:OFFS:ZADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_DEGAUSS =
  {
    RSMXO_ATTR_PROBE_DEGAUSS,
    "Probe DeGauss",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:DEG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_SAVE_TO_PROBE =
  {
    RSMXO_ATTR_PROBE_SAVE_TO_PROBE,
    "Probe Save To Probe",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:STPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_DIFFERENTIAL_OFFSET =
  {
    RSMXO_ATTR_PROBE_DIFFERENTIAL_OFFSET,
    "Probe Differential Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProbeDifferentialOffset, NULL,
    "PROB{Channel}:SET:DMOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_NEGATIVE_OFFSET =
  {
    RSMXO_ATTR_PROBE_NEGATIVE_OFFSET,
    "Probe Negative Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProbeDifferentialOffset, NULL,
    "PROB{Channel}:SET:NOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_POSITIVE_OFFSET =
  {
    RSMXO_ATTR_PROBE_POSITIVE_OFFSET,
    "Probe Positive Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProbeDifferentialOffset, NULL,
    "PROB{Channel}:SET:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_MODULAR_MEASUREMENT_MODE =
  {
    RSMXO_ATTR_PROBE_MODULAR_MEASUREMENT_MODE,
    "Probe Modular Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProbeModularMeasurementMode, NULL, NULL,
    "PROB{Channel}:SET:PRM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROBE_MODULAR_MEASUREMENT_MODE_DMOD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE_ENABLED =
  {
    RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE_ENABLED,
    "Probe Termination Voltage Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:TERM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE =
  {
    RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE,
    "Probe Termination Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProbeDifferentialOffset, NULL,
    "PROB{Channel}:SET:TERM:ADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_TERMINATION_MODE =
  {
    RSMXO_ATTR_PROBE_TERMINATION_MODE,
    "Probe Termination Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProbeTerminationMode, NULL, NULL,
    "PROB{Channel}:SET:TERM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROBE_TERMINATION_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_RESULTS_SINGLE_ENDED =
  {
    RSMXO_ATTR_PROBE_RESULTS_SINGLE_ENDED,
    "Probe Results Single Ended",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:SING?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_RESULTS_COMMON =
  {
    RSMXO_ATTR_PROBE_RESULTS_COMMON,
    "Probe Results Common",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:COMM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_RESULTS_DIFFERENTIAL =
  {
    RSMXO_ATTR_PROBE_RESULTS_DIFFERENTIAL,
    "Probe Results Differential",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:DIFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_RESULTS_POSITIVE =
  {
    RSMXO_ATTR_PROBE_RESULTS_POSITIVE,
    "Probe Results Positive",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:POS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_RESULTS_NEGATIVE =
  {
    RSMXO_ATTR_PROBE_RESULTS_NEGATIVE,
    "Probe Results Negative",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:NEG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROBE_RESULTS_MODULAR_VOLTAGE =
  {
    RSMXO_ATTR_PROBE_RESULTS_MODULAR_VOLTAGE,
    "Probe Results Modular Voltage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:TERM:MEAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_TIME_SCALE =
  {
    RSMXO_ATTR_HORIZONTAL_TIME_SCALE,
    "Horizontal Time Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_TIMEBASE_RANGE =
  {
    RSMXO_ATTR_HORIZONTAL_TIMEBASE_RANGE,
    "Horizontal Timebase Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20e-8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_POSITION =
  {
    RSMXO_ATTR_HORIZONTAL_POSITION,
    "Horizontal Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:HOR:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_REFERENCE_POINT =
  {
    RSMXO_ATTR_HORIZONTAL_REFERENCE_POINT,
    "Horizontal Reference Point",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "TIM:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_DIVISIONS =
  {
    RSMXO_ATTR_HORIZONTAL_DIVISIONS,
    "Horizontal Divisions",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:DIV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_ROLL_ENABLED =
  {
    RSMXO_ATTR_HORIZONTAL_ROLL_ENABLED,
    "Horizontal Roll Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngHorizontalRollEnabled, NULL, NULL,
    "TIM:ROLL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_HORIZONTAL_ROLL_ENABLED_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_ROLL_ACQUISITION_TIME =
  {
    RSMXO_ATTR_HORIZONTAL_ROLL_ACQUISITION_TIME,
    "Horizontal Roll Acquisition Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:ROLL:MTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_ROLL_STATUS =
  {
    RSMXO_ATTR_HORIZONTAL_ROLL_STATUS,
    "Horizontal Roll Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TIM:ROLL:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_SOURCE =
  {
    RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_SOURCE,
    "Horizontal Reference Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngInternalExternal, NULL, NULL,
    "SENS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_INTERNAL_EXTERNAL_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_OUTPUT_10_MHZ_ENABLED =
  {
    RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_OUTPUT_10_MHZ_ENABLED,
    "Horizontal Reference Clock Output 10 MHz Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_STATE =
  {
    RSMXO_ATTR_ZOOM_STATE,
    "Zoom State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_DIAGRAM =
  {
    RSMXO_ATTR_ZOOM_DIAGRAM,
    "Zoom Diagram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsMxo_rngZoomDiagram, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_COUNT =
  {
    RSMXO_ATTR_ZOOM_COUNT,
    "Zoom Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_MODE_HORIZONTAL =
  {
    RSMXO_ATTR_ZOOM_MODE_HORIZONTAL,
    "Zoom Mode Horizontal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAbsoluteRelative, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ABSOLUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_SPAN =
  {
    RSMXO_ATTR_ZOOM_X_ABSOLUTE_SPAN,
    "Zoom X Absolute Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:ABS:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_WIDTH =
  {
    RSMXO_ATTR_ZOOM_X_ABSOLUTE_WIDTH,
    "Zoom X Absolute Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:ABS:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_POSITION =
  {
    RSMXO_ATTR_ZOOM_X_ABSOLUTE_POSITION,
    "Zoom X Absolute Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:ABS:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_START =
  {
    RSMXO_ATTR_ZOOM_X_ABSOLUTE_START,
    "Zoom X Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_STOP =
  {
    RSMXO_ATTR_ZOOM_X_ABSOLUTE_STOP,
    "Zoom X Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_RELATIVE_SPAN =
  {
    RSMXO_ATTR_ZOOM_X_RELATIVE_SPAN,
    "Zoom X Relative Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:REL:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_RELATIVE_WIDTH =
  {
    RSMXO_ATTR_ZOOM_X_RELATIVE_WIDTH,
    "Zoom X Relative Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngZoomRelativeSpan, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:REL:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_RELATIVE_POSITION =
  {
    RSMXO_ATTR_ZOOM_X_RELATIVE_POSITION,
    "Zoom X Relative Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:REL:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_RELATIVE_START =
  {
    RSMXO_ATTR_ZOOM_X_RELATIVE_START,
    "Zoom X Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_X_RELATIVE_STOP =
  {
    RSMXO_ATTR_ZOOM_X_RELATIVE_STOP,
    "Zoom X Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:HOR:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_MODE_VERTICAL =
  {
    RSMXO_ATTR_ZOOM_MODE_VERTICAL,
    "Zoom Mode Vertical",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAbsoluteRelative, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ABSOLUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_SPAN =
  {
    RSMXO_ATTR_ZOOM_Y_ABSOLUTE_SPAN,
    "Zoom Y Absolute Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:ABS:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_RANGE =
  {
    RSMXO_ATTR_ZOOM_Y_ABSOLUTE_RANGE,
    "Zoom Y Absolute Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:ABS:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_POSITION =
  {
    RSMXO_ATTR_ZOOM_Y_ABSOLUTE_POSITION,
    "Zoom Y Absolute Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:ABS:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_START =
  {
    RSMXO_ATTR_ZOOM_Y_ABSOLUTE_START,
    "Zoom Y Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_STOP =
  {
    RSMXO_ATTR_ZOOM_Y_ABSOLUTE_STOP,
    "Zoom Y Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_RELATIVE_POSITION =
  {
    RSMXO_ATTR_ZOOM_Y_RELATIVE_POSITION,
    "Zoom Y Relative Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:REL:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_RELATIVE_SPAN =
  {
    RSMXO_ATTR_ZOOM_Y_RELATIVE_SPAN,
    "Zoom Y Relative Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:REL:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_RELATIVE_WIDTH =
  {
    RSMXO_ATTR_ZOOM_Y_RELATIVE_WIDTH,
    "Zoom Y Relative Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:REL:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_RELATIVE_START =
  {
    RSMXO_ATTR_ZOOM_Y_RELATIVE_START,
    "Zoom Y Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_Y_RELATIVE_STOP =
  {
    RSMXO_ATTR_ZOOM_Y_RELATIVE_STOP,
    "Zoom Y Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:VERT:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ZOOM_SET_TO_SCREEN =
  {
    RSMXO_ATTR_ZOOM_SET_TO_SCREEN,
    "Zoom Set to Screen",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:ZOOM{Zoom}:SSCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_ON =
  {
    RSMXO_ATTR_TRIGGER_ON,
    "Trigger On",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerOn, NULL, NULL,
    "TRIG:MEV:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_ON_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_FORCE =
  {
    RSMXO_ATTR_TRIGGER_FORCE,
    "Trigger Force",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:FORC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_MODE =
  {
    RSMXO_ATTR_TRIGGER_MODE,
    "Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerMode, NULL, NULL,
    "TRIG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SEQUENCE_TYPE =
  {
    RSMXO_ATTR_TRIGGER_SEQUENCE_TYPE,
    "Trigger Sequence Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerSequenceType, NULL, NULL,
    "TRIG:MEV:AEV",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_SEQUENCE_TYPE_A_ONLY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SEQUENCE_DELAY =
  {
    RSMXO_ATTR_TRIGGER_SEQUENCE_DELAY,
    "Trigger Sequence Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngTriggerSequenceDelay, NULL,
    "TRIG:MEV:SEQ1:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SEQUENCE_B_EVENT_COUNT =
  {
    RSMXO_ATTR_TRIGGER_SEQUENCE_B_EVENT_COUNT,
    "Trigger Sequence B Event Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:MEV:SEQ2:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_EVENT_ENABLED =
  {
    RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_EVENT_ENABLED,
    "Trigger Sequence Reset Event Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:MEV:SEQ3:RES:EVEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIME_ENABLED =
  {
    RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIME_ENABLED,
    "Trigger Sequence Reset Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:MEV:SEQ:RES:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIMEOUT =
  {
    RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIMEOUT,
    "Trigger Sequence Reset Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngTriggerSequenceResetTimeout, NULL,
    "TRIG:MEV:SEQ:RES:TIM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SOURCE =
  {
    RSMXO_ATTR_TRIGGER_SOURCE,
    "Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerSource, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_TYPE =
  {
    RSMXO_ATTR_TRIGGER_TYPE,
    "Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerType, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_TYPE_EDGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_FIND_LEVEL =
  {
    RSMXO_ATTR_TRIGGER_FIND_LEVEL,
    "Trigger Find Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:FIND{TriggerEvent}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EVENT_LEVEL =
  {
    RSMXO_ATTR_TRIGGER_EVENT_LEVEL,
    "Trigger Event Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:LEV{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EDGE_SLOPE =
  {
    RSMXO_ATTR_TRIGGER_EDGE_SLOPE,
    "Trigger Edge Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_GLITCH_POLARITY =
  {
    RSMXO_ATTR_TRIGGER_GLITCH_POLARITY,
    "Trigger Glitch Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:GLIT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_GLITCH_RANGE =
  {
    RSMXO_ATTR_TRIGGER_GLITCH_RANGE,
    "Trigger Glitch Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerGlitchRange, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:GLIT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_GLITCH_RANGE_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_GLITCH_WIDTH =
  {
    RSMXO_ATTR_TRIGGER_GLITCH_WIDTH,
    "Trigger Glitch Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:GLIT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-09,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WIDTH_POLARITY =
  {
    RSMXO_ATTR_TRIGGER_WIDTH_POLARITY,
    "Trigger Width Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIDT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WIDTH_RANGE =
  {
    RSMXO_ATTR_TRIGGER_WIDTH_RANGE,
    "Trigger Width Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerWidthRange, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_WIDTH_RANGE_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WIDTH_WIDTH =
  {
    RSMXO_ATTR_TRIGGER_WIDTH_WIDTH,
    "Trigger Width Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIDT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-09,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WIDTH_DELTA =
  {
    RSMXO_ATTR_TRIGGER_WIDTH_DELTA,
    "Trigger Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_RUNT_POLARITY =
  {
    RSMXO_ATTR_TRIGGER_RUNT_POLARITY,
    "Trigger Runt Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:RUNT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_RUNT_RANGE =
  {
    RSMXO_ATTR_TRIGGER_RUNT_RANGE,
    "Trigger Runt Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerRuntRange, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:RUNT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_RUNT_RANGE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_RUNT_WIDTH =
  {
    RSMXO_ATTR_TRIGGER_RUNT_WIDTH,
    "Trigger Runt Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:RUNT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-09,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_RUNT_DELTA =
  {
    RSMXO_ATTR_TRIGGER_RUNT_DELTA,
    "Trigger Runt Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:RUNT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_RUNT_LOWER_LIMIT =
  {
    RSMXO_ATTR_TRIGGER_RUNT_LOWER_LIMIT,
    "Trigger Runt Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:LEV{Channel}:RUNT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_RUNT_UPPER_LIMIT =
  {
    RSMXO_ATTR_TRIGGER_RUNT_UPPER_LIMIT,
    "Trigger Runt Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:LEV{Channel}:RUNT:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WINDOW_VERTICAL_CONDITION =
  {
    RSMXO_ATTR_TRIGGER_WINDOW_VERTICAL_CONDITION,
    "Trigger Window Vertical Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerVerticalCondition, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIND:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_VERTICAL_CONDITION_ENTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WINDOW_TIME_CONDITION =
  {
    RSMXO_ATTR_TRIGGER_WINDOW_TIME_CONDITION,
    "Trigger Window Time Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerTimeCondition, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIND:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_TIME_CONDITION_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WINDOW_WIDTH =
  {
    RSMXO_ATTR_TRIGGER_WINDOW_WIDTH,
    "Trigger Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIND:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-09,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WINDOW_DELTA =
  {
    RSMXO_ATTR_TRIGGER_WINDOW_DELTA,
    "Trigger Window Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:WIND:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WINDOW_LOWER_LIMIT =
  {
    RSMXO_ATTR_TRIGGER_WINDOW_LOWER_LIMIT,
    "Trigger Window Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:LEV{Channel}:WIND:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_WINDOW_UPPER_LIMIT =
  {
    RSMXO_ATTR_TRIGGER_WINDOW_UPPER_LIMIT,
    "Trigger Window Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:LEV{Channel}:WIND:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_TIMEOUT_TIME =
  {
    RSMXO_ATTR_TRIGGER_TIMEOUT_TIME,
    "Trigger Timeout Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngTriggerTimeoutTime, NULL,
    "TRIG:EVEN{TriggerEvent}:TIM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-07,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_TIMEOUT_RANGE =
  {
    RSMXO_ATTR_TRIGGER_TIMEOUT_RANGE,
    "Trigger Timeout Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerTimeoutRange, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_TIMEOUT_RANGE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_INTERVAL_SLOPE =
  {
    RSMXO_ATTR_TRIGGER_INTERVAL_SLOPE,
    "Trigger Interval Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:INT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_INTERVAL_RANGE =
  {
    RSMXO_ATTR_TRIGGER_INTERVAL_RANGE,
    "Trigger Interval Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerIntervalRange, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:INT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_INTERVAL_RANGE_OUTSIDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_INTERVAL_WIDTH =
  {
    RSMXO_ATTR_TRIGGER_INTERVAL_WIDTH,
    "Trigger Interval Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:INT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-09,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_INTERVAL_DELTA =
  {
    RSMXO_ATTR_TRIGGER_INTERVAL_DELTA,
    "Trigger Interval Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:INT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SLEW_RATE_SLOPE =
  {
    RSMXO_ATTR_TRIGGER_SLEW_RATE_SLOPE,
    "Trigger Slew Rate Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SLEW:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SLEW_RATE_RANGE =
  {
    RSMXO_ATTR_TRIGGER_SLEW_RATE_RANGE,
    "Trigger Slew Rate Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerSlewRateRange, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SLEW:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_SLEW_RATE_RANGE_INRANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SLEW_RATE_TIME =
  {
    RSMXO_ATTR_TRIGGER_SLEW_RATE_TIME,
    "Trigger Slew Rate Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngTriggerSlewRateTime, NULL,
    "TRIG:EVEN{TriggerEvent}:SLEW:RATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SLEW_RATE_DELTA =
  {
    RSMXO_ATTR_TRIGGER_SLEW_RATE_DELTA,
    "Trigger Slew Rate Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SLEW:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SLEW_RATE_LOWER_LIMIT =
  {
    RSMXO_ATTR_TRIGGER_SLEW_RATE_LOWER_LIMIT,
    "Trigger Slew Rate Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:LEV{Channel}:SLEW:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SLEW_RATE_UPPER_LIMIT =
  {
    RSMXO_ATTR_TRIGGER_SLEW_RATE_UPPER_LIMIT,
    "Trigger Slew Rate Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:LEV{Channel}:SLEW:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_EDGE =
  {
    RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_EDGE,
    "Trigger Setup And Hold Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerEdge, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SETH:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_EDGE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_LEVEL =
  {
    RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_LEVEL,
    "Trigger Setup And Hold Clock Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngSetupAndHoldClockLevel, NULL,
    "TRIG:EVEN{TriggerEvent}:SETH:CSO:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_SOURCE =
  {
    RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_SOURCE,
    "Trigger Setup And Hold Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerSource, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SETH:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_SOURCE_C2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_HOLD_TIME =
  {
    RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_HOLD_TIME,
    "Trigger Setup And Hold Hold Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SETH:HTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_SETUPTIME =
  {
    RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_SETUPTIME,
    "Trigger Setup And Hold SetupTime",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:SETH:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_STATE_SLOPE =
  {
    RSMXO_ATTR_TRIGGER_STATE_SLOPE,
    "Trigger State Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerEdge, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:STAT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_EDGE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_STATE_OPERATOR =
  {
    RSMXO_ATTR_TRIGGER_STATE_OPERATOR,
    "Trigger State Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerStateOperator, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:STAT:QUAL:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_STATE_OPERATOR_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_STATE_DIGITAL_STATE_OPERATOR =
  {
    RSMXO_ATTR_TRIGGER_STATE_DIGITAL_STATE_OPERATOR,
    "Trigger State Digital State Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerDigitalStateOperator, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:STAT:QUAL:DIG:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_DIGITAL_STATE_OPERATOR_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_STATE_DIGITAL_CHANNEL_STATE =
  {
    RSMXO_ATTR_TRIGGER_STATE_DIGITAL_CHANNEL_STATE,
    "Trigger State Digital Channel State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerDigitalChannelState, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:STAT:QUAL:DIG:CHAN{DigitalChannel}:HLX",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_DIGITAL_CHANNEL_STATE_DONT_CARE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_STATE_CHANNEL =
  {
    RSMXO_ATTR_TRIGGER_STATE_CHANNEL,
    "Trigger State Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerChannel, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:STAT:QUAL:ANAL:CHAN{Channel}:HLX",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_CHANNEL_DONTCARE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_PATTERN_OPERATOR =
  {
    RSMXO_ATTR_TRIGGER_PATTERN_OPERATOR,
    "Trigger Pattern Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerStateOperator, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:PATT:QUAL:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_STATE_OPERATOR_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_PATTERN_STATE_SOURCES =
  {
    RSMXO_ATTR_TRIGGER_PATTERN_STATE_SOURCES,
    "Trigger Pattern State Sources",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerPatternStateSources, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:PATT:QUAL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_PATTERN_STATE_SOURCES_ANALOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_STATE_OPERATOR =
  {
    RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_STATE_OPERATOR,
    "Trigger Pattern Digital State Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerDigitalStateOperator, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:PATT:QUAL:DIG:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_DIGITAL_STATE_OPERATOR_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_PATTERN_CHANNEL =
  {
    RSMXO_ATTR_TRIGGER_PATTERN_CHANNEL,
    "Trigger Pattern Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerChannel, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:PATT:QUAL:ANAL:CHAN{Channel}:HLX",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_CHANNEL_DONTCARE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_CHANNEL_STATE =
  {
    RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_CHANNEL_STATE,
    "Trigger Pattern Digital Channel State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerDigitalChannelState, NULL, NULL,
    "TRIG:EVEN{TriggerEvent}:PATT:QUAL:DIG:CHAN{DigitalChannel}:HLX",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_DIGITAL_CHANNEL_STATE_DONT_CARE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EDGE_COUPLING =
  {
    RSMXO_ATTR_TRIGGER_EDGE_COUPLING,
    "Trigger Edge Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerEdgeCoupling, NULL, NULL,
    "TRIG:ANED:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_EDGE_COUPLING_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EDGE_LEVEL =
  {
    RSMXO_ATTR_TRIGGER_EDGE_LEVEL,
    "Trigger Edge Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ANED:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EDGE_FILTER =
  {
    RSMXO_ATTR_TRIGGER_EDGE_FILTER,
    "Trigger Edge Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerEdgeFilter, NULL, NULL,
    "TRIG:ANED:FILT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_EDGE_FILTER_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EDGE_LOW_PASS =
  {
    RSMXO_ATTR_TRIGGER_EDGE_LOW_PASS,
    "Trigger Edge Low Pass",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngTriggerEdgeLowPass, NULL, NULL,
    "TRIG:ANED:CUT:LOWP?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_EDGE_LOW_PASS_KHZ50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EDGE_HIGH_PASS =
  {
    RSMXO_ATTR_TRIGGER_EDGE_HIGH_PASS,
    "Trigger Edge High Pass",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngTriggerEdgeHighPass, NULL, NULL,
    "TRIG:ANED:CUT:HIGH?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_EDGE_HIGH_PASS_KHZ50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_EDGE_NOISE_REJECT_ENABLED =
  {
    RSMXO_ATTR_TRIGGER_EDGE_NOISE_REJECT_ENABLED,
    "Trigger Edge Noise Reject Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ANED:NREJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HOLDOFF_MODE =
  {
    RSMXO_ATTR_TRIGGER_HOLDOFF_MODE,
    "Trigger Holdoff Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerHoldoffMode, NULL, NULL,
    "TRIG:HOLD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_HOLDOFF_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HOLDOFF_TIME =
  {
    RSMXO_ATTR_TRIGGER_HOLDOFF_TIME,
    "Trigger Holdoff Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:HOLD:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HOLDOFF_EVENTS =
  {
    RSMXO_ATTR_TRIGGER_HOLDOFF_EVENTS,
    "Trigger Holdoff Events",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:HOLD:EVEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HOLDOFF_MINIMUM_TIME =
  {
    RSMXO_ATTR_TRIGGER_HOLDOFF_MINIMUM_TIME,
    "Trigger Holdoff Minimum Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:HOLD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HOLDOFF_MAXIMUM_TIME =
  {
    RSMXO_ATTR_TRIGGER_HOLDOFF_MAXIMUM_TIME,
    "Trigger Holdoff Maximum Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:HOLD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.002,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME =
  {
    RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME,
    "Trigger Holdoff Auto Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:HOLD:AUT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME_SCALING =
  {
    RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME_SCALING,
    "Trigger Holdoff Auto Time Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngTriggerHoldoffAutoTimeScaling, NULL,
    "TRIG:HOLD:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HYSTERESIS_MODE =
  {
    RSMXO_ATTR_TRIGGER_HYSTERESIS_MODE,
    "Trigger Hysteresis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerHysteresisMode, NULL, NULL,
    "TRIG:NOIS{Channel}",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_HYSTERESIS_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HW_HYSTERESIS =
  {
    RSMXO_ATTR_TRIGGER_HW_HYSTERESIS,
    "Trigger HW Hysteresis",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:NOIS{Channel}:EFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HYSTERESIS_SIZE_MODE =
  {
    RSMXO_ATTR_TRIGGER_HYSTERESIS_SIZE_MODE,
    "Trigger Hysteresis Size Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerSizeMode, NULL, NULL,
    "TRIG:NOIS{Channel}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_SIZE_MODE_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HYSTERESIS_ABSOLUTE =
  {
    RSMXO_ATTR_TRIGGER_HYSTERESIS_ABSOLUTE,
    "Trigger Hysteresis Absolute",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:NOIS{Channel}:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_PERCENTAGE =
  {
    RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_PERCENTAGE,
    "Trigger Hysteresis Relative Percentage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:NOIS{Channel}:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_DIVS =
  {
    RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_DIVS,
    "Trigger Hysteresis Relative Divs",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:NOIS{Channel}:PERD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_FILTER_MODE =
  {
    RSMXO_ATTR_TRIGGER_FILTER_MODE,
    "Trigger Filter Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerFilterMode, NULL, NULL,
    "TRIG:FILT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_FILTER_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_FILTER_LF_REJECT_BW =
  {
    RSMXO_ATTR_TRIGGER_FILTER_LF_REJECT_BW,
    "Trigger Filter LF Reject BW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:LFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_FILTER_RF_REJECT_BW =
  {
    RSMXO_ATTR_TRIGGER_FILTER_RF_REJECT_BW,
    "Trigger Filter RF Reject BW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:RFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_ACTION_TRIGGER_OUT_ENABLED =
  {
    RSMXO_ATTR_TRIGGER_ACTION_TRIGGER_OUT_ENABLED,
    "Trigger Action Trigger Out Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_ACTION_POLARITY =
  {
    RSMXO_ATTR_TRIGGER_ACTION_POLARITY,
    "Trigger Action Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerActionPolarity, NULL, NULL,
    "TRIG:ACT:OUT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_ACTION_POLARITY_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_ACTION_DELAY =
  {
    RSMXO_ATTR_TRIGGER_ACTION_DELAY,
    "Trigger Action Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6E-07,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_ACTION_PULSE_LENGTH =
  {
    RSMXO_ATTR_TRIGGER_ACTION_PULSE_LENGTH,
    "Trigger Action Pulse Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:PLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9.6E-08,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TRIGGER_ACTION_SIGNAL_SOURCE =
  {
    RSMXO_ATTR_TRIGGER_ACTION_SIGNAL_SOURCE,
    "Trigger Action Signal Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerActionSignalSource, NULL, NULL,
    "TRIG:ACT:OUT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_ACTION_SIGNAL_SOURCE_TRIG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_RUN_CONTINUOUS =
  {
    RSMXO_ATTR_ACQUISITION_RUN_CONTINUOUS,
    "Acquisition Run Continuous",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_STOP =
  {
    RSMXO_ATTR_ACQUISITION_STOP,
    "Acquisition Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_RUN_SINGLE =
  {
    RSMXO_ATTR_ACQUISITION_RUN_SINGLE,
    "Acquisition Run Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_RUN_SINGLE_NO_WAIT =
  {
    RSMXO_ATTR_ACQUISITION_RUN_SINGLE_NO_WAIT,
    "Acquisition Run Single No Wait",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_AUTOSCALE =
  {
    RSMXO_ATTR_ACQUISITION_AUTOSCALE,
    "Acquisition Autoscale",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_SAMPLE_RATE_MODE =
  {
    RSMXO_ATTR_ACQUISITION_SAMPLE_RATE_MODE,
    "Acquisition Sample Rate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAcquisitionSampleRateMode, NULL, NULL,
    "ACQ:SRAT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ACQUISITION_SAMPLE_RATE_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_SAMPLE_RATE =
  {
    RSMXO_ATTR_ACQUISITION_SAMPLE_RATE,
    "Acquisition Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_MINIMUM_SAMPLE_RATE =
  {
    RSMXO_ATTR_ACQUISITION_MINIMUM_SAMPLE_RATE,
    "Acquisition Minimum Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:SRAT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_MODE =
  {
    RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_MODE,
    "Acquisition Record Length Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAcquisitionRecordLengthMode, NULL, NULL,
    "ACQ:POIN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ACQUISITION_RECORD_LENGTH_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH =
  {
    RSMXO_ATTR_ACQUISITION_RECORD_LENGTH,
    "Acquisition Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngAcquisitionRecordLength, NULL,
    "ACQ:POIN",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_LIMIT =
  {
    RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_LIMIT,
    "Acquisition Record Length Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngAcquisitionRecordLengthLimit, NULL,
    "ACQ:POIN:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_N_SINGLE_AVERAGE_COUNT =
  {
    RSMXO_ATTR_ACQUISITION_N_SINGLE_AVERAGE_COUNT,
    "Acquisition N-Single Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_RESOLUTION =
  {
    RSMXO_ATTR_ACQUISITION_RESOLUTION,
    "Acquisition Resolution",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngAcquisitionResolution, NULL,
    "ACQ:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_MODE =
  {
    RSMXO_ATTR_ACQUISITION_MODE,
    "Acquisition Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAcquisitionMode, NULL, NULL,
    "ACQ:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ACQUISITION_MODE_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_INTERPOLATION =
  {
    RSMXO_ATTR_ACQUISITION_INTERPOLATION,
    "Acquisition Interpolation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAcquisitionInterpolation, NULL, NULL,
    "ACQ:INT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ACQUISITION_INTERPOLATION_SINX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_AVAILABLE_ACQUISITIONS =
  {
    RSMXO_ATTR_ACQUISITION_AVAILABLE_ACQUISITIONS,
    "Acquisition Available Acquisitions",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:AVA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_ADC_RATE =
  {
    RSMXO_ATTR_ACQUISITION_ADC_RATE,
    "Acquisition ADC Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:POIN:ARAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_REAL_SAMPLE_RATE =
  {
    RSMXO_ATTR_ACQUISITION_REAL_SAMPLE_RATE,
    "Acquisition Real Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:SRR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_CURRENT =
  {
    RSMXO_ATTR_ACQUISITION_CURRENT,
    "Acquisition Current",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:CURR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_AVERAGE =
  {
    RSMXO_ATTR_ACQUISITION_AVERAGE,
    "Acquisition Average",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_ROLL_MODE_OFF_SCREEN_CAPTURE =
  {
    RSMXO_ATTR_ACQUISITION_ROLL_MODE_OFF_SCREEN_CAPTURE,
    "Acquisition Roll Mode Off Screen Capture",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:ROLL:OSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_ROLL_MODE_POINTS =
  {
    RSMXO_ATTR_ACQUISITION_ROLL_MODE_POINTS,
    "Acquisition Roll Mode Points",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:ROLL:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_SEGMENTED_FAST_SEGMENTATION_ENABLED =
  {
    RSMXO_ATTR_ACQUISITION_SEGMENTED_FAST_SEGMENTATION_ENABLED,
    "Acquisition Segmented Fast Segmentation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:SEGM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_SEGMENTED_ACQUIRE_MAXIMUM_ENABLED =
  {
    RSMXO_ATTR_ACQUISITION_SEGMENTED_ACQUIRE_MAXIMUM_ENABLED,
    "Acquisition Segmented Acquire Maximum Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:SEGM:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_ENABLED =
  {
    RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_ENABLED,
    "Acquisition High Definition Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HDEF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_BANDWIDTH =
  {
    RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_BANDWIDTH,
    "Acquisition High Definition Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "HDEF:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_RESOLUTION =
  {
    RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_RESOLUTION,
    "Acquisition High Definition Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "HDEF:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_SHOW_HISTORY =
  {
    RSMXO_ATTR_ACQUISITION_SHOW_HISTORY,
    "Acquisition Show History",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:HIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_REPLAY =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_REPLAY,
    "Acquisition History Replay",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_PLAY =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_PLAY,
    "Acquisition History Play",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ACQ:HIST:PLAY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_START =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_START,
    "Acquisition History Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngAcquisitionHistoryIndex, NULL,
    "ACQ:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_STOP =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_STOP,
    "Acquisition History Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngAcquisitionHistoryIndex, NULL,
    "ACQ:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_DISPLAY_TIME =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_DISPLAY_TIME,
    "Acquisition History Display Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:HIST:TPAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_SELECT_CURRENT =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_SELECT_CURRENT,
    "Acquisition History Select Current",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngAcquisitionHistoryIndex, NULL,
    "ACQ:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_TIME =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_TIME,
    "Acquisition History Timestamp Absolute Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ACQ:HIST:TSAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_DATE =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_DATE,
    "Acquisition History Timestamp Absolute Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ACQ:HIST:TSD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_RELATIVE_TIME =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_RELATIVE_TIME,
    "Acquisition History Timestamp Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ACQ:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_REFERENCE_RELATIVE_TIME =
  {
    RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_REFERENCE_RELATIVE_TIME,
    "Acquisition History Timestamp Reference Relative Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ACQ:HIST:TSRR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_ENABLED =
  {
    RSMXO_ATTR_MEASUREMENT_ENABLED,
    "Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_COUNT =
  {
    RSMXO_ATTR_MEASUREMENT_COUNT,
    "Measurement Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS:COUN?",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_TYPE =
  {
    RSMXO_ATTR_MEASUREMENT_TYPE,
    "Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngMeasurementType, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MEASUREMENT_TYPE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_MEASUREMENT_SOURCE =
  {
    RSMXO_ATTR_HIDDEN_MEASUREMENT_SOURCE,
    "Hidden Measurement Source",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C1,C1",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_SOURCE_1 =
  {
    RSMXO_ATTR_MEASUREMENT_SOURCE_1,
    "Measurement Source 1",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngMeasurementSource, NULL, NULL,
    "MEAS{Measurement}:FSRC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_SOURCE_2 =
  {
    RSMXO_ATTR_MEASUREMENT_SOURCE_2,
    "Measurement Source 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngMeasurementSource, NULL, NULL,
    "MEAS{Measurement}:SSRC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_GATE =
  {
    RSMXO_ATTR_MEASUREMENT_GATE,
    "Measurement Gate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_ENVELOPE =
  {
    RSMXO_ATTR_MEASUREMENT_ENVELOPE,
    "Measurement Envelope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngMeasurementEnvelope, NULL, NULL,
    "MEAS{Measurement}:ENVS",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MEASUREMENT_ENVELOPE_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_STATISTICS_ENABLED =
  {
    RSMXO_ATTR_MEASUREMENT_STATISTICS_ENABLED,
    "Measurement Statistics Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_STATISTICS_ALL_EVENTS_ENABLED =
  {
    RSMXO_ATTR_MEASUREMENT_STATISTICS_ALL_EVENTS_ENABLED,
    "Measurement Statistics All Events Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS:MULT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_STATISTICS_MAXIMUM_EVENTS =
  {
    RSMXO_ATTR_MEASUREMENT_STATISTICS_MAXIMUM_EVENTS,
    "Measurement Statistics Maximum Events",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngMeasurementStatisticsMaximumEvents, NULL,
    "MEAS:MNOM",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_STATISTICS_CLEAR_RESULTS =
  {
    RSMXO_ATTR_MEASUREMENT_STATISTICS_CLEAR_RESULTS,
    "Measurement Statistics Clear Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS:STAT:ARES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_FIT_TO_SCREEN =
  {
    RSMXO_ATTR_MEASUREMENT_FIT_TO_SCREEN,
    "Measurement Fit To Screen",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AUTOSCALE =
  {
    RSMXO_ATTR_MEASUREMENT_AUTOSCALE,
    "Measurement Autoscale",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_TRACK_WAVEFORM_OFFSET =
  {
    RSMXO_ATTR_MEASUREMENT_TRACK_WAVEFORM_OFFSET,
    "Measurement Track Waveform Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_TRACK_SCALE =
  {
    RSMXO_ATTR_MEASUREMENT_TRACK_SCALE,
    "Measurement Track Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_TRACK_ENABLED =
  {
    RSMXO_ATTR_MEASUREMENT_TRACK_ENABLED,
    "Measurement Track Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_CLOCK_SLOPE =
  {
    RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_CLOCK_SLOPE,
    "Measurement Amplitude Time Clock Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:CSL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_SLOPE =
  {
    RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_SLOPE,
    "Measurement Amplitude Time Pulse Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:PSL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_COUNT =
  {
    RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_COUNT,
    "Measurement Amplitude Time Pulse Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngMeasurementAmplitudeTimePulseCount, NULL,
    "MEAS{Measurement}:AMPT:PTC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_EDGES_SLOPE =
  {
    RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_EDGES_SLOPE,
    "Measurement Amplitude Time Edges Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:ESL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_DIRECTION =
  {
    RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_DIRECTION,
    "Measurement Amplitude Time Delay Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngMeasurementDirection, NULL, NULL,
    "MEAS{Measurement}:AMPT:DEL{DelayRC}:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MEASUREMENT_DIRECTION_FROM_FIRST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_SLOPE =
  {
    RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_SLOPE,
    "Measurement Amplitude Time Delay Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:DEL{DelayRC}:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_TO_TRIGGER =
  {
    RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_TO_TRIGGER,
    "Measurement Amplitude Time Delay To Trigger",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:DTOT{DelayRC}:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_ENABLED =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_ENABLED,
    "Reference Level Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_MODE =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_MODE,
    "Reference Level Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAbsoluteRelative, NULL, NULL,
    "REFL{ReferenceLevel}:LMOD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_RELATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_LOWER =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_LOWER,
    "Reference Level Absolute Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:ABS:LLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_MIDDLE =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_MIDDLE,
    "Reference Level Absolute Middle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:ABS:MLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_UPPER =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_UPPER,
    "Reference Level Absolute Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:ABS:ULEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_HYSTERESIS =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_HYSTERESIS,
    "Reference Level Absolute Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngReferenceLevelHysteresisAbsolute, NULL,
    "REFL{ReferenceLevel}:ABS:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.005,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MODE =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MODE,
    "Reference Level Relative Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngReferenceLevelRelativeMode, NULL, NULL,
    "REFL{ReferenceLevel}:REL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_REFERENCE_LEVEL_RELATIVE_MODE_TEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_LOWER =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_LOWER,
    "Reference Level Relative Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:REL:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MIDDLE =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MIDDLE,
    "Reference Level Relative Middle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:REL:MIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_UPPER =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_UPPER,
    "Reference Level Relative Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:REL:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_HYSTERESIS =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_HYSTERESIS,
    "Reference Level Relative Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{ReferenceLevel}:REL:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_LEVEL_SET =
  {
    RSMXO_ATTR_REFERENCE_LEVEL_SET,
    "Reference Level Set",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL{ReferenceLevel}:REF",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_START =
  {
    RSMXO_ATTR_RESULTS_START,
    "Results Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_STOP =
  {
    RSMXO_ATTR_RESULTS_STOP,
    "Results Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_COUNT =
  {
    RSMXO_ATTR_RESULTS_COUNT,
    "Results Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULTS_MAXIMUM_COUNT =
  {
    RSMXO_ATTR_HIDDEN_RESULTS_MAXIMUM_COUNT,
    "Hidden Results Maximum Count",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:MAXC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CPOW,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULT_SHOW_LABELS =
  {
    RSMXO_ATTR_HIDDEN_RESULT_SHOW_LABELS,
    "Hidden Result Show Labels",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:SHL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CPOW,OFF",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULTS_INVERTED_LABELS =
  {
    RSMXO_ATTR_HIDDEN_RESULTS_INVERTED_LABELS,
    "Hidden Results Inverted Labels",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "PLIS,OFF",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULTS_SHOW_FREQUENCY =
  {
    RSMXO_ATTR_HIDDEN_RESULTS_SHOW_FREQUENCY,
    "Hidden Results Show Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:SHFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CPOW,ON",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULTS_LABELS_ORDER =
  {
    RSMXO_ATTR_HIDDEN_RESULTS_LABELS_ORDER,
    "Hidden Results Labels Order",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "PLIS,NOB",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EVENT_COUNT =
  {
    RSMXO_ATTR_RESULTS_EVENT_COUNT,
    "Results Event Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:EVEN:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_START =
  {
    RSMXO_ATTR_HIDDEN_RESULTS_EVENT_START,
    "Hidden Results Event Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:EVEN:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_STOP =
  {
    RSMXO_ATTR_HIDDEN_RESULTS_EVENT_STOP,
    "Hidden Results Event Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:EVEN:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_VALUE =
  {
    RSMXO_ATTR_HIDDEN_RESULTS_EVENT_VALUE,
    "Hidden Results Event Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:EVEN:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_CURRENT =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_CURRENT,
    "Measurement Results Statistics Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MAX =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MAX,
    "Measurement Results Statistics Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MIN =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MIN,
    "Measurement Results Statistics Min",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MEAN =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MEAN,
    "Measurement Results Statistics Mean",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_RMS =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_RMS,
    "Measurement Results Statistics RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_STANDARD_DEVIATION,
    "Measurement Results Statistics Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_EVENT_COUNT =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_EVENT_COUNT,
    "Measurement Results Statistics Event Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:EVTC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_WAVE_COUNT =
  {
    RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_WAVE_COUNT,
    "Measurement Results Statistics Wave Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:WFMC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_MEASUREMENT_RESULTS_STATISTICS_RELIABILITY =
  {
    RSMXO_ATTR_HIDDEN_MEASUREMENT_RESULTS_STATISTICS_RELIABILITY,
    "Hidden Measurement Results Statistics Reliability",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:REL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_ENABLED =
  {
    RSMXO_ATTR_GATE_ENABLED,
    "Gate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "GATE{GateRC}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_DISPLAY =
  {
    RSMXO_ATTR_GATE_DISPLAY,
    "Gate Display",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "GATE{GateRC}:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_COUPLING_MODE =
  {
    RSMXO_ATTR_GATE_COUPLING_MODE,
    "Gate Coupling Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngGateCouplingMode, NULL, NULL,
    "GATE{GateRC}:GCO",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_GATE_COUPLING_MODE_MANUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_MODE =
  {
    RSMXO_ATTR_GATE_MODE,
    "Gate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAbsoluteRelative, NULL, NULL,
    "GATE{GateRC}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ABSOLUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_ABSOLUTE_START =
  {
    RSMXO_ATTR_GATE_ABSOLUTE_START,
    "Gate Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "GATE{GateRC}:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_ABSOLUTE_STOP =
  {
    RSMXO_ATTR_GATE_ABSOLUTE_STOP,
    "Gate Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "GATE{GateRC}:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_RELATIVE_START =
  {
    RSMXO_ATTR_GATE_RELATIVE_START,
    "Gate Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "GATE{GateRC}:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_RELATIVE_STOP =
  {
    RSMXO_ATTR_GATE_RELATIVE_STOP,
    "Gate Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "GATE{GateRC}:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GATE_CURSOR =
  {
    RSMXO_ATTR_GATE_CURSOR,
    "Gate Cursor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorSet, NULL, NULL,
    "GATE{GateRC}:CURS",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CURSOR_SET_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_GATE_ZOOM_DIAGRAM =
  {
    RSMXO_ATTR_HIDDEN_GATE_ZOOM_DIAGRAM,
    "Hidden Gate Zoom Diagram",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "GATE{GateRC}:ZDI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<DiagramGroup>,<ZoomDiagram>",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_SHOW =
  {
    RSMXO_ATTR_CURSOR_SHOW,
    "Cursor Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_DISABLE_ALL =
  {
    RSMXO_ATTR_CURSOR_DISABLE_ALL,
    "Cursor Disable All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_STYLE =
  {
    RSMXO_ATTR_CURSOR_STYLE,
    "Cursor Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorStyle, NULL, NULL,
    "CURS{Cursor}:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CURSOR_STYLE_LINES,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_TYPE =
  {
    RSMXO_ATTR_CURSOR_TYPE,
    "Cursor Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorType, NULL, NULL,
    "CURS{Cursor}:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CURSOR_TYPE_PAIRED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_COUNT =
  {
    RSMXO_ATTR_CURSOR_COUNT,
    "Cursor Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CURS:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_SOURCE =
  {
    RSMXO_ATTR_CURSOR_SOURCE,
    "Cursor Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorSource, NULL, NULL,
    "CURS{Cursor}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_SOURCE_2_ENABLED =
  {
    RSMXO_ATTR_CURSOR_SOURCE_2_ENABLED,
    "Cursor Source 2 Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:USS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_SOURCE_2 =
  {
    RSMXO_ATTR_CURSOR_SOURCE_2,
    "Cursor Source 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorSource, NULL, NULL,
    "CURS{Cursor}:SSO",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_X1_POSITION =
  {
    RSMXO_ATTR_CURSOR_X1_POSITION,
    "Cursor X1 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:X1P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_X2_POSITION =
  {
    RSMXO_ATTR_CURSOR_X2_POSITION,
    "Cursor X2 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:X2P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_Y1_POSITION =
  {
    RSMXO_ATTR_CURSOR_Y1_POSITION,
    "Cursor Y1 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:Y1P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_Y2_POSITION =
  {
    RSMXO_ATTR_CURSOR_Y2_POSITION,
    "Cursor Y2 Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:Y2P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_ENVELOPE =
  {
    RSMXO_ATTR_CURSOR_ENVELOPE,
    "Cursor Envelope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorEnvelope, NULL, NULL,
    "CURS{Cursor}:X1EN",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CURSOR_ENVELOPE_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_ENVELOPE_2 =
  {
    RSMXO_ATTR_CURSOR_ENVELOPE_2,
    "Cursor Envelope 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorEnvelope, NULL, NULL,
    "CURS{Cursor}:X2EN",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CURSOR_ENVELOPE_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_TRACK_WAVEFORM =
  {
    RSMXO_ATTR_CURSOR_TRACK_WAVEFORM,
    "Cursor Track Waveform",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_SHOW_VALUES =
  {
    RSMXO_ATTR_CURSOR_SHOW_VALUES,
    "Cursor Show Values",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:DISP:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_RESET =
  {
    RSMXO_ATTR_CURSOR_RESET,
    "Cursor Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:SSCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_ADVANCED_X_COUPLING =
  {
    RSMXO_ATTR_CURSOR_ADVANCED_X_COUPLING,
    "Cursor Advanced X Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:XCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_ADVANCED_Y_COUPLING =
  {
    RSMXO_ATTR_CURSOR_ADVANCED_Y_COUPLING,
    "Cursor Advanced Y Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:YCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_ADVANCED_SHOW_IN_ALL_DIAGRAMS =
  {
    RSMXO_ATTR_CURSOR_ADVANCED_SHOW_IN_ALL_DIAGRAMS,
    "Cursor Advanced Show In All Diagrams",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:SIAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_ADVANCED_SHOW_LABEL =
  {
    RSMXO_ATTR_CURSOR_ADVANCED_SHOW_LABEL,
    "Cursor Advanced Show Label",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_CENTER_FREQUENCY =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_CENTER_FREQUENCY,
    "Cursor Peak Search Center Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:FFT:TOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_ABSOLUTE_PEAK =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_ABSOLUTE_PEAK,
    "Cursor Peak Search Absolute Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT,
    "Cursor Peak Search Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_LEFT =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_LEFT,
    "Cursor Peak Search Next Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_RIGHT =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_RIGHT,
    "Cursor Peak Search Next Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_SET_CENTER_TO_CURSOR =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_SET_CENTER_TO_CURSOR,
    "Cursor Peak Search Set Center To Cursor",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:FFT:SETC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_THRESHOLD =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_THRESHOLD,
    "Cursor Peak Search Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -70,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_EXCURSION =
  {
    RSMXO_ATTR_CURSOR_PEAK_SEARCH_EXCURSION,
    "Cursor Peak Search Excursion",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:PEXC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_X =
  {
    RSMXO_ATTR_CURSOR_RESULTS_DELTA_X,
    "Cursor Results Delta X",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:XDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_X_INVERSE =
  {
    RSMXO_ATTR_CURSOR_RESULTS_DELTA_X_INVERSE,
    "Cursor Results Delta X Inverse",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:XDEL:INV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y =
  {
    RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y,
    "Cursor Results Delta Y",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:YDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y_INVERSE =
  {
    RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y_INVERSE,
    "Cursor Results Delta Y Inverse",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:YDEL:SLOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_HORIZONTAL_LABEL =
  {
    RSMXO_ATTR_CURSOR_HORIZONTAL_LABEL,
    "Cursor Horizontal Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CURS{Cursor}:HOR{CursorLine}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cu1H1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CURSOR_VERTICAL_LABEL =
  {
    RSMXO_ATTR_CURSOR_VERTICAL_LABEL,
    "Cursor Vertical Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CURS{Cursor}:VERT{CursorLine}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cu2V1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_DISPLAY =
  {
    RSMXO_ATTR_SPECTRUM_DISPLAY,
    "Spectrum Display Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_SOURCE =
  {
    RSMXO_ATTR_SPECTRUM_SOURCE,
    "Spectrum Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSpectrumSource, NULL, NULL,
    "CALC:SPEC{Spectrum}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_CENTER =
  {
    RSMXO_ATTR_SPECTRUM_CENTER,
    "Spectrum Center",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_SPAN =
  {
    RSMXO_ATTR_SPECTRUM_SPAN,
    "Spectrum Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_START =
  {
    RSMXO_ATTR_SPECTRUM_START,
    "Spectrum Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_STOP =
  {
    RSMXO_ATTR_SPECTRUM_STOP,
    "Spectrum Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_AUTO_RBW =
  {
    RSMXO_ATTR_SPECTRUM_AUTO_RBW,
    "Spectrum Auto RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:BAND:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_RBW =
  {
    RSMXO_ATTR_SPECTRUM_RBW,
    "Spectrum RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_SPAN_RBW_RATIO =
  {
    RSMXO_ATTR_SPECTRUM_SPAN_RBW_RATIO,
    "Spectrum Span RBW Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:BAND:RAT",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_TRACES_NORMAL_ENABLED =
  {
    RSMXO_ATTR_SPECTRUM_TRACES_NORMAL_ENABLED,
    "Spectrum Traces Normal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:NORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_TRACES_MIN_HOLD_ENABLED =
  {
    RSMXO_ATTR_SPECTRUM_TRACES_MIN_HOLD_ENABLED,
    "Spectrum Traces Min Hold Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:MIN:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_TRACES_MAX_HOLD_ENABLED =
  {
    RSMXO_ATTR_SPECTRUM_TRACES_MAX_HOLD_ENABLED,
    "Spectrum Traces Max Hold Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:MAX:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_ENABLED =
  {
    RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_ENABLED,
    "Spectrum Traces Average Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:AVER:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_COUNT =
  {
    RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_COUNT,
    "Spectrum Traces Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngSpectrumTracesAverageCount, NULL,
    "CALC:SPEC{Spectrum}:WAV:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PRESET =
  {
    RSMXO_ATTR_SPECTRUM_PRESET,
    "Spectrum Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_WINDOW_TYPE =
  {
    RSMXO_ATTR_SPECTRUM_WINDOW_TYPE,
    "Spectrum Window Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSpectrumWindowType, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:WIND:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SPECTRUM_WINDOW_TYPE_BLACKHARRIS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_GATE_START =
  {
    RSMXO_ATTR_SPECTRUM_GATE_START,
    "Spectrum Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:GATE:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_GATE_STOP =
  {
    RSMXO_ATTR_SPECTRUM_GATE_STOP,
    "Spectrum Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:GATE:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_GATE_POSITION =
  {
    RSMXO_ATTR_SPECTRUM_GATE_POSITION,
    "Spectrum Gate Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:GATE:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_GATE_WIDTH =
  {
    RSMXO_ATTR_SPECTRUM_GATE_WIDTH,
    "Spectrum Gate Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:GATE:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_RANGE =
  {
    RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_RANGE,
    "Spectrum Scale Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:MAGN:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_SCALE_MAGNITUDE_UNIT =
  {
    RSMXO_ATTR_SPECTRUM_SCALE_MAGNITUDE_UNIT,
    "Spectrum Scale Magnitude Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSpectrumScaleUnit, NULL, NULL,
    "CALC:SPEC{Spectrum}:MAGN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SPECTRUM_SCALE_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_MAXIMUM =
  {
    RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_MAXIMUM,
    "Spectrum Scale Vertical Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:MAGN:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_SCALE =
  {
    RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_SCALE,
    "Spectrum Scale Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:FREQ:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_TABLE =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_TABLE,
    "Spectrum Peak List Show Table",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_FRAME_TYPE =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_FRAME_TYPE,
    "Spectrum Peak List Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPeaklistFrameType, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:LAB:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PEAKLIST_FRAME_TYPE_FULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_THRESHOLD =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_THRESHOLD,
    "Spectrum Peak List Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -70,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_PEAK_EXCURSION =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_PEAK_EXCURSION,
    "Spectrum Peak List Peak Excursion",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngSpectrumPeakListPeakExcursion, NULL,
    "CALC:SPEC{Spectrum}:PEXC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_MAX_RESULTS =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_MAX_RESULTS,
    "Spectrum Peak List Max Results",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngSpectrumPeakListMaxResults, NULL,
    "CALC:SPEC{Spectrum}:PLIS:MAXC",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABEL_MAX_RESULTS =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABEL_MAX_RESULTS,
    "Spectrum Peak List Label Max Results",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngSpectrumPeakListMaxResults, NULL,
    "CALC:SPEC{Spectrum}:PLIS:LAB:MAXC",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_RESULT_MODE =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_RESULT_MODE,
    "Spectrum Peak List Result Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSpectrumPeakListResultMode, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SPECTRUM_PEAK_LIST_RESULT_MODE_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_FREQUENCY =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_FREQUENCY,
    "Spectrum Peak List Show Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:LAB:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SOURCE =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_SOURCE,
    "Spectrum Peak List Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPeakListSource, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PEAK_LIST_SOURCE_SPECTRUM_NORM1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_COUNT =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_COUNT,
    "Spectrum Peak List Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_INVERT_COLORS =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_INVERT_COLORS,
    "Spectrum Peak List Labels Invert Colors",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:LAB:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_ENABLED =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_ENABLED,
    "Spectrum Peak List Labels Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_CURRENT =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_CURRENT,
    "Spectrum Peak List Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT,
    "Spectrum Peak List Sort",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSpectrumPeakListSort, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:SORT:COL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SPECTRUM_PEAK_LIST_SORT_FREQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT_ORDER =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT_ORDER,
    "Spectrum Peak List Sort Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSpectrumPeakListSortOrder, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:SORT:ORD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SPECTRUM_PEAK_LIST_SORT_ORDER_ASC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_DISPLAY_PEAKS =
  {
    RSMXO_ATTR_SPECTRUM_PEAK_LIST_DISPLAY_PEAKS,
    "Spectrum Peak List Display Peaks",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:PLIS:SPOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_DISPLAY =
  {
    RSMXO_ATTR_MATH_DISPLAY,
    "Math Display",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_EXPRESSION =
  {
    RSMXO_ATTR_MATH_EXPRESSION,
    "Math Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C1+C2",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_SIGNAL_TYPE =
  {
    RSMXO_ATTR_MATH_SIGNAL_TYPE,
    "Math Signal Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngMathSignalType, NULL, NULL,
    "CALC:MATH{Math}:DATA:STYP?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MATH_SIGNAL_TYPE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_VERTICAL_SCALE_MODE =
  {
    RSMXO_ATTR_MATH_VERTICAL_SCALE_MODE,
    "Math Vertical Scale Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngMathVerticalScaleMode, NULL, NULL,
    "CALC:MATH{Math}:VERT:SCAL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MATH_VERTICAL_SCALE_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_VERTICAL_SCALE =
  {
    RSMXO_ATTR_MATH_VERTICAL_SCALE,
    "Math Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:VERT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_VERTICAL_OFFSET =
  {
    RSMXO_ATTR_MATH_VERTICAL_OFFSET,
    "Math Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:VERT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_ENVELOPE_WAVEFORM_SELECTION =
  {
    RSMXO_ATTR_MATH_ENVELOPE_WAVEFORM_SELECTION,
    "Math Envelope Waveform Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngMathEnvelopeWaveformSelection, NULL, NULL,
    "CALC:MATH{Math}:ENVS",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MATH_ENVELOPE_WAVEFORM_SELECTION_BOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_LABEL =
  {
    RSMXO_ATTR_MATH_LABEL,
    "Math Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "M3AddC1C2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_USER_UNIT =
  {
    RSMXO_ATTR_MATH_USER_UNIT,
    "Math User Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:UNIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "A",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SERIAL_BUS_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SERIAL_BUS_ENABLED,
    "Protocol Serial Bus Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_TYPE,
    "Protocol Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolType, NULL, NULL,
    "SBUS{SerialBus}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_TYPE_I2C,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SHOW_DECODE_TABLE =
  {
    RSMXO_ATTR_PROTOCOL_SHOW_DECODE_TABLE,
    "Protocol Show Decode Table",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_DATA_FORMAT =
  {
    RSMXO_ATTR_PROTOCOL_DATA_FORMAT,
    "Protocol Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataFormat, NULL, NULL,
    "SBUS{SerialBus}:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_DATA_FORMAT_HEX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_ZOOM_COUPLING =
  {
    RSMXO_ATTR_PROTOCOL_ZOOM_COUPLING,
    "Protocol Zoom Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:ZCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SHOW_THRESHOLD_LINES =
  {
    RSMXO_ATTR_PROTOCOL_SHOW_THRESHOLD_LINES,
    "Protocol Show Threshold Lines",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SET_REFERENCE_LEVELS =
  {
    RSMXO_ATTR_PROTOCOL_SET_REFERENCE_LEVELS,
    "Protocol Set Reference Levels",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FRAME,
    "Protocol I2C Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FRAME_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FRAME_COUNT,
    "Protocol I2C Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SDA_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SDA_SOURCE,
    "Protocol I2C SDA Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:I2C:SDA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SDA_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SDA_THRESHOLD,
    "Protocol I2C SDA Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SDA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SDA_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SDA_HYSTERESIS,
    "Protocol I2C SDA Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SDA:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SDA_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SDA_POSITION,
    "Protocol I2C SDA Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SDA:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SDA_VERTICAL_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SDA_VERTICAL_SCALE,
    "Protocol I2C SDA Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SDA:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SCL_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SCL_SOURCE,
    "Protocol I2C SCL Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:I2C:SCL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SCL_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SCL_THRESHOLD,
    "Protocol I2C SCL Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SCL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SCL_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SCL_HYSTERESIS,
    "Protocol I2C SCL Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SCL:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SHOW_SYMBOLS =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SHOW_SYMBOLS,
    "Protocol I2C Show Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SYMBOL_LIST_FILE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SYMBOL_LIST_FILE,
    "Protocol I2C Symbol List File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:NEWL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "home/storage/userData/Protocol/I2C.csv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_I2C_POSITION,
    "Protocol I2C Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SCALE,
    "Protocol I2C Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FIELD,
    "Protocol I2C Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SELECTED_ERROR,
    "Protocol I2C Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_ENABLED,
    "Protocol I2C Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_ENABLED,
    "Protocol I2C Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolI2CFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_FIELD_ENABLED,
    "Protocol I2C Filter Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CHECK_ALL,
    "Protocol I2C Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CLEAR_ALL,
    "Protocol I2C Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_INVERTS_CURRENT_STATE,
    "Protocol I2C Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_INDEX,
    "Protocol I2C Filter Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_INRANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_INDEX,
    "Protocol I2C Filter Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_INDEX,
    "Protocol I2C Filter End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_DATA,
    "Protocol I2C Filter Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_DATA,
    "Protocol I2C Filter Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BB",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_DATA,
    "Protocol I2C Filter End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_ERROR_ENABLED,
    "Protocol I2C Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolI2CErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_CONDITION,
    "Protocol I2C Filter Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterCondition, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_I2C_FILTER_RESET,
    "Protocol I2C Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_TYPE,
    "Protocol I2C Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolI2CTriggerType, NULL, NULL,
    "TRIG:I2C:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_I2C_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_NACK =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_NACK,
    "Protocol I2C Trigger Address Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:I2C:ADN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK,
    "Protocol I2C Trigger Data Write Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:I2C:DWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK,
    "Protocol I2C Trigger Data Read Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:I2C:DRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE,
    "Protocol I2C Trigger Address Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolTriggerAddressType, NULL, NULL,
    "TRIG:I2C:AMOD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_TRIGGER_ADDRESS_TYPE_BIT7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS,
    "Protocol I2C Trigger Address",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngConditionOperator, NULL, NULL,
    "TRIG:I2C:ACON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CONDITION_OPERATOR_IN_RANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_R_W_BIT =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_R_W_BIT,
    "Protocol I2C Trigger R/W Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerReadWriteAccess, NULL, NULL,
    "TRIG:I2C:ACC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_READ_WRITE_ACCESS_READ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MIN =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MIN,
    "Protocol I2C Trigger Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:I2C:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "AA",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MAX =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MAX,
    "Protocol I2C Trigger Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:I2C:ADDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA,
    "Protocol I2C Trigger Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataConditionOperator, NULL, NULL,
    "TRIG:I2C:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_MIN =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_MIN,
    "Protocol I2C Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:I2C:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_POSITION,
    "Protocol I2C Trigger Data Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:I2C:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_BYTE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_SELECTED_BYTE,
    "Protocol I2C Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_STATE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_STATE,
    "Protocol I2C Results State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolI2CResultsState, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_I2C_RESULTS_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_START =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_START,
    "Protocol I2C Results Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_END =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_END,
    "Protocol I2C Results Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_SYMBOL =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_SYMBOL,
    "Protocol I2C Results Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:SYMB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_TYPE,
    "Protocol I2C Results Address Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolResultsAddressType, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:AMOD?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_RESULTS_ADDRESS_TYPE_BIT7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_START =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_START,
    "Protocol I2C Results Address Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:AST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS,
    "Protocol I2C Results Address",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolAddress, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:ADDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT_START =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT_START,
    "Protocol I2C Results Address Ack Bit Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:ADBS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT,
    "Protocol I2C Results Address Ack Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolI2CResultsAddressAck, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:AACC?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_I2_C_RESULTS_ADDRESS_ACK_INCOMPLETE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_COMPLETE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_COMPLETE,
    "Protocol I2C Results Address Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:ACOM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapBoolean_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DEVICE_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DEVICE_ADDRESS,
    "Protocol I2C Results Device Address",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:ADEV?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT_START =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT_START,
    "Protocol I2C Results RW Bit Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:RWBS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT,
    "Protocol I2C Results RW Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngReadWriteAccess, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:ACC?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_READ_WRITE_ACCESS_UNDEFINED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BIT_RATE,
    "Protocol I2C Results Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DATA =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DATA,
    "Protocol I2C Results Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COUNT,
    "Protocol I2C Results Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:BCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_START =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_START,
    "Protocol I2C Results Byte Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameByteRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COMPLETE =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COMPLETE,
    "Protocol I2C Results Byte Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameByteRepCapBoolean_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT_START =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT_START,
    "Protocol I2C Results Byte Ack Bit Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:ACKS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameByteRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT,
    "Protocol I2C Results Byte Ack Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolI2CResultsAddressAck, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:ACC?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_I2_C_RESULTS_ADDRESS_ACK_INCOMPLETE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_DATA =
  {
    RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_DATA,
    "Protocol I2C Results Byte Data",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolI2CFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FRAME,
    "Protocol SPI Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FRAME_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FRAME_COUNT,
    "Protocol SPI Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MOSI_SOURCE,
    "Protocol SPI MOSI Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:SPI:MOSI:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_POLARITY =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MOSI_POLARITY,
    "Protocol SPI MOSI Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPILinePolarity, NULL, NULL,
    "SBUS{SerialBus}:SPI:MOSI:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_SPI_LINE_POLARITY_ACTIVE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MOSI_THRESHOLD,
    "Protocol SPI MOSI Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MOSI:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MOSI_HYSTERESIS,
    "Protocol SPI MOSI Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MOSI:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MOSI_POSITION,
    "Protocol SPI MOSI Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MOSI:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MOSI_SCALE,
    "Protocol SPI MOSI Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MOSI:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MISO_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MISO_SOURCE,
    "Protocol SPI MISO Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:SPI:MISO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MISO_POLARITY =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MISO_POLARITY,
    "Protocol SPI MISO Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPILinePolarity, NULL, NULL,
    "SBUS{SerialBus}:SPI:MISO:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_SPI_LINE_POLARITY_ACTIVE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MISO_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MISO_THRESHOLD,
    "Protocol SPI MISO Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MISO:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MISO_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MISO_HYSTERESIS,
    "Protocol SPI MISO Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MISO:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MISO_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MISO_POSITION,
    "Protocol SPI MISO Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MISO:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_MISO_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_MISO_SCALE,
    "Protocol SPI MISO Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:MISO:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_SCLK_SOURCE,
    "Protocol SPI SCLK Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:SPI:SCLK:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_SPI_SCLK_THRESHOLD,
    "Protocol SPI SCLK Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:SCLK:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_SPI_SCLK_HYSTERESIS,
    "Protocol SPI SCLK Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:SCLK:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_CS_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_CS_SOURCE,
    "Protocol SPI CS Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:SPI:CSEL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_CS_POLARITY =
  {
    RSMXO_ATTR_PROTOCOL_SPI_CS_POLARITY,
    "Protocol SPI CS Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPILinePolarity, NULL, NULL,
    "SBUS{SerialBus}:SPI:CSEL:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_SPI_LINE_POLARITY_ACTIVE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_CS_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_SPI_CS_THRESHOLD,
    "Protocol SPI CS Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:CSEL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_CS_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_SPI_CS_HYSTERESIS,
    "Protocol SPI CS Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:CSEL:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_BIT_ORDER =
  {
    RSMXO_ATTR_PROTOCOL_SPI_BIT_ORDER,
    "Protocol SPI Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPIBitOrder, NULL, NULL,
    "SBUS{SerialBus}:SPI:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_SPI_BIT_ORDER_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_WORD_LENGTH =
  {
    RSMXO_ATTR_PROTOCOL_SPI_WORD_LENGTH,
    "Protocol SPI Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolSPIWordLength, NULL,
    "SBUS{SerialBus}:SPI:WSIZ",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FRAME_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FRAME_CONDITION,
    "Protocol SPI Frame Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPIFrameCondition, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_SPI_FRAME_CONDITION_CS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_TIMEOUT =
  {
    RSMXO_ATTR_PROTOCOL_SPI_TIMEOUT,
    "Protocol SPI Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FIELD,
    "Protocol SPI Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_SPI_SELECTED_ERROR,
    "Protocol SPI Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_ENABLED,
    "Protocol SPI Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_ENABLED,
    "Protocol SPI Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolSPIFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CHECK_ALL,
    "Protocol SPI Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CLEAR_ALL,
    "Protocol SPI Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_INVERTS_CURRENT_STATE,
    "Protocol SPI Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_FIELD_ENABLED,
    "Protocol SPI Filter Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_INDEX,
    "Protocol SPI Filter Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_INRANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_INDEX,
    "Protocol SPI Filter Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_INDEX,
    "Protocol SPI Filter End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_DATA,
    "Protocol SPI Filter Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_IN_RANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_DATA,
    "Protocol SPI Filter Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_DATA,
    "Protocol SPI Filter End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_CONDITION,
    "Protocol SPI Filter Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterCondition, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_ERROR_ENABLED,
    "Protocol SPI Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolSPIErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_SPI_FILTER_RESET,
    "Protocol SPI Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_TYPE,
    "Protocol SPI Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPITriggerType, NULL, NULL,
    "TRIG:SPI:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_SPI_TRIGGER_TYPE_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_SEARCH_MODE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_SEARCH_MODE,
    "Protocol SPI Trigger Search Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngTriggerSPISearchMode, NULL, NULL,
    "TRIG:SPI:PAL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRIGGER_SPI_SEARCH_MODE_WORD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA,
    "Protocol SPI Trigger Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataConditionOperator, NULL, NULL,
    "TRIG:SPI:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN =
  {
    RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN,
    "Protocol SPI Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:SPI:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_POSITION,
    "Protocol SPI Trigger Data Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:SPI:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_WORD =
  {
    RSMXO_ATTR_PROTOCOL_SPI_SELECTED_WORD,
    "Protocol SPI Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_STATE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_STATE,
    "Protocol SPI Results State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPIResultsState, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_START =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_START,
    "Protocol SPI Results Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_END =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_END,
    "Protocol SPI Results Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_START =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_START,
    "Protocol SPI Results Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_END =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_END,
    "Protocol SPI Results Word End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_COUNT,
    "Protocol SPI Results Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MOSI_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MOSI_VALUE,
    "Protocol SPI Results MOSI Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:MOSI?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MISO_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MISO_VALUE,
    "Protocol SPI Results MISO Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:MISO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MOSI =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MOSI,
    "Protocol SPI Results Formated MOSI",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:FMOS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MISO =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MISO,
    "Protocol SPI Results Formated MISO",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:FMIS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_BIT_RATE,
    "Protocol SPI Results Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA,
    "Protocol SPI Results Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA_WORD_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA_WORD_COUNT,
    "Protocol SPI Results Data Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPI:FRAM<Frame>:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_UART_SELECTED_FRAME,
    "Protocol UART Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_POLARITY =
  {
    RSMXO_ATTR_PROTOCOL_UART_POLARITY,
    "Protocol UART Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolUARTPolarity, NULL, NULL,
    "SBUS{SerialBus}:UART:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_UART_POLARITY_IDLE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RX_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_UART_RX_SOURCE,
    "Protocol UART RX Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:UART:RX:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RX_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_UART_RX_THRESHOLD,
    "Protocol UART RX Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:RX:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RX_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_UART_RX_HYSTERESIS,
    "Protocol UART RX Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:RX:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RX_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_UART_RX_POSITION,
    "Protocol UART RX Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:RX:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RX_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_UART_RX_SCALE,
    "Protocol UART RX Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:RX:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TX_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_UART_TX_SOURCE,
    "Protocol UART TX Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:UART:TX:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TX_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_UART_TX_THRESHOLD,
    "Protocol UART TX Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:TX:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TX_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_UART_TX_HYSTERESIS,
    "Protocol UART TX Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:TX:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TX_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_UART_TX_POSITION,
    "Protocol UART TX Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:TX:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TX_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_UART_TX_SCALE,
    "Protocol UART TX Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:TX:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_BIT_ORDER =
  {
    RSMXO_ATTR_PROTOCOL_UART_BIT_ORDER,
    "Protocol UART Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolUARTBitOrder, NULL, NULL,
    "SBUS{SerialBus}:UART:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_UART_BIT_ORDER_LSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_UART_BIT_RATE,
    "Protocol UART Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProtocolUARTBitRate, NULL,
    "SBUS{SerialBus}:UART:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_DATA_BITS =
  {
    RSMXO_ATTR_PROTOCOL_UART_DATA_BITS,
    "Protocol UART Data Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolUARTDataBits, NULL,
    "SBUS{SerialBus}:UART:SSIZ",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_PARITY =
  {
    RSMXO_ATTR_PROTOCOL_UART_PARITY,
    "Protocol UART Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolUARTParity, NULL, NULL,
    "SBUS{SerialBus}:UART:PAR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_UART_PARITY_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_STOP_BITS =
  {
    RSMXO_ATTR_PROTOCOL_UART_STOP_BITS,
    "Protocol UART Stop Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolUARTStopBits, NULL, NULL,
    "SBUS{SerialBus}:UART:SBIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_UART_STOP_BITS_B1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TIMEOUT =
  {
    RSMXO_ATTR_PROTOCOL_UART_TIMEOUT,
    "Protocol UART Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:TOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_PACKETS =
  {
    RSMXO_ATTR_PROTOCOL_UART_PACKETS,
    "Protocol UART Packets",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolUARTPacket, NULL, NULL,
    "SBUS{SerialBus}:UART:PACK",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_UART_PACKET_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_END_WORD =
  {
    RSMXO_ATTR_PROTOCOL_UART_END_WORD,
    "Protocol UART End Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:EWOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_UART_SELECTED_FIELD,
    "Protocol UART Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_UART_SELECTED_ERROR,
    "Protocol UART Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_ENABLED,
    "Protocol UART Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolUARTFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CHECK_ALL,
    "Protocol UART Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CLEAR_ALL,
    "Protocol UART Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_INVERTS_CURRENT_STATE,
    "Protocol UART Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_FIELD_ENABLED,
    "Protocol UART Filter Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_INDEX,
    "Protocol UART Filter Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_INRANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_START_INDEX,
    "Protocol UART Filter Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_END_INDEX,
    "Protocol UART Filter End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_DATA,
    "Protocol UART Filter Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_START_DATA,
    "Protocol UART Filter Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_END_DATA,
    "Protocol UART Filter End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_CONDITION,
    "Protocol UART Filter Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterCondition, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_ERROR_ENABLED,
    "Protocol UART Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolUARTErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_UART_FILTER_RESET,
    "Protocol UART Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_UART_TRIGGER_TYPE,
    "Protocol UART Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngUARTTriggerType, NULL, NULL,
    "TRIG:UART:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_UART_TRIGGER_TYPE_START_BIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_UART_TRIGGER_SOURCE,
    "Protocol UART Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngUARTSource, NULL, NULL,
    "TRIG:UART:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_UART_SOURCE_TX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA,
    "Protocol UART Trigger Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataConditionOperator, NULL, NULL,
    "TRIG:UART:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_PATTERN =
  {
    RSMXO_ATTR_PROTOCOL_UART_TRIGGER_PATTERN,
    "Protocol UART Trigger Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:UART:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION,
    "Protocol UART Trigger Data Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:UART:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_UART_TRIGGER_OPERATOR,
    "Protocol UART Trigger Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataConditionOperator, NULL, NULL,
    "TRIG:UART:OPER",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_WORD =
  {
    RSMXO_ATTR_PROTOCOL_UART_SELECTED_WORD,
    "Protocol UART Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_WORD_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_WORD_COUNT,
    "Protocol UART Results Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_STATE =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_STATE,
    "Protocol UART Results State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolUARTWordState, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD<Word>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTWordRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_START =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_START,
    "Protocol UART Results Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_STOP =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_STOP,
    "Protocol UART Results Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_TX_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_TX_VALUE,
    "Protocol UART Results Tx Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD<Word>:TXV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_RX_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_RX_VALUE,
    "Protocol UART Results Rx Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD<Word>:RXV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_DATA_RATE =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_DATA_RATE,
    "Protocol UART Results Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD<Word>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_UART_RESULTS_SOURCE,
    "Protocol UART Results Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngUARTSource, NULL, NULL,
    "SBUS{SerialBus}:UART:WORD<Word>:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_UART_SOURCE_TX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolUARTWordRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FRAME,
    "Protocol CAN Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FIELD,
    "Protocol CAN Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SELECTED_ERROR,
    "Protocol CAN Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SOURCE,
    "Protocol CAN Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:CAN:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TYPE,
    "Protocol CAN Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANType, NULL, NULL,
    "SBUS{SerialBus}:CAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_TYPE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRANSCEIVER_MODE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRANSCEIVER_MODE,
    "Protocol CAN Transceiver Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolTransceiverMode, NULL, NULL,
    "SBUS{SerialBus}:CAN:TRCV",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_TRANSCEIVER_MODE_SIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SIC_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SIC_THRESHOLD,
    "Protocol CAN SIC Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:SIC:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FAST_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FAST_THRESHOLD,
    "Protocol CAN FAST Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FAST:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SIC_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SIC_HYSTERESIS,
    "Protocol CAN SIC Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:SIC:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FAST_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FAST_HYSTERESIS,
    "Protocol CAN FAST Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FAST:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_NOMINAL_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_NOMINAL_BIT_RATE,
    "Protocol CAN Nominal Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProtocolCANNominalBitRate, NULL,
    "SBUS{SerialBus}:CAN:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SAMPLE_POINT =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SAMPLE_POINT,
    "Protocol CAN Sample Point",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:SAMP",
    // Defaults I32, I64, Float, Bool, String
    66,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FD_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FD_BIT_RATE,
    "Protocol CAN FD Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProtocolCANFDBitRate, NULL,
    "SBUS{SerialBus}:CAN:FDAT:DBIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT,
    "Protocol CAN FD Sample Point",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProtocolCANFDSamplePoint, NULL,
    "SBUS{SerialBus}:CAN:FDAT:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    66,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_DECODED_FRAMES =
  {
    RSMXO_ATTR_PROTOCOL_CAN_DECODED_FRAMES,
    "Protocol CAN Decoded Frames",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_BITRATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_BITRATE,
    "Protocol CAN-XL Bitrate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolCANXLBitrate, NULL,
    "SBUS{SerialBus}:CAN:XDAT:DBIT",
    // Defaults I32, I64, Float, Bool, String
    10000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_SAMPLE_POINT =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_SAMPLE_POINT,
    "Protocol CAN-XL Sample Point",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolCANXLSamplePoint, NULL,
    "SBUS{SerialBus}:CAN:XDAT:SAMP",
    // Defaults I32, I64, Float, Bool, String
    66,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SHOW_SYMBOLS =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SHOW_SYMBOLS,
    "Protocol CAN Show Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SYMBOL_LIST_FILE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SYMBOL_LIST_FILE,
    "Protocol CAN Symbol List File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:NEWL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "home/storage/userData/Protocol/CAN.csv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_POSITION,
    "Protocol CAN Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SCALE,
    "Protocol CAN Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_ENABLED,
    "Protocol CAN Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_ENABLED,
    "Protocol CAN Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_FIELD_ENABLED,
    "Protocol CAN Filter Frame Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CHECK_ALL,
    "Protocol CAN Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CLEAR_ALL,
    "Protocol CAN Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_INVERTS_CURRENT_STATE,
    "Protocol CAN Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_ERROR_ENABLED,
    "Protocol CAN Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolCANErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_OPERATOR,
    "Protocol CAN Filter Field Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFieldOperator, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FIELD_OPERATOR_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_DATA_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_DATA_OPERATOR,
    "Protocol CAN Filter Field Data Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_DATA,
    "Protocol CAN Filter Field Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_DATA,
    "Protocol CAN Filter Field End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_INDEX_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_INDEX_OPERATOR,
    "Protocol CAN Filter Field Index Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_INDEX,
    "Protocol CAN Filter Field Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_INDEX,
    "Protocol CAN Filter Field End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_CAN_FILTER_RESET,
    "Protocol CAN Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_TYPE,
    "Protocol CAN Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCANTriggerType, NULL, NULL,
    "TRIG:CAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CAN_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    "Protocol CAN Trigger Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCANTriggerFrameType, NULL, NULL,
    "TRIG:CAN:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CAN_TRIGGER_FRAME_TYPE_CBFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_TYPE,
    "Protocol CAN Trigger Identifier Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCANTriggerIdentifierType, NULL, NULL,
    "TRIG:CAN:ITYP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CAN_TRIGGER_IDENTIFIER_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION,
    "Protocol CAN Trigger Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngConditionOperator, NULL, NULL,
    "TRIG:CAN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MINIMUM =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MINIMUM,
    "Protocol CAN Trigger Identifier Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MAXIMUM =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MAXIMUM,
    "Protocol CAN Trigger Identifier Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION,
    "Protocol CAN Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataConditionOperator, NULL, NULL,
    "TRIG:CAN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_MINIMUM =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_MINIMUM,
    "Protocol CAN Trigger Data Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_POSITION,
    "Protocol CAN Trigger Data Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:CAN:FDAT:DPOS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR_ENABLED,
    "Protocol CAN Trigger Checksum Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR_ENABLED,
    "Protocol CAN Trigger Form Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:FORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR_ENABLED,
    "Protocol CAN Trigger Bit Stuffing Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR_ENABLED,
    "Protocol CAN Trigger Ack Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:ACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR_ENABLED,
    "Protocol CAN Trigger Stuff Count Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:FDAT:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BRS =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BRS,
    "Protocol CAN Trigger BRS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterBit, NULL, NULL,
    "TRIG:CAN:FDAT:BRS",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_BIT_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ESI =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ESI,
    "Protocol CAN Trigger ESI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterBit, NULL, NULL,
    "TRIG:CAN:FDAT:ESI",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_BIT_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC,
    "Protocol CAN Trigger DLC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolCANTriggerDLC, NULL,
    "TRIG:CAN:DLC",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC_CONDITION,
    "Protocol CAN Trigger DLC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolTriggerDLCOperator, NULL, NULL,
    "TRIG:CAN:DLCC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_TRIGGER_DLC_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_TRIGGER_SEC =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_TRIGGER_SEC,
    "Protocol CAN-XL Trigger SEC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANXDataTriggerSEC, NULL, NULL,
    "TRIG:CAN:XDAT:SEC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CANX_DATA_TRIGGER_SEC_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_AF_TRIGGER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_AF_TRIGGER_CONDITION,
    "Protocol CAN-XL AF Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngXDataConditionOperator, NULL, NULL,
    "TRIG:CAN:XDAT:AF:COND",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_XDATA_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MAX =
  {
    RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MAX,
    "Hidden Protocol CAN-XL AF Trigger Max",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:XDAT:AF:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MIN =
  {
    RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MIN,
    "Hidden Protocol CAN-XL AF Trigger Min",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:XDAT:AF:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_SDT_TRIGGER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_SDT_TRIGGER_CONDITION,
    "Protocol CAN-XL SDT Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngXDataConditionOperator, NULL, NULL,
    "TRIG:CAN:XDAT:SDT:COND",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_XDATA_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MAX =
  {
    RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MAX,
    "Hidden Protocol CAN-XL SDT Trigger Max",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:XDAT:SDT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MIN =
  {
    RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MIN,
    "Hidden Protocol CAN-XL SDT Trigger Min",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:XDAT:SDT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_VCID_TRIGGER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_VCID_TRIGGER_CONDITION,
    "Protocol CAN-XL VCID Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngXDataConditionOperator, NULL, NULL,
    "TRIG:CAN:XDAT:VCID:COND",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_XDATA_CONDITION_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MAX =
  {
    RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MAX,
    "Hidden Protocol CAN-XL VCID Trigger Max",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:XDAT:VCID:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MIN =
  {
    RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MIN,
    "Hidden Protocol CAN-XL VCID Trigger Min",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:CAN:XDAT:VCID:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_BYTE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_SELECTED_BYTE,
    "Protocol CAN Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STATE,
    "Protocol CAN Results Frame State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANResultState, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_TYPE,
    "Protocol CAN Results Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANFrameType, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_START =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_START,
    "Protocol CAN Results Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapReal64_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STOP =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STOP,
    "Protocol CAN Results Frame Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapReal64_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_SYMBOL =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_SYMBOL,
    "Protocol CAN Results Frame Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:SYMB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_STATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_STATE,
    "Protocol CAN Results ID State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANResultState, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:IDST?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_TYPE,
    "Protocol CAN Results ID Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngCANTriggerIdentifierType, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:IDTY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_VALUE,
    "Protocol CAN Results ID Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:IDV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_STATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_STATE,
    "Protocol CAN Results ACK State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANResultState, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:ACKS?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_VALUE,
    "Protocol CAN Results ACK Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:ACKV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_STATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_STATE,
    "Protocol CAN Results Byte State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANResultState, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_VALUE,
    "Protocol CAN Results Byte Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_STATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_STATE,
    "Protocol CAN Results CRC State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANResultState, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:CSST?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_VALUE,
    "Protocol CAN Results CRC Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:CSV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_STATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_STATE,
    "Protocol CAN Results DLC State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANResultState, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:DLCS?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_RESULT_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_VALUE,
    "Protocol CAN Results DLC Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:DLCV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BIT_STUFFING_ERROR_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BIT_STUFFING_ERROR_POSITION,
    "Protocol CAN Results Bit Stuffing Error Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:BSEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapReal64_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FORM_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FORM_ERROR,
    "Protocol CAN Results Form Error",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolCANFormError, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:FERC?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_CAN_FORM_ERROR_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BYTES_NUMBER =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BYTES_NUMBER,
    "Protocol CAN Results Data Bytes Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:NDBY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA,
    "Protocol CAN Results Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapString_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_PATTERN_DATA =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_PATTERN_DATA,
    "Protocol CAN Results Pattern Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:PDAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapString_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA,
    "Protocol CAN Results Symbolic Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:SDAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapString_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA_EXPORT =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA_EXPORT,
    "Protocol CAN Results Symbolic Data Export",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:SDEX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapString_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_COUNT_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_COUNT_FIELD,
    "Protocol CAN Results Stuff Count Field",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:STUF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_BRS =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_BRS,
    "Protocol CAN Results Field BRS",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:FDAT<Field>:BRS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_ESI =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_ESI,
    "Protocol CAN Results Field ESI",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:FDAT<Field>:ESI?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAMES_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAMES_COUNT,
    "Protocol CAN Results Frames Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BIT_RATE,
    "Protocol CAN Results Data Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:DBIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_NOMINAL_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_NOMINAL_BIT_RATE,
    "Protocol CAN Results Nominal Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:NBIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_BIT_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_BIT_COUNT,
    "Protocol CAN Results Stuff Bit Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:SBC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_ACCEPTANCE =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_ACCEPTANCE,
    "Protocol CAN-XL Results Field Acceptance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:XDAT<Field>:AF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapReal64_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_PCRC =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_PCRC,
    "Protocol CAN-XL Results Field PCRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:XDAT<Field>:PCRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SBC =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SBC,
    "Protocol CAN-XL Results Field SBC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:XDAT<Field>:SBC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SERVICE_DATA_UNIT =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SERVICE_DATA_UNIT,
    "Protocol CAN-XL Results Field Service Data Unit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:XDAT<Field>:SDT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SEC =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SEC,
    "Protocol CAN-XL Results Field SEC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:XDAT<Field>:SEC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_VCID =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_VCID,
    "Protocol CAN-XL Results Field VCID",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:XDAT<Field>:VCID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_FRAME_CRC =
  {
    RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_FRAME_CRC,
    "Protocol CAN-XL Results Field Frame CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:CAN:FRAM<Frame>:XDAT<Field>:FCRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_STANDARD =
  {
    RSMXO_ATTR_PROTOCOL_LIN_STANDARD,
    "Protocol LIN Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINStandard, NULL, NULL,
    "SBUS{SerialBus}:LIN:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_LIN_STANDARD_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_SOURCE,
    "Protocol LIN Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:LIN:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_LIN_THRESHOLD,
    "Protocol LIN Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_LIN_HYSTERESIS,
    "Protocol LIN Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:DATA:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_POLARITY =
  {
    RSMXO_ATTR_PROTOCOL_LIN_POLARITY,
    "Protocol LIN Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINPolarity, NULL, NULL,
    "SBUS{SerialBus}:LIN:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_LIN_POLARITY_IDLE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_BIT_RATE,
    "Protocol LIN Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProtocolLINBitRate, NULL,
    "SBUS{SerialBus}:LIN:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9600,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_LIN_POSITION,
    "Protocol LIN Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_SCALE,
    "Protocol LIN Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FRAME,
    "Protocol LIN Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FIELD,
    "Protocol LIN Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_LIN_SELECTED_ERROR,
    "Protocol LIN Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_ENABLED,
    "Protocol LIN Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolLINFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CHECK_ALL,
    "Protocol LIN Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CLEAR_ALL,
    "Protocol LIN Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_INVERTS_CURRENT_STATE,
    "Protocol LIN Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_ENABLED,
    "Protocol LIN Filter Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_OPERATOR,
    "Protocol LIN Filter Field Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFieldOperator, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FIELD_OPERATOR_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_DATA_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_DATA_OPERATOR,
    "Protocol LIN Filter Field Data Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_DATA,
    "Protocol LIN Filter Field Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_DATA,
    "Protocol LIN Filter Field End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_INDEX_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_INDEX_OPERATOR,
    "Protocol LIN Filter Field Index Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_INDEX,
    "Protocol LIN Filter Field End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_INDEX,
    "Protocol LIN Filter Field Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolLINFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_ERROR_ENABLED,
    "Protocol LIN Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolLINErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_LIN_FILTER_RESET,
    "Protocol LIN Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_TYPE,
    "Protocol LIN Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINTriggerType, NULL, NULL,
    "TRIG:LIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_LIN_TRIGGER_TYPE_SYNC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_PARITY_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_PARITY_ERROR_ENABLED,
    "Protocol LIN Trigger Parity Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:LIN:IPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR_ENABLED,
    "Protocol LIN Trigger Sync Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:LIN:SYER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR_ENABLED,
    "Protocol LIN Trigger Checksum Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:LIN:CHKS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR,
    "Protocol LIN Trigger Data Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINTriggerDataOperator, NULL, NULL,
    "TRIG:LIN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_DATA_PATTERN =
  {
    RSMXO_ATTR_PROTOCOL_LIN_DATA_PATTERN,
    "Protocol LIN Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:LIN:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_DATA_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_LIN_DATA_POSITION,
    "Protocol LIN Data Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolLINDataPosition, NULL,
    "TRIG:LIN:DPOS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER,
    "Protocol LIN Trigger Identifier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINTriggerIdentifier, NULL, NULL,
    "TRIG:LIN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_LIN_TRIGGER_IDENTIFIER_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MIN =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MIN,
    "Protocol LIN Trigger Frame ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:LIN:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MAX =
  {
    RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MAX,
    "Protocol LIN Trigger Frame ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG:LIN:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatHexString_ReadCallback,
    rsmxo_FormatHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_BYTE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_SELECTED_BYTE,
    "Protocol LIN Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_COUNT,
    "Protocol LIN Results Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_STATE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_STATE,
    "Protocol LIN Results Frame State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINFrameState, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_LIN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_START =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_START,
    "Protocol LIN Results Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_END =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_END,
    "Protocol LIN Results Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_DATA =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_DATA,
    "Protocol LIN Results Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "4,118,39,71,123",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BITRATE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BITRATE,
    "Protocol LIN Results Frame Bitrate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_CHECKSUM =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_CHECKSUM,
    "Protocol LIN Results Frame Checksum",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:CSV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID,
    "Protocol LIN Results Frame ID",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:IDV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_STATE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_STATE,
    "Protocol LIN Results Frame ID State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINFrameIDState, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:IDST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_PARITY =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_PARITY,
    "Protocol LIN Results Frame ID Parity",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:IDPV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_PROTECTED_IDENTIFIER =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_PROTECTED_IDENTIFIER,
    "Protocol LIN Results Frame Protected Identifier",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:PID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_COUNT,
    "Protocol LIN Results Frame Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_STATE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_STATE,
    "Protocol LIN Results Frame Byte State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolLINByteState, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_LIN_BYTE_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_VALUE,
    "Protocol LIN Results Frame Byte Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_FORMATTED_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_FORMATTED_VALUE,
    "Protocol LIN Results Frame Byte Formatted Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:FVAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "B3h",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameByteRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_LABEL =
  {
    RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_LABEL,
    "Protocol LIN Results Frame Byte Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:LAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K520",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolLINFrameByteRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FRAME,
    "Protocol SPMI Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_USE_GSID =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_USE_GSID,
    "Protocol SPMI Use GSID",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:GSID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_GSID =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_GSID,
    "Protocol SPMI GSID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolSPMIGSID, NULL,
    "SBUS{SerialBus}:SPMI:GIDV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_USE_GLITCH_FILTER =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_USE_GLITCH_FILTER,
    "Protocol SPMI Use Glitch Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:GTCH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_GLITCH_FILTER_WIDTH =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_GLITCH_FILTER_WIDTH,
    "Protocol SPMI Glitch Filter Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngProtocolSPMIGlitchFilterWidth, NULL,
    "SBUS{SerialBus}:SPMI:GTWD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_HYSTERESIS,
    "Protocol SPMI Clock Line Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:SCLK:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_SOURCE,
    "Protocol SPMI Clock Line Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:SPMI:SCLK:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_THRESHOLD,
    "Protocol SPMI Clock Line Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:SCLK:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_HYSTERESIS,
    "Protocol SPMI Source Data Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:SDAT:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_SOURCE,
    "Protocol SPMI Source Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:SPMI:SDAT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_THRESHOLD =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_THRESHOLD,
    "Protocol SPMI Source Data Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:SDAT:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_POSITION,
    "Protocol SPMI Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_SCALE,
    "Protocol SPMI Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FIELD,
    "Protocol SPMI Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_ERROR,
    "Protocol SPMI Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_ENABLED,
    "Protocol SPMI Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CHECK_ALL,
    "Protocol SPMI Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CLEAR_ALL,
    "Protocol SPMI Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INVERTS_CURRENT_STATE,
    "Protocol SPMI Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FIELD_ENABLED,
    "Protocol SPMI Filter Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INDEX,
    "Protocol SPMI Filter Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_INRANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_INDEX,
    "Protocol SPMI Filter Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_INDEX,
    "Protocol SPMI Filter End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_DATA,
    "Protocol SPMI Filter Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_IN_RANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_DATA,
    "Protocol SPMI Filter Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_DATA,
    "Protocol SPMI Filter End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_CONDITION,
    "Protocol SPMI Filter Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterCondition, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_ERROR_ENABLED,
    "Protocol SPMI Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolSPMIErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_FILTER_RESET,
    "Protocol SPMI Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_STATE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_STATE,
    "Protocol SPMI Results State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPMIResultsState, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_START =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_START,
    "Protocol SPMI Results Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_END =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_END,
    "Protocol SPMI Results Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_READ_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_READ_BIT_RATE,
    "Protocol SPMI Results Frame Read Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:RBR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_WRITE_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_WRITE_BIT_RATE,
    "Protocol SPMI Results Frame Write Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:WBR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_ADDRESS,
    "Protocol SPMI Results Frame Address",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:SA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_TYPE,
    "Protocol SPMI Results Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPMIResultsFrameType, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_ADDRESS,
    "Protocol SPMI Results Address",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolAddress, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:ADDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_BC =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_BC,
    "Protocol SPMI Results BC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolBC, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:BC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_DATA =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_DATA,
    "Protocol SPMI Results Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FD_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FD_COUNT,
    "Protocol SPMI Results FD Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:FDC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_FORMATED_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_FORMATED_VALUE,
    "Protocol SPMI Results Frame Formated Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:FLD<Field>:FVAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_LABEL =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_LABEL,
    "Protocol SPMI Results Frame Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:FLD<Field>:LAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_STATE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_STATE,
    "Protocol SPMI Results Frame State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPMIResultsState, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:FLD<Field>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_VALUE,
    "Protocol SPMI Results Frame Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:SPMI:FRAM<Frame>:FLD<Field>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameFieldRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FRAME,
    "Protocol TNOS Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_HYSTERESIS =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_HYSTERESIS,
    "Protocol TNOS Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_POSITION,
    "Protocol TNOS Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SCALE,
    "Protocol TNOS Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SOURCE,
    "Protocol TNOS Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:TNOS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SHOW_SYMBOLS =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SHOW_SYMBOLS,
    "Protocol TNOS Show Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FRAME_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FRAME_COUNT,
    "Protocol TNOS Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SYMBOL_LIST_FILE_LOAD =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SYMBOL_LIST_FILE_LOAD,
    "Protocol TNOS Symbol List File Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:NEWL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_LOWER =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_LOWER,
    "Protocol TNOS Threshold Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_UPPER =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_UPPER,
    "Protocol TNOS Threshold Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:THR:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FIELD,
    "Protocol TNOS Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_ERROR,
    "Protocol TNOS Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_ENABLED,
    "Protocol TNOS Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_CONDITION,
    "Protocol TNOS Filter Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterCondition, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CHECK_ALL,
    "Protocol TNOS Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CLEAR_ALL,
    "Protocol TNOS Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INVERTS_CURRENT_STATE,
    "Protocol TNOS Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FIELD_ENABLED,
    "Protocol TNOS Filter Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INDEX,
    "Protocol TNOS Filter Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_INRANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_INDEX,
    "Protocol TNOS Filter Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_INDEX,
    "Protocol TNOS Filter End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_DATA,
    "Protocol TNOS Filter Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_IN_RANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_DATA,
    "Protocol TNOS Filter Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_DATA,
    "Protocol TNOS Filter End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolTNOSFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_ERROR_ENABLED,
    "Protocol TNOS Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolTNOSErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_FILTER_RESET,
    "Protocol TNOS Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_BYTE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_BYTE,
    "Protocol TNOS Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_STATE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_STATE,
    "Protocol TNOS Results State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSPMIResultsState, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_START =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_START,
    "Protocol TNOS Results Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_END =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_END,
    "Protocol TNOS Results Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_TYPE,
    "Protocol TNOS Results Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolTNOSResultsFrameType, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_TNOS_RESULTS_FRAME_TYPE_UNKNOWN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_COUNT,
    "Protocol TNOS Results Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BIT_RATE,
    "Protocol TNOS Results Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BYTE_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BYTE_COUNT,
    "Protocol TNOS Results Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:BCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_COUNT,
    "Protocol TNOS Results Frame Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:BYTE<Byte>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_STATE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_STATE,
    "Protocol TNOS Results Frame Byte State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolTNOSByteState, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_VALUE,
    "Protocol TNOS Results Frame Byte Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_FORMATTED_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_FORMATTED_VALUE,
    "Protocol TNOS Results Frame Byte Formatted Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:BYTE<Byte>:FVAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "B3h",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameByteRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_LABEL =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_LABEL,
    "Protocol TNOS Results Frame Byte Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:BYTE<Byte>:LAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameByteRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_DATA =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_DATA,
    "Protocol TNOS Results Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_CRC =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_CRC,
    "Protocol TNOS Results Frame CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:CRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_ADDRESS,
    "Protocol TNOS Results Frame Destination Address",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:DTAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_SYMBOL =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_SYMBOL,
    "Protocol TNOS Results Frame Destination Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:DTSY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_CRC =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_CRC,
    "Protocol TNOS Results Frame Formated CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:FCRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DATA =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DATA,
    "Protocol TNOS Results Frame Formated Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:FDAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS,
    "Protocol TNOS Results Frame Formated Destination Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:FDT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_SRC_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_SRC_ADDRESS,
    "Protocol TNOS Results Frame Formated SRC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:FSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_TYPE_LENGTH =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_TYPE_LENGTH,
    "Protocol TNOS Results Frame Formated Type Length",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:FTPL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_ADDRESS,
    "Protocol TNOS Results Source Address",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:SRAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_SYMBOL =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_SYMBOL,
    "Protocol TNOS Results Source Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:SRSY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_TYPE_LENGTH =
  {
    RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_TYPE_LENGTH,
    "Protocol TNOS Results Type Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:TNOS:FRAM<Frame>:TPL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolTNOSFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FRAME =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FRAME,
    "Protocol HBTO Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_MODE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_MODE,
    "Protocol HBTO Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolHBTOMode, NULL, NULL,
    "SBUS{SerialBus}:HBTO:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_HBTO_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_POLARITY =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_POLARITY,
    "Protocol HBTO Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolHBTOPolarity, NULL, NULL,
    "SBUS{SerialBus}:HBTO:POL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_HBTO_POLARITY_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_POSITION =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_POSITION,
    "Protocol HBTO Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SCALE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SCALE,
    "Protocol HBTO Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K550",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SOURCE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SOURCE,
    "Protocol HBTO Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolSource, NULL, NULL,
    "SBUS{SerialBus}:HBTO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SHOW_SYMBOLS =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SHOW_SYMBOLS,
    "Protocol HBTO Show Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FRAME_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FRAME_COUNT,
    "Protocol HBTO Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SYMBOL_LIST_FILE_LOAD =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SYMBOL_LIST_FILE_LOAD,
    "Protocol HBTO Symbol List File Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:NEWL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FIELD =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FIELD,
    "Protocol HBTO Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_ERROR =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_ERROR,
    "Protocol HBTO Selected Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_ENABLED,
    "Protocol HBTO Filter Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_CONDITION =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_CONDITION,
    "Protocol HBTO Filter Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterCondition, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_CONDITION_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CHECK_ALL =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CHECK_ALL,
    "Protocol HBTO Filter Frame Check All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:CHK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CLEAR_ALL =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CLEAR_ALL,
    "Protocol HBTO Filter Frame Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INVERTS_CURRENT_STATE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INVERTS_CURRENT_STATE,
    "Protocol HBTO Filter Inverts Current State",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FIELD_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FIELD_ENABLED,
    "Protocol HBTO Filter Field Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INDEX,
    "Protocol HBTO Filter Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolFilterIndexOperator, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_FILTER_INDEX_OPERATOR_INRANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_INDEX,
    "Protocol HBTO Filter Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_INDEX =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_INDEX,
    "Protocol HBTO Filter End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngProtocolFilterIndex, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_DATA =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_DATA,
    "Protocol HBTO Filter Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProcotolFilterDataOperator, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROCOTOL_FILTER_DATA_OPERATOR_IN_RANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_DATA =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_DATA,
    "Protocol HBTO Filter Start Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_DATA =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_DATA,
    "Protocol HBTO Filter End Data",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameFieldRepCapHexString_ReadCallback,
    rsmxo_FormatProtocolHBTOFrameFieldRepCapHexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_ERROR_ENABLED =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_ERROR_ENABLED,
    "Protocol HBTO Filter Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:ERR<Error>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOErrorRepCapBoolean_ReadCallback,
    rsmxo_FormatProtocolHBTOErrorRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_RESET =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_FILTER_RESET,
    "Protocol HBTO Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FILT:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_BYTE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_BYTE,
    "Protocol HBTO Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_STATE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_STATE,
    "Protocol HBTO Results State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolHBTOResultsState, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_START =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_START,
    "Protocol HBTO Results Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_END =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_END,
    "Protocol HBTO Results Frame End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_TYPE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_TYPE,
    "Protocol HBTO Results Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolHBTOFrameType, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_COUNT,
    "Protocol HBTO Results Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BIT_RATE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BIT_RATE,
    "Protocol HBTO Results Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BYTE_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BYTE_COUNT,
    "Protocol HBTO Results Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:BCO?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_COUNT =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_COUNT,
    "Protocol HBTO Results Frame Byte Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:BYTE<Byte>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_STATE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_STATE,
    "Protocol HBTO Results Frame Byte State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngProtocolTNOSByteState, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_TNOS_BYTE_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_VALUE,
    "Protocol HBTO Results Frame Byte Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_FORMATTED_VALUE =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_FORMATTED_VALUE,
    "Protocol HBTO Results Frame Byte Formatted Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:BYTE<Byte>:FVAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "B3h",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameByteRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_LABEL =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_LABEL,
    "Protocol HBTO Results Frame Byte Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:BYTE<Byte>:LAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameByteRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_DATA =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_DATA,
    "Protocol HBTO Results Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_CRC =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_CRC,
    "Protocol HBTO Results Frame CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:CRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_ADDRESS,
    "Protocol HBTO Results Frame Destination Address",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:DTAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_SYMBOL =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_SYMBOL,
    "Protocol HBTO Results Frame Destination Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:DTSY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_CRC =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_CRC,
    "Protocol HBTO Results Frame Formated CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:FCRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DATA =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DATA,
    "Protocol HBTO Results Frame Formated Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:FDAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS,
    "Protocol HBTO Results Frame Formated Destination Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:FDT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_SRC_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_SRC_ADDRESS,
    "Protocol HBTO Results Frame Formated SRC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:FSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_TYPE_LENGTH =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_TYPE_LENGTH,
    "Protocol HBTO Results Frame Formated Type Length",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:FTPL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_ADDRESS =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_ADDRESS,
    "Protocol HBTO Results Source Address",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:SRAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_SYMBOL =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_SYMBOL,
    "Protocol HBTO Results Source Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:SRSY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_TYPE_LENGTH =
  {
    RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_TYPE_LENGTH,
    "Protocol HBTO Results Type Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:HBTO:FRAM<Frame>:TPL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K560",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatProtocolHBTOFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_EXPORT_SAVE =
  {
    RSMXO_ATTR_PROTOCOL_EXPORT_SAVE,
    "Protocol Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:EXPR:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "protocolResultsTest",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_TIMING =
  {
    RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_TIMING,
    "Protocol Export Include Timing",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:EXPR:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_DETAILS =
  {
    RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_DETAILS,
    "Protocol Export Include Details",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:EXPR:DET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_EXPORT_EXTENSION =
  {
    RSMXO_ATTR_PROTOCOL_EXPORT_EXTENSION,
    "Protocol Export Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngProtocolExportExtension, NULL, NULL,
    "SBUS{SerialBus}:EXPR:EXT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_PROTOCOL_EXPORT_EXTENSION_HTML,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROTOCOL_EXPORT_PATH =
  {
    RSMXO_ATTR_PROTOCOL_EXPORT_PATH,
    "Protocol Export Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SBUS{SerialBus}:EXPR:PATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/home/storage/userData/Protocol",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K510",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_STATE =
  {
    RSMXO_ATTR_LOGIC_STATE,
    "Logic State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PBUS{Logic}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_SHOW_DIGITAL_SIGNALS =
  {
    RSMXO_ATTR_LOGIC_SHOW_DIGITAL_SIGNALS,
    "Logic Show Digital Signals",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PBUS{Logic}:DISP:SHDI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_TECHNOLOGY =
  {
    RSMXO_ATTR_LOGIC_TECHNOLOGY,
    "Logic Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngLogicTechnology, NULL, NULL,
    "PBUS{Logic}:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_LOGIC_TECHNOLOGY_V165,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_LEVEL_COUPLING =
  {
    RSMXO_ATTR_LOGIC_LEVEL_COUPLING,
    "Logic Level Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PBUS{Logic}:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_SKEW =
  {
    RSMXO_ATTR_LOGIC_SKEW,
    "Logic Skew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PBUS{Logic}:SKEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_CLEAR =
  {
    RSMXO_ATTR_LOGIC_CLEAR,
    "Logic Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PBUS{Logic}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BUS_SHOW =
  {
    RSMXO_ATTR_LOGIC_BUS_SHOW,
    "Logic Bus Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PBUS{Logic}:DISP:SHBU",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BUS_DATA_FORMAT =
  {
    RSMXO_ATTR_LOGIC_BUS_DATA_FORMAT,
    "Logic Bus Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataFormat, NULL, NULL,
    "PBUS{Logic}:DATA:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_DATA_FORMAT_HEX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_POSITION =
  {
    RSMXO_ATTR_LOGIC_POSITION,
    "Logic Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngLogicPosition, NULL,
    "PBUS{Logic}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_SIZE_OF_THE_DISPLAY =
  {
    RSMXO_ATTR_LOGIC_SIZE_OF_THE_DISPLAY,
    "Logic Size Of The Display",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngLogicSizeOfTheDisplay, NULL,
    "PBUS{Logic}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_VERTICAL_POSITION =
  {
    RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_VERTICAL_POSITION,
    "Logic Digital Channel Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PBUS{Logic}:DIGS:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_SIZE_OF_THE_DISPLAY =
  {
    RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_SIZE_OF_THE_DISPLAY,
    "Logic Digital Channel Size Of The Display",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngLogicDigitalChannelSizeOfTheDisplay, NULL,
    "PBUS{Logic}:DIGS:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6.25,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD =
  {
    RSMXO_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD,
    "Logic Channel Group Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PBUS{Logic}:THR{ChannelGroup}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS =
  {
    RSMXO_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS,
    "Logic Channel Group Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngLogicHysteresis, NULL, NULL,
    "PBUS{Logic}:HYST{ChannelGroup}",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_LOGIC_HYSTERESIS_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BIT_STATE =
  {
    RSMXO_ATTR_LOGIC_BIT_STATE,
    "Logic Bit State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PBUS{Logic}:BIT{BusWordBit}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BIT_LABEL =
  {
    RSMXO_ATTR_LOGIC_BIT_LABEL,
    "Logic Bit Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PBUS{Logic}:BIT{BusWordBit}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BIT_SKEW =
  {
    RSMXO_ATTR_LOGIC_BIT_SKEW,
    "Logic Bit Skew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PBUS{Logic}:BIT{BusWordBit}:SKEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_ENABLED =
  {
    RSMXO_ATTR_LOGIC_BUS_CLOCKED_ENABLED,
    "Logic Bus Clocked Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PBUS{ClockedLogic}:CLON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_SLOPE =
  {
    RSMXO_ATTR_LOGIC_BUS_CLOCKED_SLOPE,
    "Logic Bus Clocked Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngLogicClockedSlope, NULL, NULL,
    "PBUS{ClockedLogic}:CLSL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_LOGIC_CLOCKED_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_SOURCE =
  {
    RSMXO_ATTR_LOGIC_BUS_CLOCKED_SOURCE,
    "Logic Bus Clocked Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDigitalChannel, NULL, NULL,
    "PBUS{ClockedLogic}:CLOC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_DIGITAL_CHANNEL_D1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_CHANNEL_STATE =
  {
    RSMXO_ATTR_DIGITAL_CHANNEL_STATE,
    "Digital Channel State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_CHANNEL_TECHNOLOGY =
  {
    RSMXO_ATTR_DIGITAL_CHANNEL_TECHNOLOGY,
    "Digital Channel Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngLogicTechnology, NULL, NULL,
    "DIG{DigitalChannel}:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_LOGIC_TECHNOLOGY_V25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_CHANNEL_SKEW =
  {
    RSMXO_ATTR_DIGITAL_CHANNEL_SKEW,
    "Digital Channel Skew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:SKEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_CHANNEL_LABEL =
  {
    RSMXO_ATTR_DIGITAL_CHANNEL_LABEL,
    "Digital Channel Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_CHANNEL_SIZE =
  {
    RSMXO_ATTR_DIGITAL_CHANNEL_SIZE,
    "Digital Channel Size",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:SIZE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_CHANNEL_TH_COUPLING =
  {
    RSMXO_ATTR_DIGITAL_CHANNEL_TH_COUPLING,
    "Digital Channel TH Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_CHANNEL_THRESHOLD =
  {
    RSMXO_ATTR_DIGITAL_CHANNEL_THRESHOLD,
    "Digital Channel Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_DECODE_TABLE_SHOW =
  {
    RSMXO_ATTR_LOGIC_DECODE_TABLE_SHOW,
    "Logic Decode Table Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PBUS{Logic}:DECT:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_DECODE_TABLE_NUMBER_OF_ROWS =
  {
    RSMXO_ATTR_LOGIC_DECODE_TABLE_NUMBER_OF_ROWS,
    "Logic Decode Table Number Of Rows",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "PBUS{Logic}:DECT:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_LOGIC_DECODE_TABLE_DATA =
  {
    RSMXO_ATTR_HIDDEN_LOGIC_DECODE_TABLE_DATA,
    "Hidden Logic Decode Table Data",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "PBUS{Logic}:DECT:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AUTOSCALE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AUTOSCALE,
    "Frequency Response Analysis Autoscale",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_START =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_START,
    "Frequency Response Analysis Calibration Start",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FRAN:CAL:CAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT,
    "Frequency Response Analysis Calibration Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisCalibrationResult, NULL, NULL,
    "FRAN:CAL:RES?",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT_NOAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_STATE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_STATE,
    "Frequency Response Analysis Calibration State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:CAL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_ENABLED =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_ENABLED,
    "Frequency Response Analysis Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GENERATOR =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GENERATOR,
    "Frequency Response Analysis Generator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngGenerator, NULL, NULL,
    "FRAN:GEN",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_GENERATOR1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_INPUT =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_INPUT,
    "Frequency Response Analysis Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisInputOutput, NULL, NULL,
    "FRAN:INP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_OUTPUT =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_OUTPUT,
    "Frequency Response Analysis Output",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisInputOutput, NULL, NULL,
    "FRAN:OUTP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_INPUT_OUTPUT_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_START =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_START,
    "Frequency Response Analysis Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_STOP =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_STOP,
    "Frequency Response Analysis Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_MODE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_MODE,
    "Frequency Response Analysis Points Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisPointsMode, NULL, NULL,
    "FRAN:POIN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_POINTS_MODE_DECADE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_TOTAL =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_TOTAL,
    "Frequency Response Analysis Points Total",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "FRAN:POIN:TOT",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_LOGARITHMIC =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_LOGARITHMIC,
    "Frequency Response Analysis Points Logarithmic",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "FRAN:POIN:LOG",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_USER_LOAD =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_USER_LOAD,
    "Frequency Response Analysis User Load",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisUserGeneratorLoad, NULL, NULL,
    "FRAN:GEN:LOAD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_USER_GENERATOR_LOAD_FIFTY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_MODE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_MODE,
    "Frequency Response Analysis Amplitude Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisAmplitudeMode, NULL, NULL,
    "FRAN:AMPL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_MODE_CONSTANT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE,
    "Frequency Response Analysis Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:GEN:AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_REPEAT =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_REPEAT,
    "Frequency Response Analysis Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:REP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RESET =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RESET,
    "Frequency Response Analysis Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FRAN:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RUN =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RUN,
    "Frequency Response Analysis Run",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisMeasurement, NULL, NULL,
    "FRAN:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_MEASUREMENT_RUN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MAXIMUM_PHASE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MAXIMUM_PHASE,
    "Frequency Response Analysis Maximum Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngDegrees, NULL,
    "FRAN:PHAS:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    180,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MEASUREMENT_DELAY_ENABLED =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MEASUREMENT_DELAY_ENABLED,
    "Frequency Response Analysis Measurement Delay Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:MEAS:DEL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DELAY_TIME =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DELAY_TIME,
    "Frequency Response Analysis Delay Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MEAS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RBW =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RBW,
    "Frequency Response Analysis RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisRBW, NULL, NULL,
    "FRAN:MEAS:RBW",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_RBW_MEDIUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SELECTED_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT =
  {
    RSMXO_ATTR_SELECTED_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT,
    "Selected Frequency Response Analysis Amplitude Profile Point",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT_COUNT =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT_COUNT,
    "Frequency Response Analysis Amplitude Profile Point Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "FRAN:AMPL:PROF:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_ADD =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_ADD,
    "Frequency Response Analysis Amplitude Profile Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FRAN:AMPL:PROF:APO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_DELETE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_DELETE,
    "Frequency Response Analysis Amplitude Profile Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FRAN:AMPL:PROF:POIN<AmplitudePoint>:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    rsmxo_FormatFRANAmplitudePointRepCapAction_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_SORT =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_SORT,
    "Frequency Response Analysis Amplitude Profile Sort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FRAN:AMPL:PROF:SORT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_AMPLITUDE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_AMPLITUDE,
    "Frequency Response Analysis Amplitude Profile Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:AMPL:PROF:POIN<AmplitudePoint>:AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatFRANAmplitudePointRepCapReal64_ReadCallback,
    rsmxo_FormatFRANAmplitudePointRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_FREQUENCY =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_FREQUENCY,
    "Frequency Response Analysis Amplitude Profile Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:AMPL:PROF:POIN<AmplitudePoint>:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    rsmxo_FormatFRANAmplitudePointRepCapReal64_ReadCallback,
    rsmxo_FormatFRANAmplitudePointRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_VOLTAGE_CHANGE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_VOLTAGE_CHANGE,
    "Frequency Response Analysis Amplitude Profile Voltage Change",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngFrequencyResponseAnalysisAmplitudeProfileVoltageChange, NULL, NULL,
    "FRAN:AMPL:PROF:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_VOLTAGE_CHANGE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_POINTS =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_POINTS,
    "Frequency Response Analysis Display Points",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:MEAS:POIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_RESULT_TABLE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_RESULT_TABLE,
    "Frequency Response Analysis Display Result Table",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:RES:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARKERS =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARKERS,
    "Frequency Response Analysis Display Markers",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:MARK:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARGIN =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARGIN,
    "Frequency Response Analysis Display Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:MARG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_ENABLED =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_ENABLED,
    "Frequency Response Analysis Gain Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:GAIN:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_SCALE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_SCALE,
    "Frequency Response Analysis Gain Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:GAIN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_OFFSET =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_OFFSET,
    "Frequency Response Analysis Gain Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:GAIN:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_ENABLED =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_ENABLED,
    "Frequency Response Analysis Phase Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:PHAS:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_SCALE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_SCALE,
    "Frequency Response Analysis Phase Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngFrequencyResponseAnalysisPhaseVerticalScale, NULL,
    "FRAN:PHAS:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    36,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_OFFSET =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_OFFSET,
    "Frequency Response Analysis Phase Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:PHAS:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_ENABLED =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_ENABLED,
    "Frequency Response Analysis Amplitude Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FRAN:AMPL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_SCALE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_SCALE,
    "Frequency Response Analysis Amplitude Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:AMPL:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_OFFSET =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_OFFSET,
    "Frequency Response Analysis Amplitude Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:AMPL:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_FREQUENCY =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_FREQUENCY,
    "Frequency Response Analysis Gain Margin Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MARG:GAIN:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_VALUE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_VALUE,
    "Frequency Response Analysis Gain Margin Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MARG:GAIN:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_FREQUENCY =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_FREQUENCY,
    "Frequency Response Analysis Phase Margin Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MARG:PHAS:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_VALUE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_VALUE,
    "Frequency Response Analysis Phase Margin Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MARG:PHAS:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_DATA =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_DATA,
    "Frequency Response Analysis Gain Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FRAN:GAIN:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_DATA =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_DATA,
    "Frequency Response Analysis Phase Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FRAN:PHAS:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_FREQUENCY_DATA =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_FREQUENCY_DATA,
    "Frequency Response Analysis Frequency Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FRAN:FREQ:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_PHASE =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_PHASE,
    "Frequency Response Analysis Marker Phase",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MARK{FRAMarker}:PHAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_FREQUENCY =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_FREQUENCY,
    "Frequency Response Analysis Marker Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MARK{FRAMarker}:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_GAIN =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_GAIN,
    "Frequency Response Analysis Marker Gain",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FRAN:MARK{FRAMarker}:GAIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_RESET =
  {
    RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_RESET,
    "Frequency Response Analysis Marker Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FRAN:MARK{FRAMarker}:SSCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_ENABLED =
  {
    RSMXO_ATTR_POWER_ANALYSIS_ENABLED,
    "Power Analysis Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_TYPE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_TYPE,
    "Power Analysis Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisType, NULL, NULL,
    "POW{PowerAnalysis}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_TYPE_QUALITY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_AUTO_DESKEW_ADJUSTMENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_AUTO_DESKEW_ADJUSTMENT,
    "Power Analysis Auto Deskew Adjustment",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:ASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_EXPORT_RESULTS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_EXPORT_RESULTS,
    "Power Analysis Export Results",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:RES:SEL:POW{PowerAnalysis}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_CURRENT_SOURCE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_CURRENT_SOURCE,
    "Power Analysis Quality Current Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisSource, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:SOUR:CURR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_VOLTAGE_SOURCE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_VOLTAGE_SOURCE,
    "Power Analysis Quality Voltage Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisSource, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY,
    "Power Analysis Quality Fundamental Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisQualityFrequency, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_QUALITY_FREQUENCY_F50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY_USER =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY_USER,
    "Power Analysis Quality Fundamental Frequency User",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngPowerAnalysisQualityFundamentalFrequencyUser, NULL,
    "POW{PowerAnalysis}:QUAL:FREQ:USER",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_CURRENT,
    "Power Analysis Quality Results Current Crest Factor Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:CRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_AVERAGE,
    "Power Analysis Quality Results Current Crest Factor Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:CRES:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_NEGATIVE_PEAK,
    "Power Analysis Quality Results Current Crest Factor Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:CRES:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_POSITIVE_PEAK,
    "Power Analysis Quality Results Current Crest Factor Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:CRES:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_RMS,
    "Power Analysis Quality Results Current Crest Factor RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:CRES:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_STANDARD_DEVIATION,
    "Power Analysis Quality Results Current Crest Factor Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:CRES:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_CURRENT,
    "Power Analysis Quality Results Current Peak Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_AVERAGE,
    "Power Analysis Quality Results Current Peak Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_NEGATIVE_PEAK,
    "Power Analysis Quality Results Current Peak Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_POSITIVE_PEAK,
    "Power Analysis Quality Results Current Peak Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_RMS,
    "Power Analysis Quality Results Current Peak RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:PEAK:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_STANDARD_DEVIATION,
    "Power Analysis Quality Results Current Peak Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_CURRENT,
    "Power Analysis Quality Results Current RMS Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_AVERAGE,
    "Power Analysis Quality Results Current RMS Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:RMS:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_NEGATIVE_PEAK,
    "Power Analysis Quality Results Current RMS Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:RMS:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_POSITIVE_PEAK,
    "Power Analysis Quality Results Current RMS Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:RMS:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_RMS,
    "Power Analysis Quality Results Current RMS RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:RMS:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_STANDARD_DEVIATION,
    "Power Analysis Quality Results Current RMS Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:CURR:RMS:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_CURRENT,
    "Power Analysis Quality Results Power Apparent Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:APP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_AVERAGE,
    "Power Analysis Quality Results Power Apparent Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:APP:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_NEGATIVE_PEAK,
    "Power Analysis Quality Results Power Apparent Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:APP:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_POSITIVE_PEAK,
    "Power Analysis Quality Results Power Apparent Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:APP:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_RMS,
    "Power Analysis Quality Results Power Apparent RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:APP:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_STANDARD_DEVIATION,
    "Power Analysis Quality Results Power Apparent Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:APP:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_CURRENT,
    "Power Analysis Quality Results Power Factor Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PFAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_AVERAGE,
    "Power Analysis Quality Results Power Factor Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PFAC:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_NEGATIVE_PEAK,
    "Power Analysis Quality Results Power Factor Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PFAC:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_POSITIVE_PEAK,
    "Power Analysis Quality Results Power Factor Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PFAC:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_RMS,
    "Power Analysis Quality Results Power Factor RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PFAC:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_STANDARD_DEVIATION,
    "Power Analysis Quality Results Power Factor Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PFAC:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_CURRENT,
    "Power Analysis Quality Results Power Phase Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PHAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_AVERAGE,
    "Power Analysis Quality Results Power Phase Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PHAS:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_NEGATIVE_PEAK,
    "Power Analysis Quality Results Power Phase Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PHAS:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_POSITIVE_PEAK,
    "Power Analysis Quality Results Power Phase Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PHAS:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_RMS,
    "Power Analysis Quality Results Power Phase RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PHAS:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_STANDARD_DEVIATION,
    "Power Analysis Quality Results Power Phase Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PHAS:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_CURRENT,
    "Power Analysis Quality Results Power Reactive Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:REAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_AVERAGE,
    "Power Analysis Quality Results Power Reactive Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:REAC:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_NEGATIVE_PEAK,
    "Power Analysis Quality Results Power Reactive Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:REAC:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_POSITIVE_PEAK,
    "Power Analysis Quality Results Power Reactive Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:REAC:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_RMS,
    "Power Analysis Quality Results Power Reactive RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:REAC:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_STANDARD_DEVIATION,
    "Power Analysis Quality Results Power Reactive Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:REAC:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_CURRENT,
    "Power Analysis Quality Results Power Active Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:REAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_AVERAGE,
    "Power Analysis Quality Results Power Active Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_NEGATIVE_PEAK,
    "Power Analysis Quality Results Power Active Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_POSITIVE_PEAK,
    "Power Analysis Quality Results Power Active Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_RMS,
    "Power Analysis Quality Results Power Active RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_STANDARD_DEVIATION,
    "Power Analysis Quality Results Power Active Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:POW:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_CURRENT,
    "Power Analysis Quality Results Voltage Crest Factor Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:CRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_AVERAGE,
    "Power Analysis Quality Results Voltage Crest Factor Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:CRES:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_NEGATIVE_PEAK,
    "Power Analysis Quality Results Voltage Crest Factor Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:CRES:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_POSITIVE_PEAK,
    "Power Analysis Quality Results Voltage Crest Factor Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:CRES:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_RMS,
    "Power Analysis Quality Results Voltage Crest Factor RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:CRES:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_STANDARD_DEVIATION,
    "Power Analysis Quality Results Voltage Crest Factor Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:CRES:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_CURRENT,
    "Power Analysis Quality Results Voltage Frequency Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_AVERAGE,
    "Power Analysis Quality Results Voltage Frequency Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:FREQ:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_NEGATIVE_PEAK,
    "Power Analysis Quality Results Voltage Frequency Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:FREQ:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_POSITIVE_PEAK,
    "Power Analysis Quality Results Voltage Frequency Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:FREQ:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_RMS,
    "Power Analysis Quality Results Voltage Frequency RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:FREQ:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_STANDARD_DEVIATION,
    "Power Analysis Quality Results Voltage Frequency Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:FREQ:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_CURRENT,
    "Power Analysis Quality Results Voltage Peak Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_AVERAGE,
    "Power Analysis Quality Results Voltage Peak Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:PEAK:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_NEGATIVE_PEAK,
    "Power Analysis Quality Results Voltage Peak Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:PEAK:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_POSITIVE_PEAK,
    "Power Analysis Quality Results Voltage Peak Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:PEAK:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_RMS,
    "Power Analysis Quality Results Voltage Peak RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:PEAK:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_STANDARD_DEVIATION,
    "Power Analysis Quality Results Voltage Peak Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:PEAK:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_CURRENT,
    "Power Analysis Quality Results Voltage RMS Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_AVERAGE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_AVERAGE,
    "Power Analysis Quality Results Voltage RMS Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:RMS:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_NEGATIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_NEGATIVE_PEAK,
    "Power Analysis Quality Results Voltage RMS Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:RMS:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_POSITIVE_PEAK =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_POSITIVE_PEAK,
    "Power Analysis Quality Results Voltage RMS Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:RMS:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_RMS,
    "Power Analysis Quality Results Voltage RMS RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:RMS:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_STANDARD_DEVIATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_STANDARD_DEVIATION,
    "Power Analysis Quality Results Voltage RMS Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:RES:VOLT:RMS:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CURRENT_SOURCE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CURRENT_SOURCE,
    "Power Analysis Harmonics Current Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisSource, NULL, NULL,
    "POW{PowerAnalysis}:HARM:SOUR:CURR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_VOLTAGE_SOURCE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_VOLTAGE_SOURCE,
    "Power Analysis Harmonics Voltage Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisSource, NULL, NULL,
    "POW{PowerAnalysis}:HARM:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_STANDARD =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_STANDARD,
    "Power Analysis Harmonics Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisHarmonicsStandard, NULL, NULL,
    "POW{PowerAnalysis}:HARM:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_HARMONICS_STANDARD_ENA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN,
    "Power Analysis Harmonics Fundamental Frequency EN",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyEN, NULL, NULL,
    "POW{PowerAnalysis}:HARM:FREQ:EN",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_MIL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_MIL,
    "Power Analysis Harmonics Fundamental Frequency MIL",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyMIL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:FREQ:MIL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_MIL_F60,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA,
    "Power Analysis Harmonics Fundamental Frequency RTCA",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyRTCA, NULL, NULL,
    "POW{PowerAnalysis}:HARM:FREQ:RTCA",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA_F400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CLEAR_RESULTS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CLEAR_RESULTS,
    "Power Analysis Harmonics Clear Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:STAT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY,
    "Power Analysis Harmonics Display",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisHarmonicsDisplay, NULL, NULL,
    "POW{PowerAnalysis}:HARM:DISP:HARM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_HARMONICS_DISPLAY_STANDARD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_START =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_START,
    "Power Analysis Harmonics Display Frequency Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngPowerAnalysisHarmonicsDisplayFrequency, NULL,
    "POW{PowerAnalysis}:HARM:DISP:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_STOP =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_STOP,
    "Power Analysis Harmonics Display Frequency Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngPowerAnalysisHarmonicsDisplayFrequency, NULL,
    "POW{PowerAnalysis}:HARM:DISP:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_SCALING =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_SCALING,
    "Power Analysis Harmonics Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisHarmonicsScaling, NULL, NULL,
    "POW{PowerAnalysis}:HARM:DISP:BARG:VERT:SCAL:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_HARMONICS_SCALING_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MEASURED_HARMONICS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MEASURED_HARMONICS,
    "Power Analysis Harmonics Results Measured Harmonics",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:AVA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THDF =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THDF,
    "Power Analysis Harmonics Results THDF",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:MEAS:THDF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THD_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THD_RMS,
    "Power Analysis Harmonics Results THD RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:MEAS:THDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY_CURRENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY_CURRENT,
    "Power Analysis Harmonics Results Frequency Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:MEAS:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_REAL_POWER =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_REAL_POWER,
    "Power Analysis Harmonics Results Real Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:MEAS:REAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_VIOLATION =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_VIOLATION,
    "Power Analysis Harmonics Results Violation",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}:VIOL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY,
    "Power Analysis Harmonics Results Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_PERCENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_PERCENT,
    "Power Analysis Harmonics Results Magnitude Maximum Percent",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}:MAGN:PERC:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_PERCENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_PERCENT,
    "Power Analysis Harmonics Results Magnitude Minimum Percent",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}:MAGN:PERC:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_PERCENT =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_PERCENT,
    "Power Analysis Harmonics Results Magnitude Current Percent",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}:MAGN:PERC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_RMS,
    "Power Analysis Harmonics Results Magnitude Maximum RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}:MAGN:RMS:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_RMS,
    "Power Analysis Harmonics Results Magnitude Minimum RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}:MAGN:RMS:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_RMS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_RMS,
    "Power Analysis Harmonics Results Magnitude Current RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:RES{PowerHarmonics}:MAGN:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_ABSOLUTE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_ABSOLUTE,
    "Power Analysis Ref Level Harmonics Hysteresis Absolute",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelHysteresisAbsolute, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:ABS:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.005,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_ABSOLUTE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_ABSOLUTE,
    "Power Analysis Ref Level Quality Hysteresis Absolute",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelHysteresisAbsolute, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:ABS:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.005,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_LOWER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_LOWER_LEVEL,
    "Power Analysis Ref Level Harmonics Absolute Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:ABS:LLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_LOWER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_LOWER_LEVEL,
    "Power Analysis Ref Level Quality Absolute Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:ABS:LLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_MIDDLE_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_MIDDLE_LEVEL,
    "Power Analysis Ref Level Harmonics Absolute Middle Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:ABS:MLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_MIDDLE_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_MIDDLE_LEVEL,
    "Power Analysis Ref Level Quality Absolute Middle Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:ABS:MLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_UPPER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_UPPER_LEVEL,
    "Power Analysis Ref Level Harmonics Absolute Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:ABS:ULEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_UPPER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_UPPER_LEVEL,
    "Power Analysis Ref Level Quality Absolute Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:ABS:ULEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_LEVEL_MODE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_LEVEL_MODE,
    "Power Analysis Ref Level Harmonics Level Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAbsoluteRelative, NULL, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:LMOD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_RELATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_LEVEL_MODE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_LEVEL_MODE,
    "Power Analysis Ref Level Quality Level Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngAbsoluteRelative, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:LMOD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_RELATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_RELATIVE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_RELATIVE,
    "Power Analysis Ref Level Harmonics Hysteresis Relative",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngPowerAnalysisRefLevelHarmonicsHysteresisRelative, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:REL:HYST",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_RELATIVE =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_RELATIVE,
    "Power Analysis Ref Level Quality Hysteresis Relative",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngPowerAnalysisRefLevelHarmonicsHysteresisRelative, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:REL:HYST",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LOWER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LOWER_LEVEL,
    "Power Analysis Ref Level Harmonics Relative Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelRelativeLevel, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:REL:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LOWER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LOWER_LEVEL,
    "Power Analysis Ref Level Quality Relative Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelRelativeLevel, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:REL:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_MIDDLE_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_MIDDLE_LEVEL,
    "Power Analysis Ref Level Harmonics Relative Middle Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelRelativeLevel, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:REL:MIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_MIDDLE_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_MIDDLE_LEVEL,
    "Power Analysis Ref Level Quality Relative Middle Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelRelativeLevel, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:REL:MIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_UPPER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_UPPER_LEVEL,
    "Power Analysis Ref Level Harmonics Relative Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelRelativeLevel, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:REL:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_UPPER_LEVEL =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_UPPER_LEVEL,
    "Power Analysis Ref Level Quality Relative Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPowerAnalysisRefLevelRelativeLevel, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:REL:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LEVELS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LEVELS,
    "Power Analysis Ref Level Harmonics Relative Levels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisRefLevelRelativeLevels, NULL, NULL,
    "POW{PowerAnalysis}:HARM:REFL{PowerReference}:REL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_REF_LEVEL_RELATIVE_LEVELS_TEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LEVELS =
  {
    RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LEVELS,
    "Power Analysis Ref Level Quality Relative Levels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngPowerAnalysisRefLevelRelativeLevels, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:REFL{PowerReference}:REL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_POWER_ANALYSIS_REF_LEVEL_RELATIVE_LEVELS_TEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_DATA_HARMONICS_HEADER =
  {
    RSMXO_ATTR_POWER_ANALYSIS_DATA_HARMONICS_HEADER,
    "Power Analysis Data Harmonics Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:POW:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_POWER_ANALYSIS_DATA_QUALITY_HEADER =
  {
    RSMXO_ATTR_POWER_ANALYSIS_DATA_QUALITY_HEADER,
    "Power Analysis Data Quality Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:POW:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_HARMONICS =
  {
    RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_HARMONICS,
    "Hidden Power Analysis Data Harmonics",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:HARM:POW:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_QUALITY =
  {
    RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_QUALITY,
    "Hidden Power Analysis Data Quality",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "POW{PowerAnalysis}:QUAL:POW:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_ENABLED =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_DC_ENABLED,
    "Digital Voltmeter DC Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MET:DVM{VoltmeterChannel}:DC:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RESULT =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RESULT,
    "Digital Voltmeter DC Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MET:DVM{VoltmeterChannel}:DC:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_ENABLED =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_ENABLED,
    "Digital Voltmeter AC RMS Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MET:DVM{VoltmeterChannel}:ACRM:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_RESULT =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_RESULT,
    "Digital Voltmeter AC RMS Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MET:DVM{VoltmeterChannel}:ACRM:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_ENABLED =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_ENABLED,
    "Digital Voltmeter DC RMS Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MET:DVM{VoltmeterChannel}:DCRM:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_RESULT =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_RESULT,
    "Digital Voltmeter DC RMS Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MET:DVM{VoltmeterChannel}:DCRM:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_STATE =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_STATE,
    "Digital Voltmeter State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MET:DVM{VoltmeterChannel}:ENAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_VOLTMETER_BANDWIDTH =
  {
    RSMXO_ATTR_DIGITAL_VOLTMETER_BANDWIDTH,
    "Digital Voltmeter Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDigitalVoltmeterBW, NULL, NULL,
    "MET:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_DIGITAL_VOLTMETER_BW_B20M,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_SHOW =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_SHOW,
    "Reference Waveform Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_SOURCE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_SOURCE,
    "Reference Waveform Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngReferenceWaveformSource, NULL, NULL,
    "REFC{ReferenceWaveform}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_NAME =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_NAME,
    "Reference Waveform Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//home//storage//userData//Waveforms//RFName.ref",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_CREATE_UPDATE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_CREATE_UPDATE,
    "Reference Waveform Create/Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESET =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESET,
    "Reference Waveform Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_SAVE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_SAVE,
    "Reference Waveform Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_ABORT =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_ABORT,
    "Reference Waveform Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_OPEN =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_OPEN,
    "Reference Waveform Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_CLEAR =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_CLEAR,
    "Reference Waveform Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_X_AXIS_MODE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_X_AXIS_MODE,
    "Reference Waveform X Axis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngReferenceWaveformXAxisMode, NULL, NULL,
    "REFC{ReferenceWaveform}:AXIS",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_REFERENCE_WAVEFORM_X_AXIS_MODE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_MODE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_MODE,
    "Reference Waveform Vertical Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngRescaleVerticalMode, NULL, NULL,
    "REFC{ReferenceWaveform}:VMOD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_RESCALE_VERTICAL_MODE_INDEPENDENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_RESET =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_RESET,
    "Reference Waveform Vertical Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:TOOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE,
    "Reference Waveform Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    "Reference Waveform Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_OFFSET =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_OFFSET,
    "Reference Waveform Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_ENABLED =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_ENABLED,
    "Reference Waveform Rescale Vertical Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:RESC:VERT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_SCALE_FACTOR =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_SCALE_FACTOR,
    "Reference Waveform Rescale Vertical Scale Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:RESC:VERT:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_OFFSET =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_OFFSET,
    "Reference Waveform Rescale Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:RESC:VERT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_MODE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_MODE,
    "Reference Waveform Rescale Horizontal Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngRescaleHorizonalMode, NULL, NULL,
    "REFC{ReferenceWaveform}:HMOD",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_RESCALE_HORIZONAL_MODE_ORIGINAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_ENABLE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_ENABLE,
    "Reference Waveform Rescale Horizontal Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:RESC:HOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_SCALE_FACTOR =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_SCALE_FACTOR,
    "Reference Waveform Rescale Horizontal Scale Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:RESC:HOR:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_OFFSET =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_OFFSET,
    "Reference Waveform Rescale Horizontal Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:RESC:HOR:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_STATE =
  {
    RSMXO_ATTR_GENERATOR_STATE,
    "Generator State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_INVERSION_ENABLED =
  {
    RSMXO_ATTR_GENERATOR_INVERSION_ENABLED,
    "Generator Inversion Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:VOLT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_FUNCTION_TYPE =
  {
    RSMXO_ATTR_GENERATOR_FUNCTION_TYPE,
    "Generator Function Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngGeneratorFunctionType, NULL, NULL,
    "WGEN{Generator}:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_GENERATOR_FUNCTION_TYPE_SINUSOID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_FREQUENCY =
  {
    RSMXO_ATTR_GENERATOR_FREQUENCY,
    "Generator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngGeneratorFrequency, NULL,
    "WGEN{Generator}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_AMPLITUDE =
  {
    RSMXO_ATTR_GENERATOR_AMPLITUDE,
    "Generator Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_OFFSET =
  {
    RSMXO_ATTR_GENERATOR_OFFSET,
    "Generator Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:VOLT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SYMMETRY =
  {
    RSMXO_ATTR_GENERATOR_SYMMETRY,
    "Generator Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "WGEN{Generator}:FUNC:RAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_DUTY_CYCLE =
  {
    RSMXO_ATTR_GENERATOR_DUTY_CYCLE,
    "Generator Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngGeneratorDutyCycle, NULL,
    "WGEN{Generator}:FUNC:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_PERIOD =
  {
    RSMXO_ATTR_GENERATOR_PERIOD,
    "Generator Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-06,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_PULSE_WIDTH =
  {
    RSMXO_ATTR_GENERATOR_PULSE_WIDTH,
    "Generator Pulse Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:FUNC:PULS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-07,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_NOISE_LEVEL_IN_PERCENT =
  {
    RSMXO_ATTR_GENERATOR_NOISE_LEVEL_IN_PERCENT,
    "Generator Noise Level In Percent",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "WGEN{Generator}:MOD:NLPC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_NOISE_LEVEL_ABSOLUTE =
  {
    RSMXO_ATTR_GENERATOR_NOISE_LEVEL_ABSOLUTE,
    "Generator Noise Level Absolute",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:NLAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_NOISE_DC_LEVEL =
  {
    RSMXO_ATTR_GENERATOR_NOISE_DC_LEVEL,
    "Generator Noise DC Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:NDCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_DC_LEVEL =
  {
    RSMXO_ATTR_GENERATOR_DC_LEVEL,
    "Generator DC Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:VOLT:DCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_LOW_VOLTAGE =
  {
    RSMXO_ATTR_GENERATOR_LOW_VOLTAGE,
    "Generator Low Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:VOLT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_HIGH_VOLTAGE =
  {
    RSMXO_ATTR_GENERATOR_HIGH_VOLTAGE,
    "Generator High Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:VOLT:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_USER_LOAD =
  {
    RSMXO_ATTR_GENERATOR_USER_LOAD,
    "Generator User Load",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngGeneratorUserLoad, NULL, NULL,
    "WGEN{Generator}:OUTP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_GENERATOR_USER_LOAD_HIZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_DEFAULT_SETUP =
  {
    RSMXO_ATTR_GENERATOR_DEFAULT_SETUP,
    "Generator Default Setup",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{Generator}:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SAVE =
  {
    RSMXO_ATTR_GENERATOR_SAVE,
    "Generator Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "GEN:SAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filePath",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_RECALL =
  {
    RSMXO_ATTR_GENERATOR_RECALL,
    "Generator Recall",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "GEN:RCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filePath",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SWEEP_STATE =
  {
    RSMXO_ATTR_GENERATOR_SWEEP_STATE,
    "Generator Sweep State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:SWE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SWEEP_TYPE =
  {
    RSMXO_ATTR_GENERATOR_SWEEP_TYPE,
    "Generator Sweep Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngGeneratorSweepType, NULL, NULL,
    "WGEN{Generator}:SWE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_GENERATOR_SWEEP_TYPE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SWEEP_START_FREQUENCY =
  {
    RSMXO_ATTR_GENERATOR_SWEEP_START_FREQUENCY,
    "Generator Sweep Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:SWE:FST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SWEEP_STOP_FREQUENCY =
  {
    RSMXO_ATTR_GENERATOR_SWEEP_STOP_FREQUENCY,
    "Generator Sweep Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:SWE:FEND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SWEEP_TIME =
  {
    RSMXO_ATTR_GENERATOR_SWEEP_TIME,
    "Generator Sweep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_ENABLED =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_ENABLED,
    "Generator Modulation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_TYPE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_TYPE,
    "Generator Modulation Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngModulationType, NULL, NULL,
    "WGEN{Generator}:MOD:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MODULATION_TYPE_AM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_PERIOD =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_PERIOD,
    "Generator Modulation Carrier Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:CARR:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-06,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_FREQUENCY =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_FREQUENCY,
    "Generator Modulation Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:CARR:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_AM_FREQUENCY =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_AM_FREQUENCY,
    "Generator Modulation AM Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:AM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_AM_SIGNAL_TYPE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_AM_SIGNAL_TYPE,
    "Generator Modulation AM Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngModulationSignalType, NULL, NULL,
    "WGEN{Generator}:MOD:AM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MODULATION_SIGNAL_TYPE_SINUSOID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_AM_DEPTH =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_AM_DEPTH,
    "Generator Modulation AM Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "WGEN{Generator}:MOD:AM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_AM_DUTY_CYCLE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_AM_DUTY_CYCLE,
    "Generator Modulation AM Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngGeneratorModulationDutyCycle, NULL,
    "WGEN{Generator}:MOD:AM:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_AM_SYMMETRY =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_AM_SYMMETRY,
    "Generator Modulation AM Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "WGEN{Generator}:MOD:AM:SYMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_FREQUENCY =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_PWM_FREQUENCY,
    "Generator Modulation PWM Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:PWM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_SIGNAL_TYPE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_PWM_SIGNAL_TYPE,
    "Generator Modulation PWM Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngModulationSignalType, NULL, NULL,
    "WGEN{Generator}:MOD:PWM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MODULATION_SIGNAL_TYPE_SINUSOID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_DEPTH =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_PWM_DEPTH,
    "Generator Modulation PWM Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "WGEN{Generator}:MOD:PWM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_DUTY_CYCLE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_PWM_DUTY_CYCLE,
    "Generator Modulation PWM Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngGeneratorModulationDutyCycle, NULL,
    "WGEN{Generator}:MOD:PWM:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_SYMMETRY =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_PWM_SYMMETRY,
    "Generator Modulation PWM Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "WGEN{Generator}:MOD:PWM:SYMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FM_FREQUENCY =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FM_FREQUENCY,
    "Generator Modulation FM Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:FM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FM_SIGNAL_TYPE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FM_SIGNAL_TYPE,
    "Generator Modulation FM Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngModulationSignalType, NULL, NULL,
    "WGEN{Generator}:MOD:FM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_MODULATION_SIGNAL_TYPE_SINUSOID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FM_DEVIATION =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FM_DEVIATION,
    "Generator Modulation FM Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:FM:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FM_DUTY_CYCLE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FM_DUTY_CYCLE,
    "Generator Modulation FM Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngGeneratorModulationDutyCycle, NULL,
    "WGEN{Generator}:MOD:FM:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FM_SYMMETRY =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FM_SYMMETRY,
    "Generator Modulation FM Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "WGEN{Generator}:MOD:FM:SYMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_1 =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_1,
    "Generator Modulation FSK Frequency 1",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:FSK:FONE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_2 =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_2,
    "Generator Modulation FSK Frequency 2",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:FSK:FTWO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_RATE =
  {
    RSMXO_ATTR_GENERATOR_MODULATION_FSK_RATE,
    "Generator Modulation FSK Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:MOD:FSK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_SOURCE =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_SOURCE,
    "Generator Arbitrary Waveform Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngArbitrarySource, NULL, NULL,
    "WGEN:ARBG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ARBITRARY_SOURCE_ARBITRARY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_OPEN =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_OPEN,
    "Generator Arbitrary Waveform Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{Generator}:ARBG:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_NAME =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_NAME,
    "Generator Arbitrary Waveform Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "WGEN{Generator}:ARBG:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "arbitraryWF.csv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_RUN_SINGLE =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_RUN_SINGLE,
    "Generator Arbitrary Waveform Run Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{Generator}:ARBG:RUNS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_RUN_MODE =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_RUN_MODE,
    "Generator Arbitrary Run Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngGeneratorArbitraryRunMode, NULL, NULL,
    "WGEN{Generator}:ARBG:RUNM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_GENERATOR_ARBITRARY_RUN_MODE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_SAMPLE_RATE =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_SAMPLE_RATE,
    "Generator Arbitrary Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{Generator}:ARBG:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_NUMBER_OF_SAMPLES =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_NUMBER_OF_SAMPLES,
    "Generator Arbitrary Number Of Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsMxo_rngArbitraryNumberOfSamples, NULL,
    "WGEN{Generator}:ARBG:SAMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_ARBITRARY_SIGNAL_SOURCE =
  {
    RSMXO_ATTR_GENERATOR_ARBITRARY_SIGNAL_SOURCE,
    "Generator Arbitrary Signal Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngArbitrarySignalSource, NULL, NULL,
    "WGEN:ARBG:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_ARBITRARY_SIGNAL_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_START =
  {
    RSMXO_ATTR_GENERATOR_SYNCHRONISATION_START,
    "Generator Synchronisation Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngGeneratorSynchronisation, NULL, NULL,
    "GEN:SYNC",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_GENERATOR_SYNCHRONISATION_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_AMPLITUDE_PARAMETERS =
  {
    RSMXO_ATTR_GENERATOR_SYNCHRONISATION_AMPLITUDE_PARAMETERS,
    "Generator Synchronisation Amplitude Parameters",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:COUP:AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_FREQUENCY_PARAMETERS =
  {
    RSMXO_ATTR_GENERATOR_SYNCHRONISATION_FREQUENCY_PARAMETERS,
    "Generator Synchronisation Frequency Parameters",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SYNCHRONIZE_PHASE_SHIFT =
  {
    RSMXO_ATTR_GENERATOR_SYNCHRONIZE_PHASE_SHIFT,
    "Generator Synchronisation Phase Shift",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPhaseShift, NULL,
    "WGEN{Generator}:COUP:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_COUPLING_ENABLED =
  {
    RSMXO_ATTR_GENERATOR_SYNCHRONISATION_COUPLING_ENABLED,
    "Generator Synchronisation Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:COUP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SAVESET_INCLUDE_PREVIEW_IMAGE =
  {
    RSMXO_ATTR_SAVESET_INCLUDE_PREVIEW_IMAGE,
    "Saveset Include Preview Image",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAV:CONF:PREV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SAVE_INSTRUMENT_SETTINGS =
  {
    RSMXO_ATTR_SAVE_INSTRUMENT_SETTINGS,
    "Save Instrument Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:SAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//home//storage//userData//TestFile.set",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOAD_INSTRUMENT_SETTINGS =
  {
    RSMXO_ATTR_LOAD_INSTRUMENT_SETTINGS,
    "Load Instrument Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//home//storage//userData//TestFile.set",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DRIVES_CATALOG =
  {
    RSMXO_ATTR_DRIVES_CATALOG,
    "Drives Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DRIV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "drives",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEMORY_CATALOG_SIZE =
  {
    RSMXO_ATTR_MEMORY_CATALOG_SIZE,
    "Memory Catalog Size",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MMEM:CAT:LENG?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_MEMORY_CATALOG =
  {
    RSMXO_ATTR_HIDDEN_MEMORY_CATALOG,
    "Hidden Memory Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "UsedMemory,FreeMemory,FileEntry",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOAD_WAVEFORM_GENERATOR_SETTINGS =
  {
    RSMXO_ATTR_LOAD_WAVEFORM_GENERATOR_SETTINGS,
    "Load Waveform Generator Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:GEN:RCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STORE_WAVEFORM_GENERATOR_SETTINGS =
  {
    RSMXO_ATTR_STORE_WAVEFORM_GENERATOR_SETTINGS,
    "Store Waveform Generator Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:GEN:SAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_FILE_DELETE =
  {
    RSMXO_ATTR_FILE_DELETE,
    "File Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//home//storage//userData//TestFile.set",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_FILE_COPY =
  {
    RSMXO_ATTR_HIDDEN_FILE_COPY,
    "Hidden File Copy",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FileSource,FileDestination",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_FILE_MOVE =
  {
    RSMXO_ATTR_HIDDEN_FILE_MOVE,
    "Hidden File Move",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:MOVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_FILE_ATTRIBUTE =
  {
    RSMXO_ATTR_HIDDEN_FILE_ATTRIBUTE,
    "Hidden File Attribute",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:ATTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\"//home//storage//userData//TestFile.set\",\"+R\"",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_FILE_SAVE_TO_DEFAULT =
  {
    RSMXO_ATTR_HIDDEN_FILE_SAVE_TO_DEFAULT,
    "Hidden File Save To Default",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MMEM:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'abc.txt\',#216This is the file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIRECTORY_DEFAULT =
  {
    RSMXO_ATTR_DIRECTORY_DEFAULT,
    "Directory Default",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/home/storage/userData",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIRECTORY_CREATE =
  {
    RSMXO_ATTR_DIRECTORY_CREATE,
    "Directory Create",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "directory",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIRECTORY_DELETE =
  {
    RSMXO_ATTR_DIRECTORY_DELETE,
    "Directory Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "directory",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG_SIZE =
  {
    RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG_SIZE,
    "Hidden Directory Catalog Size",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MMEM:DCAT:LENG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG =
  {
    RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG,
    "Hidden Directory Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DCAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FileEntry",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_SHOW_SETUP_DIALOG =
  {
    RSMXO_ATTR_SCREENSHOT_SHOW_SETUP_DIALOG,
    "Screenshot Show Setup Dialog",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:SSD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_WHITE_BACKGROUND =
  {
    RSMXO_ATTR_SCREENSHOT_WHITE_BACKGROUND,
    "Screenshot White Background",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:WBKG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_INCLUDE_SIGNAL_BAR =
  {
    RSMXO_ATTR_SCREENSHOT_INCLUDE_SIGNAL_BAR,
    "Screenshot Include Signal Bar",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:ISBA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_INVERT_COLOR =
  {
    RSMXO_ATTR_SCREENSHOT_INVERT_COLOR,
    "Screenshot Invert Color",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:DEV:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_FILENAME =
  {
    RSMXO_ATTR_SCREENSHOT_FILENAME,
    "Screenshot Filename",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_FILE_EXTENSION =
  {
    RSMXO_ATTR_SCREENSHOT_FILE_EXTENSION,
    "Screenshot File Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngScreenshotFileFormat, NULL, NULL,
    "HCOP:DEV:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SCREENSHOT_FILE_FORMAT_PNG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_SAVE =
  {
    RSMXO_ATTR_SCREENSHOT_SAVE,
    "Screenshot Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SCREENSHOT_SAVE_NEXT =
  {
    RSMXO_ATTR_SCREENSHOT_SAVE_NEXT,
    "Screenshot Save Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:IMM:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_SOURCE =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_SOURCE,
    "Waveform Export Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngWaveformSource, NULL, NULL,
    "EXP:WAV:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_MODE =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_MODE,
    "Waveform Export Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngWaveformExportMode, NULL, NULL,
    "EXP:WAV:SCOP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_WAVEFORM_EXPORT_MODE_DISPLAY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_START =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_START,
    "Waveform Export Manual Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EXP:WAV:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_STOP =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_STOP,
    "Waveform Export Manual Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EXP:WAV:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_GATE =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_GATE,
    "Waveform Export Gate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngWaveformGate, NULL,
    "EXP:WAV:GATE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_CURSOR_SET =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_CURSOR_SET,
    "Waveform Export Cursor Set",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCursorSet, NULL, NULL,
    "EXP:WAV:CURS",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CURSOR_SET_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_FILE_NAME =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_FILE_NAME,
    "Waveform Export File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:WAV:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//home//storage//userData//Waveforms//Waveform.ref",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_SAVE_TO_FILE =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_SAVE_TO_FILE,
    "Waveform Export Save To File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:WAV:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_WAVEFORM_EXPORT_ABORT_SAVE =
  {
    RSMXO_ATTR_WAVEFORM_EXPORT_ABORT_SAVE,
    "Waveform Export Abort Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:WAV:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURRENT_MEASUREMENT =
  {
    RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURRENT_MEASUREMENT,
    "Results Export Include Current Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:RES:SEL:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURSOR =
  {
    RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURSOR,
    "Results Export Include Cursor",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:RES:SEL:CURS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EXPORT_FILE_NAME =
  {
    RSMXO_ATTR_RESULTS_EXPORT_FILE_NAME,
    "Results Export File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:RES:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "results.csv",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EXPORT_SAVE_TO_FILE =
  {
    RSMXO_ATTR_RESULTS_EXPORT_SAVE_TO_FILE,
    "Results Export Save To File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:RES:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EXPORT_FRA_MARGIN =
  {
    RSMXO_ATTR_RESULTS_EXPORT_FRA_MARGIN,
    "Results Export FRA Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:RES:SEL:FRA:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EXPORT_FRA_MARKER =
  {
    RSMXO_ATTR_RESULTS_EXPORT_FRA_MARKER,
    "Results Export FRA Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:RES:SEL:FRA:MARK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_RESULTS_EXPORT_FRA_RESULT =
  {
    RSMXO_ATTR_RESULTS_EXPORT_FRA_RESULT,
    "Results Export FRA Result",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:RES:SEL:FRA:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K36",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_NETWORK_HOSTNAME =
  {
    RSMXO_ATTR_SYSTEM_NETWORK_HOSTNAME,
    "System Host Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "instrument",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_SYSTEM_DATE =
  {
    RSMXO_ATTR_HIDDEN_SYSTEM_DATE,
    "Hidden System Date",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:DATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Year>, <Month>, <Day>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_SYSTEM_TIME =
  {
    RSMXO_ATTR_HIDDEN_SYSTEM_TIME,
    "Hidden System Time",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Hours>, <Minutes>, <Seconds>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REMOTE_TRANSFER_DATA_FORMAT =
  {
    RSMXO_ATTR_REMOTE_TRANSFER_DATA_FORMAT,
    "Remote Transfer Data Format",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngTransferDataFormat, NULL, NULL,
    "FORM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_TRANSFER_DATA_FORMAT_ASCII,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REMOTE_BITPATTERN_FORMAT =
  {
    RSMXO_ATTR_REMOTE_BITPATTERN_FORMAT,
    "Remote Bitpattern Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDataFormat, NULL, NULL,
    "FORM:BPAT",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_DATA_FORMAT_HEX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REMOTE_DISPLAY_UPDATE_ENABLED =
  {
    RSMXO_ATTR_REMOTE_DISPLAY_UPDATE_ENABLED,
    "Remote Display Update Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE_ENABLED =
  {
    RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE_ENABLED,
    "Remote Display Message Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:MESS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE =
  {
    RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE,
    "Remote Display Message",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DISP:MESS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Message",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_COLORS_SIGNAL_NAME_CATALOG =
  {
    RSMXO_ATTR_COLORS_SIGNAL_NAME_CATALOG,
    "Colors Signal Name Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:COL:SIGN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_COLORS_USE_COLOR_TABLE =
  {
    RSMXO_ATTR_HIDDEN_COLORS_USE_COLOR_TABLE,
    "Hidden Colors Use Color Table",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:COL:SIGN:USE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C1,OFF",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_COLORS_SELECT_COLOR =
  {
    RSMXO_ATTR_HIDDEN_COLORS_SELECT_COLOR,
    "Hidden Colors Select Color",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:COL:SIGN:COL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "signal,color",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_COLORS_ASSIGNED_COLOR_TABLE =
  {
    RSMXO_ATTR_HIDDEN_COLORS_ASSIGNED_COLOR_TABLE,
    "Hidden Colors Assigned Color Table",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:COL:SIGN:ASS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Signal,ColorTable",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GRID_SHOW =
  {
    RSMXO_ATTR_GRID_SHOW,
    "Grid Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:GRID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GRID_SHOW_LABELS =
  {
    RSMXO_ATTR_GRID_SHOW_LABELS,
    "Grid Show Labels",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GRID_SHOW_FINE_GRID_SCALE =
  {
    RSMXO_ATTR_GRID_SHOW_FINE_GRID_SCALE,
    "Grid Show Fine Grid Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:FIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GRID_SHOW_CROSSHAIR =
  {
    RSMXO_ATTR_GRID_SHOW_CROSSHAIR,
    "Grid Show Crosshair",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:CROS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GRID_KEEP_Y_GRID_FIXED =
  {
    RSMXO_ATTR_GRID_KEEP_Y_GRID_FIXED,
    "Grid Keep Y Grid Fixed",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:YFIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_GRID_KEEP_X_GRID_FIXED =
  {
    RSMXO_ATTR_GRID_KEEP_X_GRID_FIXED,
    "Grid Keep X Grid Fixed",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:XFIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_LAYOUT_ACTIVE =
  {
    RSMXO_ATTR_SMART_GRID_LAYOUT_ACTIVE,
    "Smart Grid Layout Active",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LAY:ACT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_LAYOUT_COUNT =
  {
    RSMXO_ATTR_SMART_GRID_LAYOUT_COUNT,
    "Smart Grid Layout Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LAY:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_LAYOUT_ENABLED =
  {
    RSMXO_ATTR_SMART_GRID_LAYOUT_ENABLED,
    "Smart Grid Layout Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LAY{LayoutSet}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_LAYOUT_LABEL =
  {
    RSMXO_ATTR_SMART_GRID_LAYOUT_LABEL,
    "Smart Grid Layout Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Tab 1",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_SELECTED_NODE =
  {
    RSMXO_ATTR_SMART_GRID_SELECTED_NODE,
    "Smart Grid Selected Node",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_SELECTED_CONTENTS =
  {
    RSMXO_ATTR_SMART_GRID_SELECTED_CONTENTS,
    "Smart Grid Selected Contents",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_NODE_ENABLED =
  {
    RSMXO_ATTR_SMART_GRID_NODE_ENABLED,
    "Smart Grid Node Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:NODE<Node>",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatSmartGridNodeRepCapBoolean_ReadCallback,
    rsmxo_FormatSmartGridNodeRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_NODE_COUNT =
  {
    RSMXO_ATTR_SMART_GRID_NODE_COUNT,
    "Smart Grid Node Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:NODE<Node>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    32,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatSmartGridNodeRepCapInt32_ReadCallback,
    rsmxo_FormatSmartGridNodeRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_NODE_SPLIT_RATIO =
  {
    RSMXO_ATTR_SMART_GRID_NODE_SPLIT_RATIO,
    "Smart Grid Node Split Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngSmartGridSplitRatio, NULL,
    "LAY{LayoutSet}:NODE<Node>:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatSmartGridNodeRepCapReal64_ReadCallback,
    rsmxo_FormatSmartGridNodeRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_NODE_SPLIT_TYPE =
  {
    RSMXO_ATTR_SMART_GRID_NODE_SPLIT_TYPE,
    "Smart Grid Node Split Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSmartGridNodeSplitType, NULL, NULL,
    "LAY{LayoutSet}:NODE<Node>:STYP",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SMART_GRID_NODE_SPLIT_TYPE_HORIZONTAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatSmartGridNodeRepCapInt32_ReadCallback,
    rsmxo_FormatSmartGridNodeRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_DIAGRAM_COUNT =
  {
    RSMXO_ATTR_SMART_GRID_DIAGRAM_COUNT,
    "Smart Grid Diagram Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:DIAG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_DIAGRAM_ENABLED =
  {
    RSMXO_ATTR_SMART_GRID_DIAGRAM_ENABLED,
    "Smart Grid Diagram Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:DIAG{DiagramRC}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_DIAGRAM_LABEL =
  {
    RSMXO_ATTR_SMART_GRID_DIAGRAM_LABEL,
    "Smart Grid Diagram Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:DIAG{DiagramRC}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "window",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_DIAGRAM_SOURCE =
  {
    RSMXO_ATTR_SMART_GRID_DIAGRAM_SOURCE,
    "Smart Grid Diagram Source",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:DIAG{DiagramRC}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C1,C2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_NODE_ID =
  {
    RSMXO_ATTR_SMART_GRID_NODE_ID,
    "Smart Grid Node ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LAY{LayoutSet}:NODE<Node>:CHIL{SmartgridChild}:CONT<Content>:ID",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatSmartGridNodeContentRepCapInt32_ReadCallback,
    rsmxo_FormatSmartGridNodeContentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SMART_GRID_NODE_TYPE =
  {
    RSMXO_ATTR_SMART_GRID_NODE_TYPE,
    "Smart Grid Node Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngSmartGridNodeType, NULL, NULL,
    "LAY{LayoutSet}:NODE<Node>:CHIL{SmartgridChild}:CONT<Content>:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_SMART_GRID_NODE_TYPE_DIAGRAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_FormatSmartGridNodeContentRepCapInt32_ReadCallback,
    rsmxo_FormatSmartGridNodeContentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIALOG_FONT_SIZE =
  {
    RSMXO_ATTR_DIALOG_FONT_SIZE,
    "Dialog Font Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngDialogFontSize, NULL,
    "DISP:DIAL:FONT",
    // Defaults I32, I64, Float, Bool, String
    19,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIALOG_TRANSPARENCY =
  {
    RSMXO_ATTR_DIALOG_TRANSPARENCY,
    "Dialog Transparency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngDialogTransparency, NULL,
    "DISP:DIAL:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIALOG_RESULT_FONT_SIZE =
  {
    RSMXO_ATTR_DIALOG_RESULT_FONT_SIZE,
    "Dialog Result Font Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngDialogResultFontSize, NULL,
    "DISP:RES:FONT",
    // Defaults I32, I64, Float, Bool, String
    19,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_SIGNAL_STYLE =
  {
    RSMXO_ATTR_DISPLAY_SIGNAL_STYLE,
    "Display Signal Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDisplaySignalStyle, NULL, NULL,
    "DISP:DIAG:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_DISPLAY_SIGNAL_STYLE_VECTORS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_SIGNAL_INTENSITY =
  {
    RSMXO_ATTR_DISPLAY_SIGNAL_INTENSITY,
    "Display Signal Intensity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsMxo_rngPercentage, NULL,
    "DISP:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_PERSISTENCE_ENABLED =
  {
    RSMXO_ATTR_DISPLAY_PERSISTENCE_ENABLED,
    "Display Persistence Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PERS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_PERSISTENCE_INFINITE =
  {
    RSMXO_ATTR_DISPLAY_PERSISTENCE_INFINITE,
    "Display Persistence Infinite",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PERS:INF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_PERSISTENCE_TIME =
  {
    RSMXO_ATTR_DISPLAY_PERSISTENCE_TIME,
    "Display Persistence Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:PERS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_PERSISTENCE_RESET =
  {
    RSMXO_ATTR_DISPLAY_PERSISTENCE_RESET,
    "Display Persistence Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:PERS:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_BACKLIGHT_BRIGHTNESS =
  {
    RSMXO_ATTR_DISPLAY_BACKLIGHT_BRIGHTNESS,
    "Display Backlight Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngDisplayBacklightBrightness, NULL,
    "DISP:BACK",
    // Defaults I32, I64, Float, Bool, String
    90,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_BACKLIGHT_DIMM_ON_USER_INACTIVITY =
  {
    RSMXO_ATTR_DISPLAY_BACKLIGHT_DIMM_ON_USER_INACTIVITY,
    "Display Backlight Dimm On User Inactivity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngDisplayBacklightUserInactivity, NULL, NULL,
    "DISP:BACK:DIMM",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_DISPLAY_BACKLIGHT_USER_INACTIVITY_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DISPLAY_CLEAR_RESULTS =
  {
    RSMXO_ATTR_DISPLAY_CLEAR_RESULTS,
    "Display Clear Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TOOLBAR_NUMBER_OF_TOOLS =
  {
    RSMXO_ATTR_TOOLBAR_NUMBER_OF_TOOLS,
    "Toolbar Number Of Tools",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:TOOL:COUN?",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TOOLBAR_REMOVE_ALL_TOOLS =
  {
    RSMXO_ATTR_TOOLBAR_REMOVE_ALL_TOOLS,
    "Toolbar Remove All Tools",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:TOOL:DES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_TOOLBAR_RESET =
  {
    RSMXO_ATTR_TOOLBAR_RESET,
    "Toolbar Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:TOOL:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CSV_DELIMITER =
  {
    RSMXO_ATTR_CSV_DELIMITER,
    "CSV Delimiter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsMxo_rngCSVDelimiter, NULL, NULL,
    "EXP:RES:DEL",
    // Defaults I32, I64, Float, Bool, String
    RSMXO_VAL_CSV_DELIMITER_SEMICOLON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_AUTOSAVE_ENABLE =
  {
    RSMXO_ATTR_AUTONAMING_AUTOSAVE_ENABLE,
    "Autonaming Autosave Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUS:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_AUTOSAVE_INTERVAL =
  {
    RSMXO_ATTR_AUTONAMING_AUTOSAVE_INTERVAL,
    "Autonaming Autosave Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsMxo_rngAutonamingAutosaveInterval, NULL,
    "MMEM:AUS:INT",
    // Defaults I32, I64, Float, Bool, String
    300,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_USER_TEXT_ENABLED =
  {
    RSMXO_ATTR_AUTONAMING_USER_TEXT_ENABLED,
    "Autonaming User Text Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_PREFIX =
  {
    RSMXO_ATTR_AUTONAMING_PREFIX,
    "Autonaming Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_DATE_TIME =
  {
    RSMXO_ATTR_AUTONAMING_DATE_TIME,
    "Autonaming Date Time",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_INDEX =
  {
    RSMXO_ATTR_AUTONAMING_INDEX,
    "Autonaming Index",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:IND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_USER_TEXT =
  {
    RSMXO_ATTR_AUTONAMING_USER_TEXT,
    "Autonaming User Text",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:AUT:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TEST",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_DEFAULT_PATH_FOR_ALL_FILE_OPERATIONS =
  {
    RSMXO_ATTR_AUTONAMING_DEFAULT_PATH_FOR_ALL_FILE_OPERATIONS,
    "Autonaming Default Path For All File Operations",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:AUT:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_RESET_PATH =
  {
    RSMXO_ATTR_AUTONAMING_RESET_PATH,
    "Autonaming Reset Path",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:AUT:RESP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTONAMING_RESET_ALL =
  {
    RSMXO_ATTR_AUTONAMING_RESET_ALL,
    "Autonaming Reset All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:AUT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_EXECUTE_ALIGNMENT =
  {
    RSMXO_ATTR_EXECUTE_ALIGNMENT,
    "Execute Alignment",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ALIGNMENT_DATE =
  {
    RSMXO_ATTR_ALIGNMENT_DATE,
    "Alignment Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Date",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ALIGNMENT_TIME =
  {
    RSMXO_ATTR_ALIGNMENT_TIME,
    "Alignment Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Time",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ALIGNMENT_RESULT =
  {
    RSMXO_ATTR_ALIGNMENT_RESULT,
    "Alignment Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsMxo_rngCalibrationResult, NULL, NULL,
    "CAL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_AUTO_POWER_UP_ENABLED =
  {
    RSMXO_ATTR_AUTO_POWER_UP_ENABLED,
    "Auto Power Up Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:APUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CREATE_SERVICE_REPORT =
  {
    RSMXO_ATTR_CREATE_SERVICE_REPORT,
    "Create Service Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SERV:REP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_EXIT =
  {
    RSMXO_ATTR_SYSTEM_EXIT,
    "System Exit",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:EXIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_SHUTDOWN =
  {
    RSMXO_ATTR_SYSTEM_SHUTDOWN,
    "System Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_FILENAME_FIRMWARE_INSTALLATION_FILE =
  {
    RSMXO_ATTR_SYSTEM_FILENAME_FIRMWARE_INSTALLATION_FILE,
    "System Filename Firmware Installation File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:FW:FIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_START_FIRMWARE_UPDATE =
  {
    RSMXO_ATTR_SYSTEM_START_FIRMWARE_UPDATE,
    "System Start Firmware Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:FW:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_PRESET =
  {
    RSMXO_ATTR_SYSTEM_PRESET,
    "System Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_HOSTNAME =
  {
    RSMXO_ATTR_SYSTEM_HOSTNAME,
    "System Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "hostname",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_CHANNEL_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_CHANNEL_WAVEFORM_HEADER,
    "Channel Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_CHANNEL_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_CHANNEL_WAVEFORM_DATA,
    "Hidden Channel Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MATH_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_MATH_WAVEFORM_HEADER,
    "Math Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_MATH_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_MATH_WAVEFORM_DATA,
    "Hidden Math Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_DIGITAL_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_DIGITAL_WAVEFORM_HEADER,
    "Digital Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_DIGITAL_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_DIGITAL_WAVEFORM_DATA,
    "Hidden Digital Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGIC_BUS_HEADER =
  {
    RSMXO_ATTR_LOGIC_BUS_HEADER,
    "Logic Bus Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PBUS{Logic}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "header",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_LOGIC_BUS_DATA =
  {
    RSMXO_ATTR_HIDDEN_LOGIC_BUS_DATA,
    "Hidden Logic Bus Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PBUS{Logic}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_HEADER,
    "Reference Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_REFERENCE_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_REFERENCE_WAVEFORM_DATA,
    "Hidden Reference Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_REFERENCE_WAVEFORM_DATA_SOURCE =
  {
    RSMXO_ATTR_REFERENCE_WAVEFORM_DATA_SOURCE,
    "Reference Waveform Data Source",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWaveform}:DATA:STYP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_NORMAL_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_SPECTRUM_NORMAL_WAVEFORM_HEADER,
    "Spectrum Normal Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:NORM:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_AVERAGE_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_SPECTRUM_AVERAGE_WAVEFORM_HEADER,
    "Spectrum Average Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:AVER:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_MINIMUM_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_SPECTRUM_MINIMUM_WAVEFORM_HEADER,
    "Spectrum Minimum Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:MIN:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_HEADER =
  {
    RSMXO_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_HEADER,
    "Spectrum Maximum Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:MAX:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_SPECTRUM_NORMAL_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_SPECTRUM_NORMAL_WAVEFORM_DATA,
    "Hidden Spectrum Normal Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:NORM:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_SPECTRUM_AVERAGE_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_SPECTRUM_AVERAGE_WAVEFORM_DATA,
    "Hidden Spectrum Average Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:AVER:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_SPECTRUM_MINIMUM_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_SPECTRUM_MINIMUM_WAVEFORM_DATA,
    "Hidden Spectrum Minimum Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:MIN:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_SPECTRUM_MAXIMUM_WAVEFORM_DATA =
  {
    RSMXO_ATTR_HIDDEN_SPECTRUM_MAXIMUM_WAVEFORM_DATA,
    "Hidden Spectrum Maximum Waveform Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:SPEC{Spectrum}:WAV:MAX:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.1,0.2,0.3,0.4",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_MEASUREMENT_TRACK_DATA_HEADER =
  {
    RSMXO_ATTR_MEASUREMENT_TRACK_DATA_HEADER,
    "Measurement Track Data Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "header",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_HIDDEN_MEASUREMENT_TRACK_DATA_DATA =
  {
    RSMXO_ATTR_HIDDEN_MEASUREMENT_TRACK_DATA_DATA,
    "Hidden Measurement Track Data Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "[<Offset>], [<Length>]",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_RESET =
  {
    RSMXO_ATTR_STATUS_REGISTER_RESET,
    "Status Register Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_ENABLED,
    "Status Register Channel Negative Clipping Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:NCL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_CONDITION,
    "Status Register Channel Negative Clipping Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:NCL:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_EVENT,
    "Status Register Channel Negative Clipping Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:NCL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_NEGATIVE_TRANSITION,
    "Status Register Channel Negative Clipping Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:NCL:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_POSITIVE_TRANSITION,
    "Status Register Channel Negative Clipping Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:NCL:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_ENABLED,
    "Status Register Channel Positive Clipping Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:PCL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_CONDITION,
    "Status Register Channel Positive Clipping Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:PCL:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_EVENT,
    "Status Register Channel Positive Clipping Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:PCL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_NEGATIVE_TRANSITION,
    "Status Register Channel Positive Clipping Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:PCL:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_POSITIVE_TRANSITION,
    "Status Register Channel Positive Clipping Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:ADCS:STAT:PCL:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_ENABLED,
    "Status Register Channel Overload Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:OVER:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_NEGATIVE_TRANSITION,
    "Status Register Channel Overload Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:OVER:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_POSITIVE_TRANSITION,
    "Status Register Channel Overload Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:OVER:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_EVENT,
    "Status Register Channel Overload Event",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:OVER:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_CONDITION,
    "Status Register Channel Overload Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:OVER:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_ENABLED,
    "Status Register Channel Warn Overload Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:WARN:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_CONDITION,
    "Status Register Channel Warn Overload Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:WARN:STAT:NCL:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_EVENT,
    "Status Register Channel Warn Overload Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:WARN:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_NEGATIVE_TRANSITION,
    "Status Register Channel Warn Overload Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:WARN:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_POSITIVE_TRANSITION,
    "Status Register Channel Warn Overload Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:WARN:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_ENABLED,
    "Status Register Channel PPS Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:PPS:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_CONDITION,
    "Status Register Channel PPS Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:PPS:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_EVENT,
    "Status Register Channel PPS Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:PPS:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_NEGATIVE_TRANSITION,
    "Status Register Channel PPS Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:PPS:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_POSITIVE_TRANSITION,
    "Status Register Channel PPS Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:PPS:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_ENABLED,
    "Status Register Measurement Imprecise Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:IMPR:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_CONDITION,
    "Status Register Measurement Imprecise Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:IMPR:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_EVENT,
    "Status Register Measurement Imprecise Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:IMPR:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_NEGATIVE_TRANSITION,
    "Status Register Measurement Imprecise Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:IMPR:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_POSITIVE_TRANSITION,
    "Status Register Measurement Imprecise Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:IMPR:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_ENABLED,
    "Status Register Measurement Limit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LIM:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_CONDITION,
    "Status Register Measurement Limit Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LIM:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_EVENT,
    "Status Register Measurement Limit Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LIM:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_NEGATIVE_TRANSITION,
    "Status Register Measurement Limit Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LIM:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_POSITIVE_TRANSITION,
    "Status Register Measurement Limit Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LIM:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_ENABLED,
    "Status Register Measurement Margin Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:MARG:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_CONDITION,
    "Status Register Measurement Margin Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:MARG:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_EVENT,
    "Status Register Measurement Margin Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:MARG:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_NEGATIVE_TRANSITION,
    "Status Register Measurement Margin Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:MARG:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_POSITIVE_TRANSITION,
    "Status Register Measurement Margin Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:MARG:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_ENABLED,
    "Status Register Generator Temperature Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:TEMP:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_CONDITION,
    "Status Register Generator Temperature Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "WGEN{Generator}:TEMP:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_EVENT,
    "Status Register Generator Temperature Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "WGEN{Generator}:TEMP:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_NEGATIVE_TRANSITION,
    "Status Register Generator Temperature Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:TEMP:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_POSITIVE_TRANSITION,
    "Status Register Generator Temperature Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:TEMP:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_ENABLED,
    "Status Register Generator G Overload Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:GOV:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_CONDITION,
    "Status Register Generator G Overload Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "WGEN{Generator}:GOV:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_EVENT,
    "Status Register Generator G Overload Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "WGEN{Generator}:GOV:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_NEGATIVE_TRANSITION,
    "Status Register Generator G Overload Negative Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:GOV:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_POSITIVE_TRANSITION,
    "Status Register Generator G Overload Positive Transition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{Generator}:GOV:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_ENABLED,
    "Status Register Trigger Action Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:OVER:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_EVENT,
    "Status Register Trigger Action Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:OVER:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_CONDITION,
    "Status Register Trigger Action Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:OVER:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_POSITIVE_TRANSITION,
    "Status Register Trigger Action Positive Transition",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:OVER:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_NEGATIVE_TRANSITION,
    "Status Register Trigger Action Negative Transition",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ACT:OUT:OVER:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_ENABLED =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_ENABLED,
    "Status Register Trigger Edge Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ANED:OVER:STAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_EVENT =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_EVENT,
    "Status Register Trigger Edge Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ANED:OVER:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_CONDITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_CONDITION,
    "Status Register Trigger Edge Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ANED:OVER:STAT:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_POSITIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_POSITIVE_TRANSITION,
    "Status Register Trigger Edge Positive Transition",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ANED:OVER:STAT:PTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_NEGATIVE_TRANSITION =
  {
    RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_NEGATIVE_TRANSITION,
    "Status Register Trigger Edge Negative Transition",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ANED:OVER:STAT:NTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_ID_QUERY_RESPONSE =
  {
    RSMXO_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_ERROR =
  {
    RSMXO_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_ERROR_LIST =
  {
    RSMXO_ATTR_SYSTEM_ERROR_LIST,
    "System Error List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_SYSTEM_VERSION =
  {
    RSMXO_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSMXO_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSMXO_ATTR_LOGGING =
  {
    RSMXO_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsmxo_logging_ReadCallback,
    rsmxo_logging_WriteCallback,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsmxo_RsCoreAttributeListLength = 1396;

RsCoreAttributePtr rsmxo_RsCoreAttributeList[1396] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSMXO_ATTR_VERTICAL_SHOW_CHANNEL,
    &g_RSMXO_ATTR_VERTICAL_SCALE,
    &g_RSMXO_ATTR_VERTICAL_RANGE,
    &g_RSMXO_ATTR_VERTICAL_OFFSET,
    &g_RSMXO_ATTR_VERTICAL_SKEW,
    &g_RSMXO_ATTR_VERTICAL_POSITION,
    &g_RSMXO_ATTR_VERTICAL_COUPLING,
    &g_RSMXO_ATTR_VERTICAL_INVERT_CHANNEL,
    &g_RSMXO_ATTR_VERTICAL_BANDWIDTH,
    &g_RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION_SCALE,
    &g_RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION,
    &g_RSMXO_ATTR_VERTICAL_POWER_CALCULATION_IMPEDANCE,
    &g_RSMXO_ATTR_HIDDEN_VERTICAL_LABEL,
    &g_RSMXO_ATTR_PROBE_STATE,
    &g_RSMXO_ATTR_PROBE_NAME,
    &g_RSMXO_ATTR_PROBE_TYPE,
    &g_RSMXO_ATTR_PROBE_PREDEFINED_TYPE,
    &g_RSMXO_ATTR_PROBE_BANDWIDTH,
    &g_RSMXO_ATTR_PROBE_VERTICAL_UNIT,
    &g_RSMXO_ATTR_PROBE_AUTO_ATTENUATION,
    &g_RSMXO_ATTR_PROBE_MANUAL_ATTENUATION,
    &g_RSMXO_ATTR_PROBE_SET_OFFSET_TO_MEAN,
    &g_RSMXO_ATTR_PROBE_AUTO_ZERO,
    &g_RSMXO_ATTR_PROBE_USE_AUTO_ZERO,
    &g_RSMXO_ATTR_PROBE_MICRO_BUTTON,
    &g_RSMXO_ATTR_PROBE_IMPEDANCE,
    &g_RSMXO_ATTR_PROBE_CAPACITANCE,
    &g_RSMXO_ATTR_PROBE_PART_NUMBER,
    &g_RSMXO_ATTR_PROBE_PRODUCTION_DATE,
    &g_RSMXO_ATTR_PROBE_SERIAL_NUMBER,
    &g_RSMXO_ATTR_PROBE_SOFTWARE_VERSION,
    &g_RSMXO_ATTR_PROBE_CM_OFFSET,
    &g_RSMXO_ATTR_PROBE_RTZA15_ATTENUATOR_ENABLED,
    &g_RSMXO_ATTR_PROBE_DISPLAY,
    &g_RSMXO_ATTR_PROBE_SOUND_ENABLED,
    &g_RSMXO_ATTR_PROBE_BANDWIDTH_LIMIT_ENABLED,
    &g_RSMXO_ATTR_PROBE_VOLTAGE_RANGE,
    &g_RSMXO_ATTR_PROBE_METER_ENABLED,
    &g_RSMXO_ATTR_PROBE_METER_SET_TO_OFFSET,
    &g_RSMXO_ATTR_PROBE_AC_COUPLING_ENABLED,
    &g_RSMXO_ATTR_PROBE_MANUAL_GAIN,
    &g_RSMXO_ATTR_PROBE_PREDEFINED_GAIN,
    &g_RSMXO_ATTR_PROBE_ZERO_ADJUST,
    &g_RSMXO_ATTR_PROBE_DEGAUSS,
    &g_RSMXO_ATTR_PROBE_SAVE_TO_PROBE,
    &g_RSMXO_ATTR_PROBE_DIFFERENTIAL_OFFSET,
    &g_RSMXO_ATTR_PROBE_NEGATIVE_OFFSET,
    &g_RSMXO_ATTR_PROBE_POSITIVE_OFFSET,
    &g_RSMXO_ATTR_PROBE_MODULAR_MEASUREMENT_MODE,
    &g_RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE_ENABLED,
    &g_RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE,
    &g_RSMXO_ATTR_PROBE_TERMINATION_MODE,
    &g_RSMXO_ATTR_PROBE_RESULTS_SINGLE_ENDED,
    &g_RSMXO_ATTR_PROBE_RESULTS_COMMON,
    &g_RSMXO_ATTR_PROBE_RESULTS_DIFFERENTIAL,
    &g_RSMXO_ATTR_PROBE_RESULTS_POSITIVE,
    &g_RSMXO_ATTR_PROBE_RESULTS_NEGATIVE,
    &g_RSMXO_ATTR_PROBE_RESULTS_MODULAR_VOLTAGE,
    &g_RSMXO_ATTR_HORIZONTAL_TIME_SCALE,
    &g_RSMXO_ATTR_HORIZONTAL_TIMEBASE_RANGE,
    &g_RSMXO_ATTR_HORIZONTAL_POSITION,
    &g_RSMXO_ATTR_HORIZONTAL_REFERENCE_POINT,
    &g_RSMXO_ATTR_HORIZONTAL_DIVISIONS,
    &g_RSMXO_ATTR_HORIZONTAL_ROLL_ENABLED,
    &g_RSMXO_ATTR_HORIZONTAL_ROLL_ACQUISITION_TIME,
    &g_RSMXO_ATTR_HORIZONTAL_ROLL_STATUS,
    &g_RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_SOURCE,
    &g_RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_OUTPUT_10_MHZ_ENABLED,
    &g_RSMXO_ATTR_ZOOM_STATE,
    &g_RSMXO_ATTR_ZOOM_DIAGRAM,
    &g_RSMXO_ATTR_ZOOM_COUNT,
    &g_RSMXO_ATTR_ZOOM_MODE_HORIZONTAL,
    &g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_SPAN,
    &g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_WIDTH,
    &g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_POSITION,
    &g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_START,
    &g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_STOP,
    &g_RSMXO_ATTR_ZOOM_X_RELATIVE_SPAN,
    &g_RSMXO_ATTR_ZOOM_X_RELATIVE_WIDTH,
    &g_RSMXO_ATTR_ZOOM_X_RELATIVE_POSITION,
    &g_RSMXO_ATTR_ZOOM_X_RELATIVE_START,
    &g_RSMXO_ATTR_ZOOM_X_RELATIVE_STOP,
    &g_RSMXO_ATTR_ZOOM_MODE_VERTICAL,
    &g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_SPAN,
    &g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_RANGE,
    &g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_POSITION,
    &g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_START,
    &g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_STOP,
    &g_RSMXO_ATTR_ZOOM_Y_RELATIVE_POSITION,
    &g_RSMXO_ATTR_ZOOM_Y_RELATIVE_SPAN,
    &g_RSMXO_ATTR_ZOOM_Y_RELATIVE_WIDTH,
    &g_RSMXO_ATTR_ZOOM_Y_RELATIVE_START,
    &g_RSMXO_ATTR_ZOOM_Y_RELATIVE_STOP,
    &g_RSMXO_ATTR_ZOOM_SET_TO_SCREEN,
    &g_RSMXO_ATTR_TRIGGER_ON,
    &g_RSMXO_ATTR_TRIGGER_FORCE,
    &g_RSMXO_ATTR_TRIGGER_MODE,
    &g_RSMXO_ATTR_TRIGGER_SEQUENCE_TYPE,
    &g_RSMXO_ATTR_TRIGGER_SEQUENCE_DELAY,
    &g_RSMXO_ATTR_TRIGGER_SEQUENCE_B_EVENT_COUNT,
    &g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_EVENT_ENABLED,
    &g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIME_ENABLED,
    &g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIMEOUT,
    &g_RSMXO_ATTR_TRIGGER_SOURCE,
    &g_RSMXO_ATTR_TRIGGER_TYPE,
    &g_RSMXO_ATTR_TRIGGER_FIND_LEVEL,
    &g_RSMXO_ATTR_TRIGGER_EVENT_LEVEL,
    &g_RSMXO_ATTR_TRIGGER_EDGE_SLOPE,
    &g_RSMXO_ATTR_TRIGGER_GLITCH_POLARITY,
    &g_RSMXO_ATTR_TRIGGER_GLITCH_RANGE,
    &g_RSMXO_ATTR_TRIGGER_GLITCH_WIDTH,
    &g_RSMXO_ATTR_TRIGGER_WIDTH_POLARITY,
    &g_RSMXO_ATTR_TRIGGER_WIDTH_RANGE,
    &g_RSMXO_ATTR_TRIGGER_WIDTH_WIDTH,
    &g_RSMXO_ATTR_TRIGGER_WIDTH_DELTA,
    &g_RSMXO_ATTR_TRIGGER_RUNT_POLARITY,
    &g_RSMXO_ATTR_TRIGGER_RUNT_RANGE,
    &g_RSMXO_ATTR_TRIGGER_RUNT_WIDTH,
    &g_RSMXO_ATTR_TRIGGER_RUNT_DELTA,
    &g_RSMXO_ATTR_TRIGGER_RUNT_LOWER_LIMIT,
    &g_RSMXO_ATTR_TRIGGER_RUNT_UPPER_LIMIT,
    &g_RSMXO_ATTR_TRIGGER_WINDOW_VERTICAL_CONDITION,
    &g_RSMXO_ATTR_TRIGGER_WINDOW_TIME_CONDITION,
    &g_RSMXO_ATTR_TRIGGER_WINDOW_WIDTH,
    &g_RSMXO_ATTR_TRIGGER_WINDOW_DELTA,
    &g_RSMXO_ATTR_TRIGGER_WINDOW_LOWER_LIMIT,
    &g_RSMXO_ATTR_TRIGGER_WINDOW_UPPER_LIMIT,
    &g_RSMXO_ATTR_TRIGGER_TIMEOUT_TIME,
    &g_RSMXO_ATTR_TRIGGER_TIMEOUT_RANGE,
    &g_RSMXO_ATTR_TRIGGER_INTERVAL_SLOPE,
    &g_RSMXO_ATTR_TRIGGER_INTERVAL_RANGE,
    &g_RSMXO_ATTR_TRIGGER_INTERVAL_WIDTH,
    &g_RSMXO_ATTR_TRIGGER_INTERVAL_DELTA,
    &g_RSMXO_ATTR_TRIGGER_SLEW_RATE_SLOPE,
    &g_RSMXO_ATTR_TRIGGER_SLEW_RATE_RANGE,
    &g_RSMXO_ATTR_TRIGGER_SLEW_RATE_TIME,
    &g_RSMXO_ATTR_TRIGGER_SLEW_RATE_DELTA,
    &g_RSMXO_ATTR_TRIGGER_SLEW_RATE_LOWER_LIMIT,
    &g_RSMXO_ATTR_TRIGGER_SLEW_RATE_UPPER_LIMIT,
    &g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_EDGE,
    &g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_LEVEL,
    &g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_SOURCE,
    &g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_HOLD_TIME,
    &g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_SETUPTIME,
    &g_RSMXO_ATTR_TRIGGER_STATE_SLOPE,
    &g_RSMXO_ATTR_TRIGGER_STATE_OPERATOR,
    &g_RSMXO_ATTR_TRIGGER_STATE_DIGITAL_STATE_OPERATOR,
    &g_RSMXO_ATTR_TRIGGER_STATE_DIGITAL_CHANNEL_STATE,
    &g_RSMXO_ATTR_TRIGGER_STATE_CHANNEL,
    &g_RSMXO_ATTR_TRIGGER_PATTERN_OPERATOR,
    &g_RSMXO_ATTR_TRIGGER_PATTERN_STATE_SOURCES,
    &g_RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_STATE_OPERATOR,
    &g_RSMXO_ATTR_TRIGGER_PATTERN_CHANNEL,
    &g_RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_CHANNEL_STATE,
    &g_RSMXO_ATTR_TRIGGER_EDGE_COUPLING,
    &g_RSMXO_ATTR_TRIGGER_EDGE_LEVEL,
    &g_RSMXO_ATTR_TRIGGER_EDGE_FILTER,
    &g_RSMXO_ATTR_TRIGGER_EDGE_LOW_PASS,
    &g_RSMXO_ATTR_TRIGGER_EDGE_HIGH_PASS,
    &g_RSMXO_ATTR_TRIGGER_EDGE_NOISE_REJECT_ENABLED,
    &g_RSMXO_ATTR_TRIGGER_HOLDOFF_MODE,
    &g_RSMXO_ATTR_TRIGGER_HOLDOFF_TIME,
    &g_RSMXO_ATTR_TRIGGER_HOLDOFF_EVENTS,
    &g_RSMXO_ATTR_TRIGGER_HOLDOFF_MINIMUM_TIME,
    &g_RSMXO_ATTR_TRIGGER_HOLDOFF_MAXIMUM_TIME,
    &g_RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME,
    &g_RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME_SCALING,
    &g_RSMXO_ATTR_TRIGGER_HYSTERESIS_MODE,
    &g_RSMXO_ATTR_TRIGGER_HW_HYSTERESIS,
    &g_RSMXO_ATTR_TRIGGER_HYSTERESIS_SIZE_MODE,
    &g_RSMXO_ATTR_TRIGGER_HYSTERESIS_ABSOLUTE,
    &g_RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_PERCENTAGE,
    &g_RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_DIVS,
    &g_RSMXO_ATTR_TRIGGER_FILTER_MODE,
    &g_RSMXO_ATTR_TRIGGER_FILTER_LF_REJECT_BW,
    &g_RSMXO_ATTR_TRIGGER_FILTER_RF_REJECT_BW,
    &g_RSMXO_ATTR_TRIGGER_ACTION_TRIGGER_OUT_ENABLED,
    &g_RSMXO_ATTR_TRIGGER_ACTION_POLARITY,
    &g_RSMXO_ATTR_TRIGGER_ACTION_DELAY,
    &g_RSMXO_ATTR_TRIGGER_ACTION_PULSE_LENGTH,
    &g_RSMXO_ATTR_TRIGGER_ACTION_SIGNAL_SOURCE,
    &g_RSMXO_ATTR_ACQUISITION_RUN_CONTINUOUS,
    &g_RSMXO_ATTR_ACQUISITION_STOP,
    &g_RSMXO_ATTR_ACQUISITION_RUN_SINGLE,
    &g_RSMXO_ATTR_ACQUISITION_RUN_SINGLE_NO_WAIT,
    &g_RSMXO_ATTR_ACQUISITION_AUTOSCALE,
    &g_RSMXO_ATTR_ACQUISITION_SAMPLE_RATE_MODE,
    &g_RSMXO_ATTR_ACQUISITION_SAMPLE_RATE,
    &g_RSMXO_ATTR_ACQUISITION_MINIMUM_SAMPLE_RATE,
    &g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_MODE,
    &g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH,
    &g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_LIMIT,
    &g_RSMXO_ATTR_ACQUISITION_N_SINGLE_AVERAGE_COUNT,
    &g_RSMXO_ATTR_ACQUISITION_RESOLUTION,
    &g_RSMXO_ATTR_ACQUISITION_MODE,
    &g_RSMXO_ATTR_ACQUISITION_INTERPOLATION,
    &g_RSMXO_ATTR_ACQUISITION_AVAILABLE_ACQUISITIONS,
    &g_RSMXO_ATTR_ACQUISITION_ADC_RATE,
    &g_RSMXO_ATTR_ACQUISITION_REAL_SAMPLE_RATE,
    &g_RSMXO_ATTR_ACQUISITION_CURRENT,
    &g_RSMXO_ATTR_ACQUISITION_AVERAGE,
    &g_RSMXO_ATTR_ACQUISITION_ROLL_MODE_OFF_SCREEN_CAPTURE,
    &g_RSMXO_ATTR_ACQUISITION_ROLL_MODE_POINTS,
    &g_RSMXO_ATTR_ACQUISITION_SEGMENTED_FAST_SEGMENTATION_ENABLED,
    &g_RSMXO_ATTR_ACQUISITION_SEGMENTED_ACQUIRE_MAXIMUM_ENABLED,
    &g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_ENABLED,
    &g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_BANDWIDTH,
    &g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_RESOLUTION,
    &g_RSMXO_ATTR_ACQUISITION_SHOW_HISTORY,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_REPLAY,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_PLAY,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_START,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_STOP,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_DISPLAY_TIME,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_SELECT_CURRENT,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_TIME,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_DATE,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_RELATIVE_TIME,
    &g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_REFERENCE_RELATIVE_TIME,
    &g_RSMXO_ATTR_MEASUREMENT_ENABLED,
    &g_RSMXO_ATTR_MEASUREMENT_COUNT,
    &g_RSMXO_ATTR_MEASUREMENT_TYPE,
    &g_RSMXO_ATTR_HIDDEN_MEASUREMENT_SOURCE,
    &g_RSMXO_ATTR_MEASUREMENT_SOURCE_1,
    &g_RSMXO_ATTR_MEASUREMENT_SOURCE_2,
    &g_RSMXO_ATTR_MEASUREMENT_GATE,
    &g_RSMXO_ATTR_MEASUREMENT_ENVELOPE,
    &g_RSMXO_ATTR_MEASUREMENT_STATISTICS_ENABLED,
    &g_RSMXO_ATTR_MEASUREMENT_STATISTICS_ALL_EVENTS_ENABLED,
    &g_RSMXO_ATTR_MEASUREMENT_STATISTICS_MAXIMUM_EVENTS,
    &g_RSMXO_ATTR_MEASUREMENT_STATISTICS_CLEAR_RESULTS,
    &g_RSMXO_ATTR_MEASUREMENT_FIT_TO_SCREEN,
    &g_RSMXO_ATTR_MEASUREMENT_AUTOSCALE,
    &g_RSMXO_ATTR_MEASUREMENT_TRACK_WAVEFORM_OFFSET,
    &g_RSMXO_ATTR_MEASUREMENT_TRACK_SCALE,
    &g_RSMXO_ATTR_MEASUREMENT_TRACK_ENABLED,
    &g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_CLOCK_SLOPE,
    &g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_SLOPE,
    &g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_COUNT,
    &g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_EDGES_SLOPE,
    &g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_DIRECTION,
    &g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_SLOPE,
    &g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_TO_TRIGGER,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_ENABLED,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_MODE,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_LOWER,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_MIDDLE,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_UPPER,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_HYSTERESIS,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MODE,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_LOWER,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MIDDLE,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_UPPER,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_HYSTERESIS,
    &g_RSMXO_ATTR_REFERENCE_LEVEL_SET,
    &g_RSMXO_ATTR_RESULTS_START,
    &g_RSMXO_ATTR_RESULTS_STOP,
    &g_RSMXO_ATTR_RESULTS_COUNT,
    &g_RSMXO_ATTR_HIDDEN_RESULTS_MAXIMUM_COUNT,
    &g_RSMXO_ATTR_HIDDEN_RESULT_SHOW_LABELS,
    &g_RSMXO_ATTR_HIDDEN_RESULTS_INVERTED_LABELS,
    &g_RSMXO_ATTR_HIDDEN_RESULTS_SHOW_FREQUENCY,
    &g_RSMXO_ATTR_HIDDEN_RESULTS_LABELS_ORDER,
    &g_RSMXO_ATTR_RESULTS_EVENT_COUNT,
    &g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_START,
    &g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_STOP,
    &g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_VALUE,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_CURRENT,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MAX,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MIN,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MEAN,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_RMS,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_EVENT_COUNT,
    &g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_WAVE_COUNT,
    &g_RSMXO_ATTR_HIDDEN_MEASUREMENT_RESULTS_STATISTICS_RELIABILITY,
    &g_RSMXO_ATTR_GATE_ENABLED,
    &g_RSMXO_ATTR_GATE_DISPLAY,
    &g_RSMXO_ATTR_GATE_COUPLING_MODE,
    &g_RSMXO_ATTR_GATE_MODE,
    &g_RSMXO_ATTR_GATE_ABSOLUTE_START,
    &g_RSMXO_ATTR_GATE_ABSOLUTE_STOP,
    &g_RSMXO_ATTR_GATE_RELATIVE_START,
    &g_RSMXO_ATTR_GATE_RELATIVE_STOP,
    &g_RSMXO_ATTR_GATE_CURSOR,
    &g_RSMXO_ATTR_HIDDEN_GATE_ZOOM_DIAGRAM,
    &g_RSMXO_ATTR_CURSOR_SHOW,
    &g_RSMXO_ATTR_CURSOR_DISABLE_ALL,
    &g_RSMXO_ATTR_CURSOR_STYLE,
    &g_RSMXO_ATTR_CURSOR_TYPE,
    &g_RSMXO_ATTR_CURSOR_COUNT,
    &g_RSMXO_ATTR_CURSOR_SOURCE,
    &g_RSMXO_ATTR_CURSOR_SOURCE_2_ENABLED,
    &g_RSMXO_ATTR_CURSOR_SOURCE_2,
    &g_RSMXO_ATTR_CURSOR_X1_POSITION,
    &g_RSMXO_ATTR_CURSOR_X2_POSITION,
    &g_RSMXO_ATTR_CURSOR_Y1_POSITION,
    &g_RSMXO_ATTR_CURSOR_Y2_POSITION,
    &g_RSMXO_ATTR_CURSOR_ENVELOPE,
    &g_RSMXO_ATTR_CURSOR_ENVELOPE_2,
    &g_RSMXO_ATTR_CURSOR_TRACK_WAVEFORM,
    &g_RSMXO_ATTR_CURSOR_SHOW_VALUES,
    &g_RSMXO_ATTR_CURSOR_RESET,
    &g_RSMXO_ATTR_CURSOR_ADVANCED_X_COUPLING,
    &g_RSMXO_ATTR_CURSOR_ADVANCED_Y_COUPLING,
    &g_RSMXO_ATTR_CURSOR_ADVANCED_SHOW_IN_ALL_DIAGRAMS,
    &g_RSMXO_ATTR_CURSOR_ADVANCED_SHOW_LABEL,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_CENTER_FREQUENCY,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_ABSOLUTE_PEAK,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_LEFT,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_RIGHT,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_SET_CENTER_TO_CURSOR,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_THRESHOLD,
    &g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_EXCURSION,
    &g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_X,
    &g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_X_INVERSE,
    &g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y,
    &g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y_INVERSE,
    &g_RSMXO_ATTR_CURSOR_HORIZONTAL_LABEL,
    &g_RSMXO_ATTR_CURSOR_VERTICAL_LABEL,
    &g_RSMXO_ATTR_SPECTRUM_DISPLAY,
    &g_RSMXO_ATTR_SPECTRUM_SOURCE,
    &g_RSMXO_ATTR_SPECTRUM_CENTER,
    &g_RSMXO_ATTR_SPECTRUM_SPAN,
    &g_RSMXO_ATTR_SPECTRUM_START,
    &g_RSMXO_ATTR_SPECTRUM_STOP,
    &g_RSMXO_ATTR_SPECTRUM_AUTO_RBW,
    &g_RSMXO_ATTR_SPECTRUM_RBW,
    &g_RSMXO_ATTR_SPECTRUM_SPAN_RBW_RATIO,
    &g_RSMXO_ATTR_SPECTRUM_TRACES_NORMAL_ENABLED,
    &g_RSMXO_ATTR_SPECTRUM_TRACES_MIN_HOLD_ENABLED,
    &g_RSMXO_ATTR_SPECTRUM_TRACES_MAX_HOLD_ENABLED,
    &g_RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_ENABLED,
    &g_RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_COUNT,
    &g_RSMXO_ATTR_SPECTRUM_PRESET,
    &g_RSMXO_ATTR_SPECTRUM_WINDOW_TYPE,
    &g_RSMXO_ATTR_SPECTRUM_GATE_START,
    &g_RSMXO_ATTR_SPECTRUM_GATE_STOP,
    &g_RSMXO_ATTR_SPECTRUM_GATE_POSITION,
    &g_RSMXO_ATTR_SPECTRUM_GATE_WIDTH,
    &g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_RANGE,
    &g_RSMXO_ATTR_SPECTRUM_SCALE_MAGNITUDE_UNIT,
    &g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_MAXIMUM,
    &g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_SCALE,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_TABLE,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_FRAME_TYPE,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_THRESHOLD,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_PEAK_EXCURSION,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_MAX_RESULTS,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABEL_MAX_RESULTS,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_RESULT_MODE,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_FREQUENCY,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SOURCE,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_COUNT,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_INVERT_COLORS,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_ENABLED,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_CURRENT,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT_ORDER,
    &g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_DISPLAY_PEAKS,
    &g_RSMXO_ATTR_MATH_DISPLAY,
    &g_RSMXO_ATTR_MATH_EXPRESSION,
    &g_RSMXO_ATTR_MATH_SIGNAL_TYPE,
    &g_RSMXO_ATTR_MATH_VERTICAL_SCALE_MODE,
    &g_RSMXO_ATTR_MATH_VERTICAL_SCALE,
    &g_RSMXO_ATTR_MATH_VERTICAL_OFFSET,
    &g_RSMXO_ATTR_MATH_ENVELOPE_WAVEFORM_SELECTION,
    &g_RSMXO_ATTR_MATH_LABEL,
    &g_RSMXO_ATTR_MATH_USER_UNIT,
    &g_RSMXO_ATTR_PROTOCOL_SERIAL_BUS_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_SHOW_DECODE_TABLE,
    &g_RSMXO_ATTR_PROTOCOL_DATA_FORMAT,
    &g_RSMXO_ATTR_PROTOCOL_ZOOM_COUPLING,
    &g_RSMXO_ATTR_PROTOCOL_SHOW_THRESHOLD_LINES,
    &g_RSMXO_ATTR_PROTOCOL_SET_REFERENCE_LEVELS,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FRAME_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SDA_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SDA_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SDA_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SDA_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SDA_VERTICAL_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SCL_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SCL_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SCL_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SHOW_SYMBOLS,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SYMBOL_LIST_FILE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_NACK,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_R_W_BIT,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MIN,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MAX,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_MIN,
    &g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_BYTE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_STATE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_START,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_END,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_SYMBOL,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_START,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT_START,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_COMPLETE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DEVICE_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT_START,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DATA,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_START,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COMPLETE,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT_START,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT,
    &g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FRAME_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_POLARITY,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MISO_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MISO_POLARITY,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MISO_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MISO_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MISO_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_SPI_MISO_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_SPI_CS_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_CS_POLARITY,
    &g_RSMXO_ATTR_PROTOCOL_SPI_CS_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_SPI_CS_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_SPI_BIT_ORDER,
    &g_RSMXO_ATTR_PROTOCOL_SPI_WORD_LENGTH,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FRAME_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_SPI_TIMEOUT,
    &g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_SEARCH_MODE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN,
    &g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_WORD,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_STATE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_START,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_END,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_START,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_END,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MOSI_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MISO_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MOSI,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MISO,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA_WORD_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_UART_POLARITY,
    &g_RSMXO_ATTR_PROTOCOL_UART_RX_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_UART_RX_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_UART_RX_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_UART_RX_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_UART_RX_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_UART_TX_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_UART_TX_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_UART_TX_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_UART_TX_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_UART_TX_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_UART_BIT_ORDER,
    &g_RSMXO_ATTR_PROTOCOL_UART_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_UART_DATA_BITS,
    &g_RSMXO_ATTR_PROTOCOL_UART_PARITY,
    &g_RSMXO_ATTR_PROTOCOL_UART_STOP_BITS,
    &g_RSMXO_ATTR_PROTOCOL_UART_TIMEOUT,
    &g_RSMXO_ATTR_PROTOCOL_UART_PACKETS,
    &g_RSMXO_ATTR_PROTOCOL_UART_END_WORD,
    &g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_UART_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_PATTERN,
    &g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_WORD,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_WORD_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_STATE,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_START,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_STOP,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_TX_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_RX_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_DATA_RATE,
    &g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRANSCEIVER_MODE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SIC_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FAST_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SIC_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FAST_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_CAN_NOMINAL_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SAMPLE_POINT,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FD_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT,
    &g_RSMXO_ATTR_PROTOCOL_CAN_DECODED_FRAMES,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_BITRATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_SAMPLE_POINT,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SHOW_SYMBOLS,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SYMBOL_LIST_FILE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_DATA_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_INDEX_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MINIMUM,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MAXIMUM,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_MINIMUM,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BRS,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ESI,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC,
    &g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_TRIGGER_SEC,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_AF_TRIGGER_CONDITION,
    &g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MAX,
    &g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MIN,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_SDT_TRIGGER_CONDITION,
    &g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MAX,
    &g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MIN,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_VCID_TRIGGER_CONDITION,
    &g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MAX,
    &g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MIN,
    &g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_BYTE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_START,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STOP,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_SYMBOL,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_STATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_STATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_STATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_STATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_STATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BIT_STUFFING_ERROR_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FORM_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BYTES_NUMBER,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_PATTERN_DATA,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA_EXPORT,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_COUNT_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_BRS,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_ESI,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAMES_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_NOMINAL_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_BIT_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_ACCEPTANCE,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_PCRC,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SBC,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SERVICE_DATA_UNIT,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SEC,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_VCID,
    &g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_FRAME_CRC,
    &g_RSMXO_ATTR_PROTOCOL_LIN_STANDARD,
    &g_RSMXO_ATTR_PROTOCOL_LIN_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_LIN_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_LIN_POLARITY,
    &g_RSMXO_ATTR_PROTOCOL_LIN_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_LIN_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_DATA_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_INDEX_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_PARITY_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR,
    &g_RSMXO_ATTR_PROTOCOL_LIN_DATA_PATTERN,
    &g_RSMXO_ATTR_PROTOCOL_LIN_DATA_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MIN,
    &g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MAX,
    &g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_BYTE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_STATE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_START,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_END,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_DATA,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BITRATE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_CHECKSUM,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_STATE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_PARITY,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_PROTECTED_IDENTIFIER,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_STATE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_FORMATTED_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_LABEL,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_USE_GSID,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_GSID,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_USE_GLITCH_FILTER,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_GLITCH_FILTER_WIDTH,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_THRESHOLD,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_STATE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_START,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_END,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_READ_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_WRITE_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_BC,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_DATA,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FD_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_FORMATED_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_LABEL,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_STATE,
    &g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_HYSTERESIS,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SHOW_SYMBOLS,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FRAME_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SYMBOL_LIST_FILE_LOAD,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_LOWER,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_UPPER,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_BYTE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_STATE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_START,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_END,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BYTE_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_STATE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_FORMATTED_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_LABEL,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_DATA,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_CRC,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_SYMBOL,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_CRC,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DATA,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_SRC_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_TYPE_LENGTH,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_SYMBOL,
    &g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_TYPE_LENGTH,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FRAME,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_MODE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_POLARITY,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_POSITION,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SCALE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SOURCE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SHOW_SYMBOLS,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FRAME_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SYMBOL_LIST_FILE_LOAD,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FIELD,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_ERROR,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_CONDITION,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CHECK_ALL,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CLEAR_ALL,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INVERTS_CURRENT_STATE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FIELD_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_INDEX,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_DATA,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_DATA,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_DATA,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_ERROR_ENABLED,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_RESET,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_BYTE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_STATE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_START,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_END,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_TYPE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BIT_RATE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BYTE_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_COUNT,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_STATE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_FORMATTED_VALUE,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_LABEL,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_DATA,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_CRC,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_SYMBOL,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_CRC,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DATA,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_SRC_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_TYPE_LENGTH,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_ADDRESS,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_SYMBOL,
    &g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_TYPE_LENGTH,
    &g_RSMXO_ATTR_PROTOCOL_EXPORT_SAVE,
    &g_RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_TIMING,
    &g_RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_DETAILS,
    &g_RSMXO_ATTR_PROTOCOL_EXPORT_EXTENSION,
    &g_RSMXO_ATTR_PROTOCOL_EXPORT_PATH,
    &g_RSMXO_ATTR_LOGIC_STATE,
    &g_RSMXO_ATTR_LOGIC_SHOW_DIGITAL_SIGNALS,
    &g_RSMXO_ATTR_LOGIC_TECHNOLOGY,
    &g_RSMXO_ATTR_LOGIC_LEVEL_COUPLING,
    &g_RSMXO_ATTR_LOGIC_SKEW,
    &g_RSMXO_ATTR_LOGIC_CLEAR,
    &g_RSMXO_ATTR_LOGIC_BUS_SHOW,
    &g_RSMXO_ATTR_LOGIC_BUS_DATA_FORMAT,
    &g_RSMXO_ATTR_LOGIC_POSITION,
    &g_RSMXO_ATTR_LOGIC_SIZE_OF_THE_DISPLAY,
    &g_RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_VERTICAL_POSITION,
    &g_RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_SIZE_OF_THE_DISPLAY,
    &g_RSMXO_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD,
    &g_RSMXO_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS,
    &g_RSMXO_ATTR_LOGIC_BIT_STATE,
    &g_RSMXO_ATTR_LOGIC_BIT_LABEL,
    &g_RSMXO_ATTR_LOGIC_BIT_SKEW,
    &g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_ENABLED,
    &g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_SLOPE,
    &g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_SOURCE,
    &g_RSMXO_ATTR_DIGITAL_CHANNEL_STATE,
    &g_RSMXO_ATTR_DIGITAL_CHANNEL_TECHNOLOGY,
    &g_RSMXO_ATTR_DIGITAL_CHANNEL_SKEW,
    &g_RSMXO_ATTR_DIGITAL_CHANNEL_LABEL,
    &g_RSMXO_ATTR_DIGITAL_CHANNEL_SIZE,
    &g_RSMXO_ATTR_DIGITAL_CHANNEL_TH_COUPLING,
    &g_RSMXO_ATTR_DIGITAL_CHANNEL_THRESHOLD,
    &g_RSMXO_ATTR_LOGIC_DECODE_TABLE_SHOW,
    &g_RSMXO_ATTR_LOGIC_DECODE_TABLE_NUMBER_OF_ROWS,
    &g_RSMXO_ATTR_HIDDEN_LOGIC_DECODE_TABLE_DATA,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AUTOSCALE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_START,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_STATE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_ENABLED,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GENERATOR,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_INPUT,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_OUTPUT,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_START,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_STOP,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_MODE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_TOTAL,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_LOGARITHMIC,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_USER_LOAD,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_MODE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_REPEAT,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RESET,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RUN,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MAXIMUM_PHASE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MEASUREMENT_DELAY_ENABLED,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DELAY_TIME,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RBW,
    &g_RSMXO_ATTR_SELECTED_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT_COUNT,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_ADD,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_DELETE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_SORT,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_AMPLITUDE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_FREQUENCY,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_VOLTAGE_CHANGE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_POINTS,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_RESULT_TABLE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARKERS,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARGIN,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_ENABLED,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_SCALE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_OFFSET,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_ENABLED,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_SCALE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_OFFSET,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_ENABLED,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_SCALE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_OFFSET,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_FREQUENCY,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_VALUE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_FREQUENCY,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_VALUE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_DATA,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_DATA,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_FREQUENCY_DATA,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_PHASE,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_FREQUENCY,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_GAIN,
    &g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_RESET,
    &g_RSMXO_ATTR_POWER_ANALYSIS_ENABLED,
    &g_RSMXO_ATTR_POWER_ANALYSIS_TYPE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_AUTO_DESKEW_ADJUSTMENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_EXPORT_RESULTS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_CURRENT_SOURCE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_VOLTAGE_SOURCE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY_USER,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_AVERAGE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_NEGATIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_POSITIVE_PEAK,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_STANDARD_DEVIATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CURRENT_SOURCE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_VOLTAGE_SOURCE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_STANDARD,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_MIL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CLEAR_RESULTS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_START,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_STOP,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_SCALING,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MEASURED_HARMONICS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THDF,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THD_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY_CURRENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_REAL_POWER,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_VIOLATION,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_PERCENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_PERCENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_PERCENT,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_RMS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_ABSOLUTE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_ABSOLUTE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_LOWER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_LOWER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_MIDDLE_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_MIDDLE_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_UPPER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_UPPER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_LEVEL_MODE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_LEVEL_MODE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_RELATIVE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_RELATIVE,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LOWER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LOWER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_MIDDLE_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_MIDDLE_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_UPPER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_UPPER_LEVEL,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LEVELS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LEVELS,
    &g_RSMXO_ATTR_POWER_ANALYSIS_DATA_HARMONICS_HEADER,
    &g_RSMXO_ATTR_POWER_ANALYSIS_DATA_QUALITY_HEADER,
    &g_RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_HARMONICS,
    &g_RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_QUALITY,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_ENABLED,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RESULT,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_ENABLED,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_RESULT,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_ENABLED,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_RESULT,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_STATE,
    &g_RSMXO_ATTR_DIGITAL_VOLTMETER_BANDWIDTH,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_SHOW,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_SOURCE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_NAME,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_CREATE_UPDATE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESET,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_SAVE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_ABORT,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_OPEN,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_CLEAR,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_X_AXIS_MODE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_MODE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_RESET,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_OFFSET,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_ENABLED,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_SCALE_FACTOR,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_OFFSET,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_MODE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_ENABLE,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_SCALE_FACTOR,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_OFFSET,
    &g_RSMXO_ATTR_GENERATOR_STATE,
    &g_RSMXO_ATTR_GENERATOR_INVERSION_ENABLED,
    &g_RSMXO_ATTR_GENERATOR_FUNCTION_TYPE,
    &g_RSMXO_ATTR_GENERATOR_FREQUENCY,
    &g_RSMXO_ATTR_GENERATOR_AMPLITUDE,
    &g_RSMXO_ATTR_GENERATOR_OFFSET,
    &g_RSMXO_ATTR_GENERATOR_SYMMETRY,
    &g_RSMXO_ATTR_GENERATOR_DUTY_CYCLE,
    &g_RSMXO_ATTR_GENERATOR_PERIOD,
    &g_RSMXO_ATTR_GENERATOR_PULSE_WIDTH,
    &g_RSMXO_ATTR_GENERATOR_NOISE_LEVEL_IN_PERCENT,
    &g_RSMXO_ATTR_GENERATOR_NOISE_LEVEL_ABSOLUTE,
    &g_RSMXO_ATTR_GENERATOR_NOISE_DC_LEVEL,
    &g_RSMXO_ATTR_GENERATOR_DC_LEVEL,
    &g_RSMXO_ATTR_GENERATOR_LOW_VOLTAGE,
    &g_RSMXO_ATTR_GENERATOR_HIGH_VOLTAGE,
    &g_RSMXO_ATTR_GENERATOR_USER_LOAD,
    &g_RSMXO_ATTR_GENERATOR_DEFAULT_SETUP,
    &g_RSMXO_ATTR_GENERATOR_SAVE,
    &g_RSMXO_ATTR_GENERATOR_RECALL,
    &g_RSMXO_ATTR_GENERATOR_SWEEP_STATE,
    &g_RSMXO_ATTR_GENERATOR_SWEEP_TYPE,
    &g_RSMXO_ATTR_GENERATOR_SWEEP_START_FREQUENCY,
    &g_RSMXO_ATTR_GENERATOR_SWEEP_STOP_FREQUENCY,
    &g_RSMXO_ATTR_GENERATOR_SWEEP_TIME,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_ENABLED,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_TYPE,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_PERIOD,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_FREQUENCY,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_AM_FREQUENCY,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_AM_SIGNAL_TYPE,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_AM_DEPTH,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_AM_DUTY_CYCLE,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_AM_SYMMETRY,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_FREQUENCY,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_SIGNAL_TYPE,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_DEPTH,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_DUTY_CYCLE,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_SYMMETRY,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FM_FREQUENCY,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FM_SIGNAL_TYPE,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FM_DEVIATION,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FM_DUTY_CYCLE,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FM_SYMMETRY,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_1,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_2,
    &g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_RATE,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_SOURCE,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_OPEN,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_NAME,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_RUN_SINGLE,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_RUN_MODE,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_SAMPLE_RATE,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_NUMBER_OF_SAMPLES,
    &g_RSMXO_ATTR_GENERATOR_ARBITRARY_SIGNAL_SOURCE,
    &g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_START,
    &g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_AMPLITUDE_PARAMETERS,
    &g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_FREQUENCY_PARAMETERS,
    &g_RSMXO_ATTR_GENERATOR_SYNCHRONIZE_PHASE_SHIFT,
    &g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_COUPLING_ENABLED,
    &g_RSMXO_ATTR_SAVESET_INCLUDE_PREVIEW_IMAGE,
    &g_RSMXO_ATTR_SAVE_INSTRUMENT_SETTINGS,
    &g_RSMXO_ATTR_LOAD_INSTRUMENT_SETTINGS,
    &g_RSMXO_ATTR_DRIVES_CATALOG,
    &g_RSMXO_ATTR_MEMORY_CATALOG_SIZE,
    &g_RSMXO_ATTR_HIDDEN_MEMORY_CATALOG,
    &g_RSMXO_ATTR_LOAD_WAVEFORM_GENERATOR_SETTINGS,
    &g_RSMXO_ATTR_STORE_WAVEFORM_GENERATOR_SETTINGS,
    &g_RSMXO_ATTR_FILE_DELETE,
    &g_RSMXO_ATTR_HIDDEN_FILE_COPY,
    &g_RSMXO_ATTR_HIDDEN_FILE_MOVE,
    &g_RSMXO_ATTR_HIDDEN_FILE_ATTRIBUTE,
    &g_RSMXO_ATTR_HIDDEN_FILE_SAVE_TO_DEFAULT,
    &g_RSMXO_ATTR_DIRECTORY_DEFAULT,
    &g_RSMXO_ATTR_DIRECTORY_CREATE,
    &g_RSMXO_ATTR_DIRECTORY_DELETE,
    &g_RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG_SIZE,
    &g_RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG,
    &g_RSMXO_ATTR_SCREENSHOT_SHOW_SETUP_DIALOG,
    &g_RSMXO_ATTR_SCREENSHOT_WHITE_BACKGROUND,
    &g_RSMXO_ATTR_SCREENSHOT_INCLUDE_SIGNAL_BAR,
    &g_RSMXO_ATTR_SCREENSHOT_INVERT_COLOR,
    &g_RSMXO_ATTR_SCREENSHOT_FILENAME,
    &g_RSMXO_ATTR_SCREENSHOT_FILE_EXTENSION,
    &g_RSMXO_ATTR_SCREENSHOT_SAVE,
    &g_RSMXO_ATTR_SCREENSHOT_SAVE_NEXT,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_SOURCE,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_MODE,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_START,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_STOP,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_GATE,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_CURSOR_SET,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_FILE_NAME,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_SAVE_TO_FILE,
    &g_RSMXO_ATTR_WAVEFORM_EXPORT_ABORT_SAVE,
    &g_RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURRENT_MEASUREMENT,
    &g_RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURSOR,
    &g_RSMXO_ATTR_RESULTS_EXPORT_FILE_NAME,
    &g_RSMXO_ATTR_RESULTS_EXPORT_SAVE_TO_FILE,
    &g_RSMXO_ATTR_RESULTS_EXPORT_FRA_MARGIN,
    &g_RSMXO_ATTR_RESULTS_EXPORT_FRA_MARKER,
    &g_RSMXO_ATTR_RESULTS_EXPORT_FRA_RESULT,
    &g_RSMXO_ATTR_SYSTEM_NETWORK_HOSTNAME,
    &g_RSMXO_ATTR_HIDDEN_SYSTEM_DATE,
    &g_RSMXO_ATTR_HIDDEN_SYSTEM_TIME,
    &g_RSMXO_ATTR_REMOTE_TRANSFER_DATA_FORMAT,
    &g_RSMXO_ATTR_REMOTE_BITPATTERN_FORMAT,
    &g_RSMXO_ATTR_REMOTE_DISPLAY_UPDATE_ENABLED,
    &g_RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE_ENABLED,
    &g_RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE,
    &g_RSMXO_ATTR_COLORS_SIGNAL_NAME_CATALOG,
    &g_RSMXO_ATTR_HIDDEN_COLORS_USE_COLOR_TABLE,
    &g_RSMXO_ATTR_HIDDEN_COLORS_SELECT_COLOR,
    &g_RSMXO_ATTR_HIDDEN_COLORS_ASSIGNED_COLOR_TABLE,
    &g_RSMXO_ATTR_GRID_SHOW,
    &g_RSMXO_ATTR_GRID_SHOW_LABELS,
    &g_RSMXO_ATTR_GRID_SHOW_FINE_GRID_SCALE,
    &g_RSMXO_ATTR_GRID_SHOW_CROSSHAIR,
    &g_RSMXO_ATTR_GRID_KEEP_Y_GRID_FIXED,
    &g_RSMXO_ATTR_GRID_KEEP_X_GRID_FIXED,
    &g_RSMXO_ATTR_SMART_GRID_LAYOUT_ACTIVE,
    &g_RSMXO_ATTR_SMART_GRID_LAYOUT_COUNT,
    &g_RSMXO_ATTR_SMART_GRID_LAYOUT_ENABLED,
    &g_RSMXO_ATTR_SMART_GRID_LAYOUT_LABEL,
    &g_RSMXO_ATTR_SMART_GRID_SELECTED_NODE,
    &g_RSMXO_ATTR_SMART_GRID_SELECTED_CONTENTS,
    &g_RSMXO_ATTR_SMART_GRID_NODE_ENABLED,
    &g_RSMXO_ATTR_SMART_GRID_NODE_COUNT,
    &g_RSMXO_ATTR_SMART_GRID_NODE_SPLIT_RATIO,
    &g_RSMXO_ATTR_SMART_GRID_NODE_SPLIT_TYPE,
    &g_RSMXO_ATTR_SMART_GRID_DIAGRAM_COUNT,
    &g_RSMXO_ATTR_SMART_GRID_DIAGRAM_ENABLED,
    &g_RSMXO_ATTR_SMART_GRID_DIAGRAM_LABEL,
    &g_RSMXO_ATTR_SMART_GRID_DIAGRAM_SOURCE,
    &g_RSMXO_ATTR_SMART_GRID_NODE_ID,
    &g_RSMXO_ATTR_SMART_GRID_NODE_TYPE,
    &g_RSMXO_ATTR_DIALOG_FONT_SIZE,
    &g_RSMXO_ATTR_DIALOG_TRANSPARENCY,
    &g_RSMXO_ATTR_DIALOG_RESULT_FONT_SIZE,
    &g_RSMXO_ATTR_DISPLAY_SIGNAL_STYLE,
    &g_RSMXO_ATTR_DISPLAY_SIGNAL_INTENSITY,
    &g_RSMXO_ATTR_DISPLAY_PERSISTENCE_ENABLED,
    &g_RSMXO_ATTR_DISPLAY_PERSISTENCE_INFINITE,
    &g_RSMXO_ATTR_DISPLAY_PERSISTENCE_TIME,
    &g_RSMXO_ATTR_DISPLAY_PERSISTENCE_RESET,
    &g_RSMXO_ATTR_DISPLAY_BACKLIGHT_BRIGHTNESS,
    &g_RSMXO_ATTR_DISPLAY_BACKLIGHT_DIMM_ON_USER_INACTIVITY,
    &g_RSMXO_ATTR_DISPLAY_CLEAR_RESULTS,
    &g_RSMXO_ATTR_TOOLBAR_NUMBER_OF_TOOLS,
    &g_RSMXO_ATTR_TOOLBAR_REMOVE_ALL_TOOLS,
    &g_RSMXO_ATTR_TOOLBAR_RESET,
    &g_RSMXO_ATTR_CSV_DELIMITER,
    &g_RSMXO_ATTR_AUTONAMING_AUTOSAVE_ENABLE,
    &g_RSMXO_ATTR_AUTONAMING_AUTOSAVE_INTERVAL,
    &g_RSMXO_ATTR_AUTONAMING_USER_TEXT_ENABLED,
    &g_RSMXO_ATTR_AUTONAMING_PREFIX,
    &g_RSMXO_ATTR_AUTONAMING_DATE_TIME,
    &g_RSMXO_ATTR_AUTONAMING_INDEX,
    &g_RSMXO_ATTR_AUTONAMING_USER_TEXT,
    &g_RSMXO_ATTR_AUTONAMING_DEFAULT_PATH_FOR_ALL_FILE_OPERATIONS,
    &g_RSMXO_ATTR_AUTONAMING_RESET_PATH,
    &g_RSMXO_ATTR_AUTONAMING_RESET_ALL,
    &g_RSMXO_ATTR_EXECUTE_ALIGNMENT,
    &g_RSMXO_ATTR_ALIGNMENT_DATE,
    &g_RSMXO_ATTR_ALIGNMENT_TIME,
    &g_RSMXO_ATTR_ALIGNMENT_RESULT,
    &g_RSMXO_ATTR_AUTO_POWER_UP_ENABLED,
    &g_RSMXO_ATTR_CREATE_SERVICE_REPORT,
    &g_RSMXO_ATTR_SYSTEM_EXIT,
    &g_RSMXO_ATTR_SYSTEM_SHUTDOWN,
    &g_RSMXO_ATTR_SYSTEM_FILENAME_FIRMWARE_INSTALLATION_FILE,
    &g_RSMXO_ATTR_SYSTEM_START_FIRMWARE_UPDATE,
    &g_RSMXO_ATTR_SYSTEM_PRESET,
    &g_RSMXO_ATTR_SYSTEM_HOSTNAME,
    &g_RSMXO_ATTR_CHANNEL_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_HIDDEN_CHANNEL_WAVEFORM_DATA,
    &g_RSMXO_ATTR_MATH_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_HIDDEN_MATH_WAVEFORM_DATA,
    &g_RSMXO_ATTR_DIGITAL_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_HIDDEN_DIGITAL_WAVEFORM_DATA,
    &g_RSMXO_ATTR_LOGIC_BUS_HEADER,
    &g_RSMXO_ATTR_HIDDEN_LOGIC_BUS_DATA,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_HIDDEN_REFERENCE_WAVEFORM_DATA,
    &g_RSMXO_ATTR_REFERENCE_WAVEFORM_DATA_SOURCE,
    &g_RSMXO_ATTR_SPECTRUM_NORMAL_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_SPECTRUM_AVERAGE_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_SPECTRUM_MINIMUM_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_HEADER,
    &g_RSMXO_ATTR_HIDDEN_SPECTRUM_NORMAL_WAVEFORM_DATA,
    &g_RSMXO_ATTR_HIDDEN_SPECTRUM_AVERAGE_WAVEFORM_DATA,
    &g_RSMXO_ATTR_HIDDEN_SPECTRUM_MINIMUM_WAVEFORM_DATA,
    &g_RSMXO_ATTR_HIDDEN_SPECTRUM_MAXIMUM_WAVEFORM_DATA,
    &g_RSMXO_ATTR_MEASUREMENT_TRACK_DATA_HEADER,
    &g_RSMXO_ATTR_HIDDEN_MEASUREMENT_TRACK_DATA_DATA,
    &g_RSMXO_ATTR_STATUS_REGISTER_RESET,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_ENABLED,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_EVENT,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_CONDITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_POSITIVE_TRANSITION,
    &g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_NEGATIVE_TRANSITION,
    &g_RSMXO_ATTR_ID_QUERY_RESPONSE,
    &g_RSMXO_ATTR_SYSTEM_ERROR,
    &g_RSMXO_ATTR_SYSTEM_ERROR_LIST,
    &g_RSMXO_ATTR_SYSTEM_VERSION,
    &g_RSMXO_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    &g_RSMXO_ATTR_LOGGING
  };
